2001-04-19  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-preferences-dialog.c:
	* libnautilus-extensions/nautilus-preferences-dialog.h:
	Retire this class.  It was a bad idea to use subclassing for the
	specific use of the preferences dialog in nautilus.  Hooking
	signals up to a regular GnomeDialog is good enough.
	
	* libnautilus-extensions/nautilus-global-preferences.h:
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_install_defaults),
	(nautilus_global_preferences_initialize):
	Remove the implementation of the Nautilus preferences dialog from
	here.  That is something that is specific to the Nautilus shell.
	The code lives in the Nautilus shell itself now.
	
	* libnautilus-extensions/nautilus-preferences-box.h:
	* libnautilus-extensions/nautilus-preferences-box.c:
	(nautilus_preferences_box_initialize),
	(preferences_box_select_pane),
	(preferences_box_category_list_recreate),
	(preferences_box_add_pane), (nautilus_preferences_box_update),
	(preferences_box_find_pane), (preferences_box_populate_pane),
	(nautilus_preferences_box_populate), (user_level_changed_callback),
	(nautilus_preferences_dialog_new):
	Add support for building preference boxes using structures to
	describe them.  Also add a convenience function for creating a
	GnomeDialog with a preference box as its sole child.
	
	* libnautilus-extensions/nautilus-preferences-pane.c:
	* libnautilus-extensions/nautilus-preferences-pane.h:
	(nautilus_preferences_pane_add_item_to_nth_group): Remove this
	function as its no longer used.

	* libnautilus-extensions/nautilus-sidebar-functions.h:
	* libnautilus-extensions/nautilus-sidebar-functions.c:
	(sidebar_panel_make_preference_key):
	Make the known sidebar panel enabled preference keys public as
	string constants.
	
	* src/Makefile.am:
	* src/nautilus-preferences-dialog.h:
	* src/nautilus-preferences-dialog.c:
	(dialog_button_clicked_callback), (dialog_close_callback),
	(preferences_dialog_create),
	(global_preferences_populate_sidebar_panels_callback),
	(preferences_dialog_populate_sidebar_tabs_group),
	(preferences_dialog_destroy), (global_preferences_get_dialog),
	(nautilus_preferences_dialog_show):
	Move the implementation of the Nautilus preference dialog into the
	Nautilus shell itself.
	
	* src/nautilus-window-menus.c: (user_level_customize_callback):
	Update for new preference dialog show function.

2001-04-19  Ramiro Estrugo  <ramiro@eazel.com>

	* components/hardware/main.c: (main):
	* components/help/hyperbola-main.c: (main):
	* components/history/nautilus-history-view.c: (main):
	* components/image-viewer/nautilus-image-view.c: (main):
	* components/music/main.c: (main):
	* components/notes/Makefile.am:
	* components/notes/nautilus-notes.c: (main):
	* components/text/main.c: (main):
	* components/throbber/main.c: (main):
	Make all standard components call the eel function to stop in the
	debugger after warnings and criticals.  This also makes then spew
	nicer messages that include the process id and program name.
	
2001-04-19  Seth Nickell  <snickell@stanford.edu>

	reviewed by: Darin Adler <darin@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	* libnautilus-extensions/nautilus-global-preferences.h:
	Add a preference for having the desktop directory point at the
	Unix homedir rather than the default Nautilus desktop directory.
	
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_get_desktop_directory):
	Check the preference and return the appropriate directory.
	
	* src/nautilus-application.c: (nautilus_application_startup),
	(confirm_ok_to_run_as_root), (desktop_location_changed_callback):
	Add a callback for updating the desktop when the preference
	changes.

	* src/nautilus-desktop-window.h:
	* src/nautilus-desktop-window.c:
	(nautilus_desktop_window_update_directory),
	(nautilus_desktop_window_new):
	Add boolean variable affect_desktop_on_next_location_change to
	allow reloading of the desktop dir (rather than loading on open
	in to a new/toplevel window). Add a function for telling the
	desktop window to point to the updated destkop location.
	
	* src/nautilus-window-manage-views.c: (open_location):
	Check whether this open should be done in the desktop itself or
	if we should open a new window (/ recycle an existing window).

2001-04-19  Darin Adler  <darin@eazel.com>

	Fix bug 8082 (Dragging a file to a treeview destination causes
	nautilus to freeze):

	* libnautilus-extensions/nautilus-file-operations.c:
	(transfer_info_destroy): Destroy the hash table in a way that
	ignores the values. This is just a loose end from changes I made
	to the copy machinery a few days back.

	* libnautilus-extensions/nautilus-monitor.h:
	Add missing include to fix build.

2001-04-19  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-monitor.h:
	* libnautilus-extensions/nautilus-monitor.c:
	(nautilus_monitor_active): New function to check if
	the monitoring is working. We'll use this to decide
	whether or not to do the "reload the desktop every
	4 seconds hack" that Miguel is going to check in soon.

	* libnautilus-extensions/nautilus-volume-monitor.c:
	(mount_volume_get_name), (mount_volume_activate),
	(mount_volume_deactivate), (get_cdrom_type):
	Fixed some Solaris build problems with patch by
	Laszlo Peter <Laszlo.Peter@ireland.sun.com>.

	* libnautilus-extensions/nautilus-cdrom-extensions.h:
	Added missing include needed to build on Solaris
	from the same patch.

2001-04-19  Christopher James Lahey  <clahey@ximian.com>

	reviewed by: Darin Adler <darin@eazel.com>

	* libnautilus-extensions/nautilus-icon-canvas-item.c
	(real_map_pixbuf): Changed map_pixbuf to real_map_pixbuf.
	(map_pixbuf): This now checks if rendered_pixbuf exists and
	matches the needed pixbuf.  If not, it calls real_map_pixbuf.
	Changed the semantics of map_pixbuf to always return a reffed
	object and changed all calls to map_pixbuf to always unref the
	object returned.

2001-04-19  Darin Adler  <darin@eazel.com>

	Fix bug 8000 (Can get two identical "View as" items in "View as"
	menu):

	* src/nautilus-window-private.h:
	* src/nautilus-window-manage-views.h:
	* src/nautilus-window-manage-views.c:
	(location_has_really_changed): Make logic clearer by using else
	instead of two if statements.
	(view_frame_info_new), (view_frame_info_free),
	(set_view_frame_info), (view_frame_get_label),
	(view_frame_get_id), (nautilus_window_get_content_view_id),
	(load_content_view), (nautilus_window_set_sidebar_panels): Store a
	NautilusViewIdentifier with each view.
	
	* src/nautilus-window.h:
	* src/nautilus-window.c: (nautilus_window_destroy): We no longer
	have to store the content view identifier separately.
	(remove_first_child): New function.
	(update_extra_viewer_in_view_as_menus): Shared by the two below,
	this is the old replace_extra_viewer_in_view_as_menus, simplified
	and changed to support both adding and removing the extra viewer.
	(remove_extra_viewer_in_view_as_menus): Cover for removing.
	(replace_extra_viewer_in_view_as_menus): Cover for adding.
	(nautilus_window_synch_view_as_menus): Simplify code a lot by
	removing some special cases and taking advantage of the fact that
	the position of the chosen item is always the same in both menus.
	(chose_component_callback): Removed the FIXME now that the bug is
	fixed.

	* NEWS: Tweak wording.
	
2001-04-19  Darin Adler  <darin@eazel.com>

	Fixed bug 8065 (Cut and Paste file in Trash -> file deleted)

	* src/file-manager/fm-directory-view.c:
	(trash_or_delete_files_common): Simplified this a lot and removed
	parameters. Added a new parameter so the "move to trash within
	trash means delete if nothing else is being moved" rule only takes
	effect for the actual "move to trash" command, not when you are
	dragging or pasting files.
	(fm_directory_view_trash_or_delete_files): Call new simpler
	function.
	(fm_directory_view_move_copy_items): Call new simpler
	function. Also use trash_or_delete_files_common only when moving
	files. It doesn't help any when you copy or make links to files,
	so just use the normal copy code for that.

2001-04-19  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 8049, Nautilus makes sound even when control center
	"Enable sound server startup" switch is off
	
	* components/music/nautilus-music-view.c: (play_current_file):
	Check status of sound server gnome preference and display an
	informational dialog if music view playback is compromised
	as a result.
	
	* src/file-manager/fm-icon-view.c: (should_preview_sound):
	Check status of sound server gnome preference as one of
	the conditions when determining if we should preview
	the audio file on rollover.
	
2001-04-19  Darin Adler  <darin@eazel.com>

	* configure.in: Oops, said INIT instead of AC_INIT.

2001-04-19  Darin Adler  <darin@eazel.com>

	* configure.in: Removed conflict markers accidentally
	checked in along with the bug fix.

2001-04-19  Robin * Slomkowski  <rslomkow@eazel.com>

	* configure.in: updated to be in sync with Gregory Leblanc's
	                changes to the nautilus.spec.in

2001-04-18  Darin Adler  <darin@eazel.com>

	* NEWS: Put in some news about Nautilus 1.0.3.
	* THANKS: Tweaked formatting a tiny bit.

2001-04-18  Gene Z. Ragan  <gzr@eazel.com>

	Fix an error that was introduced that caused floppy
	devices to not get identified.  The floppy prefix
	should be /dev/fd not /dev/fd/
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(nautilus_volume_monitor_initialize_class),
	(mount_volume_auto_add):

2001-04-18  Gene Z. Ragan  <gzr@eazel.com>

	reviewed by: <delete if not using a buddy>

	* libnautilus-extensions/nautilus-volume-monitor.c:
	(volume_is_floppy), (mount_volume_auto_add):
	* src/file-manager/fm-desktop-icon-view.c: (create_mount_link):

2001-04-18  Darin Adler  <darin@eazel.com>

	* nautilus.spec.in: Checked in spec file changes contributed
	by Gregory Leblanc <gleblanc@cu-portland.edu>. Tinderbox will
	tell me soon if I blew it.

2001-04-18  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(start_rubberbanding): Use the new EelCanvasRect instead of
	GnomeCanvasRect for better rubber-banding speed in AA mode.

	* src/Makefile.am:
	* libnautilus/Makefile.am:
	* libnautilus-extensions/Makefile.am:
	Added dependencies so the IDL files get recompiled before we
	compile any .c files.

2001-04-18  Gene Z. Ragan  <gzr@eazel.com>
	
	Fixed bug 7925, Nautilus prevents playing audio cds.
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	Disable the audio cd mounting while I work at making
	it more seamless.

2001-04-18  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 7999, "Disks" desktop submenu lacks "Floppy" item
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(mount_volume_get_name), (mount_volume_auto_add),
	(mount_volume_add_filesystem):
	Handle "auto" types by using a placeholder volume
	type.
	
	* libnautilus-extensions/nautilus-volume-monitor.h:
	Add a new type NAUTILUS_VOLUME_AUTO to handle
	auto fstab entries.  This is really a placeholder
	type to be used by the code that creates the removable
	volume list.  When the volume is actually mounted, the
	file system type is loaded from /proc/mounts.
	
2001-04-18  Gene Z. Ragan  <gzr@eazel.com>

	Fix bug 8102, with Nautilus running, CDs get ejected
	(wrong and makes the kernel unhappy)
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(mount_volume_iso9660_add):
	Remove ioctls that are not needed and may cause the
	cd to allow ejecting even with a mounted volume.

2001-04-18  Josh Barrow  <josh@whitecape.org>

	* po/POTFILES.in:
	Removed fm-icon-text-window.c from this file to fix build horkage 
	I was seeing.

2001-04-18  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.h:
	Remove NAUTILUS_PREFERENCES_ICON_CAPTIONS, its not needed anymore.

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_populate_pane): Add support for installing a
	list if strings to ignore when enforcing the unique choice rule
	for enumeration lists items.
	(global_preferences_create_dialog),
	(nautilus_global_preferences_initialize): Register the
	enumerations at initialization time instead of dialog creation
	time.  This is needed so that sanity checking on enumeration
	preferences can occur even if the user hasnt opened the dialog.

	* libnautilus-extensions/nautilus-preferences-item.h:
	* libnautilus-extensions/nautilus-preferences-item.c:
	(nautilus_preferences_item_initialize_class),
	(nautilus_preferences_item_initialize), (preferences_item_destroy),
	(preferences_item_update_enumeration_list_uniqueness),
	(preferences_item_update_enumeration_list),
	(preferences_item_create_enumeration_list),
	(enumeration_list_changed_callback),
	(nautilus_preferences_item_enumeration_list_set_unique_exceptions):
	Make sure the string pickers are wired such that duplicate choices cannot be
	made by the user.  We do this by making items that would result in duplicates
	insensitive.  Its possible to bypass this rule for some items.  We use the
	use the enumeration_list_unique_exceptions.
	
	* libnautilus-extensions/nautilus-preferences.c:
	(preferences_block_callbacks), (preferences_unblock_callbacks):
	New private functions to block/unblock preferences callbacks.
	(string_list_is_valid): New private function to sanity check the
	values of a string list.
	(nautilus_preferences_get_string_list): Sanity check the results
	of this function for greater convenience of the callers - they no
	longer need to do error checking on the result.
	(preferences_entry_invoke_callbacks_if_needed): Invoke callbacks
	only if they are not blocked.

	* src/file-manager/Makefile.am:
	* src/file-manager/fm-icon-text-window.c:
	* src/file-manager/fm-icon-text-window.h:
	Retire these 2 files.  There no longer is a Icon Captions window.

	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_initialize), (fm_directory_view_destroy):
	Update for slight change in the Icon Captions preference name.

	* src/file-manager/fm-icon-view.c:
	(fm_icon_view_get_icon_text_attributes_from_preferences): New
	function to fetch the icon caption attributes from preferences.  A
	similar function used to live in fm-icon-text-window.[ch].  That
	is no longer the case now that the Icon Captions have moved into
	the preferences dialog.
	(fm_icon_view_get_icon_text_attribute_names): Simplify the munging
	of icon captions by using a string list.
	(fm_icon_view_merge_menus): Remove the Icon Captions menu.  The
	Icon Captions picker now lives in the preferences dialog.
	
	* src/file-manager/nautilus-icon-view-ui.xml:
	Remove Icon Captions menu item which no longer exists.
	
2001-04-17  Darin Adler  <darin@eazel.com>

	* THANKS: Added a translator's name.
	* check-POTFILES.pl: Made it work for more file extensions.
	* check-THANKS.pl: Updated for recent email changes.

	* components/image-viewer/io-png.h: Fixed includes.
	* components/image-viewer/io-png.c: Fixed includes.
	* components/adapter/nautilus-zoomable-proxy.c: Add include of
	<config.h>.
	* components/music/Makefile.am: Add non-compiled files to
	EXTRA_DIST. This makes check-headers-in-Makefile.pl happy.
	* components/tree/main.c: Removed this unused file since it's just
	a call to the standard main function.
	* components/tree/nautilus-tree-change-queue.c: Add include of
	<config.h>.
	
	* libnautilus/Makefile.am:
	* libnautilus-adapter/Makefile.am:
	* libnautilus-extensions/Makefile.am:
	* src/Makefile.am:
	Do the dist-hook dance so we don't include generated files in the
	tarball.
	
	* libnautilus-extensions/nautilus-dateedit-extensions.h:
	* libnautilus-extensions/nautilus-dateedit-extensions.c:
	(nautilus_gnome_date_edit_get_date_as_string): Rewrite to use
	eel_gstrdup_strftime.
	
	* src/nautilus-window-manage-views.c:
	(nautilus_window_content_view_matches_iid): We can get a NULL
	content view IID in some cases, so make sure we don't call strcmp
	on it.

2001-04-17  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-gconf-extensions.c:
	(simple_value_is_equal), (nautilus_gconf_value_is_equal):
	Implement the missing GconfValue comparison for lists.
	
	* libnautilus-extensions/nautilus-global-preferences.h:
	More consistent name for the icon captions preference.

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_register_enumerations): Allow enumeration ids
	to be installed for string lists.  A bit of a hack to let
	enumeration lists work in the NautilusPreferencesItem object.
	(global_preferences_install_one_default): Add support for string
	lists.
	(global_preferences_create_dialog):
	Move the icon captions widgetry from its own lonesome dialog into
	the preferences dialog.
	
	* libnautilus-extensions/nautilus-preferences-box.h:
	* libnautilus-extensions/nautilus-preferences-box.c:
	(nautilus_preferences_box_new):
	Remove unused parameter from constructor.  Remove some crufty
	unused code.  Match the Nautilus style more.
	
	* libnautilus-extensions/nautilus-preferences-dialog.h:
	* libnautilus-extensions/nautilus-preferences-dialog.c:
	(nautilus_preferences_dialog_construct):
	Remove some crufty unused signals, defines and code.  Match the
	Nautilus style more.  Dont hard code the default size.  Let Gtk do
	that work for us.  Remove unused dialog_destroy callback.

	* libnautilus-extensions/nautilus-preferences-item.h:
	* libnautilus-extensions/nautilus-preferences-item.c:
	(preferences_item_destroy),
	(preferences_item_update_enumeration_list),
	(preferences_item_set_main_child),
	(preferences_item_add_connection_child),
	(preferences_item_create_enumeration_radio),
	(preferences_item_create_enumeration_list),
	(preferences_item_create_boolean),
	(preferences_item_update_editable_string),
	(preferences_item_create_editable_string),
	(preferences_item_create_editable_integer),
	(preferences_item_create_enumeration_menu),
	(preferences_item_create_font), (preferences_item_create_padding),
	(preferences_item_create_smooth_font),
	(nautilus_preferences_item_new),
	(enumeration_list_changed_callback),
	(preferences_item_update_displayed_value):
	Add support for enumerations lists.
	Cleanup the way children are added to the main box.  Allow for
	more than one child (for enum list support).  Keep a list of
	widgets and their respective changed signal ids, so they can all
	be blocked and unblocked when needed.
	
	* libnautilus-extensions/nautilus-preferences.h:
	* libnautilus-extensions/nautilus-preferences.c:
	(update_auto_string_list), (preferences_entry_update_auto_storage),
	(preferences_entry_remove_auto_storage),
	(nautilus_preferences_add_auto_string_list),
	(nautilus_preferences_remove_auto_string),
	(nautilus_preferences_remove_auto_string_list):
	Add support for auto storage of string lists.  

	* src/nautilus-application.c: (check_required_directories): Update
	for EelStringList _as_string changes.

2001-04-17  Josh Barrow  <josh@whitecape.org>

	* AUTHORS:
	Changed my e-mail address.  I no longer use josh@eazel.com

2001-04-17 John Fleck <jfleck@inkstain.net>
	
        * reviewed by laszlo.kovacs@sun.com
        * gdb3html.h, sect-elements.[h,c], toc-elements.c 
        fixing bugs #7605, #8001, #7059, #6890

2001-04-17  Ramiro Estrugo  <ramiro@eazel.com>

	* components/tree/nautilus-tree-expansion-state.c:
	(expansion_state_load_callback),
	(nautilus_tree_expansion_state_load_from_preferences),
	(nautilus_tree_expansion_state_save_to_preferences),
	(nautilus_tree_expansion_state_initialize),
	(nautilus_tree_expansion_state_save):
	Update for string_list set/get preferences changes.
	
	* libnautilus-extensions/nautilus-gconf-extensions.h:
	* libnautilus-extensions/nautilus-gconf-extensions.c:
	(nautilus_gconf_set_string_list), (nautilus_gconf_get_string_list):
	Use GSList instead of GList as this the format that GConf
	understands.
	
	* libnautilus-extensions/nautilus-preferences.h:
	* libnautilus-extensions/nautilus-preferences.c:
	(nautilus_preferences_set_string_list),
	(nautilus_preferences_get_string_list),
	(nautilus_preferences_default_set_string_list),
	(nautilus_preferences_default_get_string_list),
	(preferences_entry_remove_callback),
	(preferences_entry_remove_auto_storage),
	(nautilus_self_check_preferences):
	Use EelStringList instead of GList for string_list preferences.
	
	* src/nautilus-shell.c: (save_window_states),
	(restore_one_window_callback), (restore_window_states):
	Update for string_list set/get preferences changes.  Simplify a
	little by using a string list iterator and string lists instead of
	parsing the geometry strings "by hand."

2001-04-17  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-monitor.c:
	#include <glib.h> for g_return macros in the case where HAVE_FAM_H
	ain't defined.
	
2001-04-16  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-monitor.c:
	Need to #include <stdio.h> even when HAVE_FAM ain't defined.
	
2001-04-16  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-monitor.c:
	Add #include <stdio.h> to fix undefined NULL error on tinderbox.
	
2001-04-16  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 7767, umounting a volume should abort finding trash dir.
	
	Add two new signals to the volume monitor; volume_unmount_started and
	volume_unmount_failed.  volume_unmount_started is emitted before
	the volume is unmounted.  This allows interested parties to close
	any open files that they might have open and perform any other
	finalization tasks before the device is unmounted.
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	* libnautilus-extensions/nautilus-volume-monitor.h:
	(nautilus_volume_monitor_initialize_class):
	Add two new signals, volume_unmount_started and volume_unmount_failed.
	(display_mount_error), (close_error_pipe),
	(nautilus_volume_monitor_mount_unmount_removable):
	Prepare for and call volume_unmount_failed in the case that an
	unmount is unable to be completed.

	* libnautilus-extensions/nautilus-trash-directory.c:
	(nautilus_trash_directory_initialize):
	Connect to new volume monitor signal.
	(volume_unmount_started_callback):
	Rename callback to be consistent with the new volume monitor
	signal name.

2001-04-16  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-mime-actions.c:
	Removed unused (and now uninstalled) eel library self checks
	header.

2001-04-16  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-preferences-private.h:
	Remove unused header.
	
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_get_internal):
	Remove unnecessary removal of preferences callbacks at exit time.
	This happens automatically.

	* libnautilus-extensions/nautilus-gconf-extensions.h:
	* libnautilus-extensions/nautilus-gconf-extensions.c:
	(nautilus_gconf_client_get_global), (nautilus_gconf_set_integer),
	(nautilus_gconf_get_integer), (nautilus_gconf_is_default),
	(nautilus_gconf_monitor_add), (nautilus_gconf_monitor_remove),
	(nautilus_gconf_value_free), (nautilus_gconf_notification_add),
	(nautilus_gconf_notification_remove):
	New functions for easier addition and removal of notifications.
	New funtions for easier addition and removal of directory
	monitoring.
	Add a #define for a undefined connection.

	* libnautilus-extensions/nautilus-global-preferences.h:
	Remove SOUND_STATE hack.

	* libnautilus-extensions/nautilus-sound.c:
	(kill_sound_if_necessary), (nautilus_sound_initialize),
	(nautilus_sound_kill_sound), (nautilus_sound_register_sound),
	(nautilus_sound_can_play_sound):
	Use gconf directly for the sound state hack, since nautilus
	preferences arent really useful for this specific use because of
	initialization, and default value issues.
	
	* libnautilus-extensions/nautilus-global-preferences.c:
	(nautilus_global_preferences_initialize): 
	Pass in the storage prefix when initializing preferences.
	
	* libnautilus-extensions/nautilus-preferences.h:
	We now need to pass in the storage prefix when initializing.
	
	* libnautilus-extensions/nautilus-preferences.c:
	Change the way preferences are initialized a little bit.  We now
	feed the initialize function a storage prefix to use for gconf.
	Add assertions for any public function that was used before
	initialization.  Make the key allocations a little faster by
	caching the prefixes that hardly ever change.  Simplify the
	addition and removal of gconf notifications by using the new gconf
	extensions to do so.
	Add a little bit of self checks.  I need to figure out a gconf
	problem before adding more checks, these are very minimal for now.

2001-04-16  Ramiro Estrugo  <ramiro@eazel.com>

	* src/nautilus-main.c:
	(main): Dont include eel library self checks header since its now
	private.  Also dont run the eel library self checks anymore.

2001-04-16  Darin Adler  <darin@eazel.com>

	* src/nautilus-window-menus.c: (help_menu_about_nautilus_callback):
	Stop trying to translate the copyright statement. It should just
	always use "(C)" so it doesn't depend on the character set. No need
	for the fancy copyright symbol from Latin-1.

2001-04-16  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-monitor.c: (get_fam_connection):
	Don't give a warning if there's no FAM daemon to connect to, just
	silently don't use FAM.
	(process_fam_notifications): Improve wording of the warning you
	get when FAM goes away.

2001-04-16  Darin Adler  <darin@eazel.com>

	Changes to use FAM if it's there. Now the hard part is getting FAM
	installed on people's systems.

	* libnautilus-extensions/nautilus-directory-async.c:
	(find_monitor): Tightened up the function.
	(monitor_file_compare), (find_any_monitor): Functions to see if a
	file still has a reason to be monitored.
	(nautilus_directory_monitor_add_internal): Start FAM monitoring.
	(nautilus_directory_monitor_remove_internal): Stop FAM monitoring.
	* libnautilus-extensions/nautilus-directory-private.h: Add a place
	to keep track of the FAM monitor.
	* libnautilus-extensions/nautilus-file-private.h: Add a place
	to keep track of the FAM monitor.
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_destroy): Stop FAM monitoring.
	* libnautilus-extensions/nautilus-file.c: (destroy): Stop FAM
	monitoring.
	
	* libnautilus-extensions/nautilus-monitor.c:
	(get_event_uri): Use FAMREQUEST_GETREQNUM instead of going
	directly at the struct.
	(process_fam_notifications): Get rid of the messages and call
	nautilus_file_changes_consume_changes on the way out.
	(nautilus_monitor_file): Get rid of the message.
	(nautilus_monitor_directory): Get rid of the message and use
	FAMREQUEST_GETREQNUM instead of going directly at the struct.
	(nautilus_monitor_cancel): Get rid of the message and use
	FAMREQUEST_GETREQNUM instead of going directly at the struct.

2001-04-16  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus/Makefile.am:
	Add missing eel includes.
	
2001-04-16  Darin Adler  <darin@eazel.com>

	Some work on FAM.

	* libnautilus-extensions/nautilus-monitor.h:
	* libnautilus-extensions/nautilus-monitor.c: (get_fam_connection),
	(get_request_hash_table), (get_event_uri),
	(process_fam_notifications), (nautilus_monitor_file),
	(nautilus_monitor_directory), (nautilus_monitor_cancel): Improved
	API, fixed some storage leaks, simplified some code, made it
	handle URI escaping properly, use the file changes queue. Almost
	ready for prime time!

	* libnautilus-extensions/nautilus-file-changes-queue.h:
	* libnautilus-extensions/nautilus-file-changes-queue.c:
	(nautilus_file_changes_queue_file_changed),
	(nautilus_file_changes_consume_changes):
	* libnautilus-extensions/nautilus-directory-notify.h:
	* libnautilus-extensions/nautilus-directory.c:
	(call_files_changed_unref_free_list),
	(nautilus_directory_notify_files_changed):
	Added a new kind of notification for the file changed case.

2001-04-16  Darin Adler  <darin@eazel.com>

	* src/nautilus-view-frame.c: (destroy_view), (attach_view): Fixed
	the problem that was making the image view crash. We want to unref
	right away, but not release the CORBA object reference until we
	are done.

	* libnautilus-extensions/nautilus-volume-monitor.c:
	(nautilus_volume_monitor_initialize_class),
	(get_removable_volumes), (volume_is_removable),
	(volume_is_read_only), (mount_volume_get_cdrom_name),
	(mount_volume_activate_cdda), (mount_volume_activate_cdrom),
	(get_current_mount_list), (verify_current_mount_state),
	(get_cdrom_type), (load_additional_mount_list_info):
	Some code cleanups. Got rid of a few ifdefs.
	
2001-04-16  Darin Adler  <darin@eazel.com>

	Fixed API to icon factory that took an anti-aliased parameter when
	creating a scalable icon. Instead it should be possible to get a
	scalable icon and then get either an anti-aliased-optimized or
	non-anti-alias-optimized version of the icon.

	* libnautilus-extensions/nautilus-bookmark.h:
	* libnautilus-extensions/nautilus-bookmark.c:
	(nautilus_bookmark_get_pixmap_and_mask): Pass FALSE so we get the
	non-anti-aliased version.
	(nautilus_bookmark_get_pixbuf): Add parameter to indicate if we
	want the anti-aliased-optimized version or not.
	(nautilus_bookmark_update_icon): Get rid of anti-aliased boolean
	here since we are just updating the scalable icon.
	(nautilus_bookmark_set_icon_to_default): Get rid of anti-aliased
	boolean here since we are just updating the scalable icon.

	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_update_icon): Pass in a flag to indicate
	if we need the anti-aliased version of the icon or not.

	* libnautilus-extensions/nautilus-icon-factory.h:
	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_scalable_icon_new_from_text_pieces): Removed the
	anti-aliased parameter.
	(nautilus_scalable_icon_hash), (nautilus_scalable_icon_equal):
	Remove the anti-aliased flag. A scalable icon itself is created
	before we make the "anti-aliased or not" choice.
	(nautilus_icon_factory_get_icon_for_file): Since we no longer know
	whether the icon will be needed anti-aliased or not, make the
	thumbnail code always use the anti-aliased version (and added
	FIXME). Also changed the "loading" image to use the normal icon
	name case instead of hard-coding.
	(nautilus_icon_factory_get_emblem_icon_by_name): Removed the
	anti-aliased parameter.
	(nautilus_icon_factory_get_emblem_icons_for_file): Removed the
	anti-aliased parameter.
	(load_specific_icon): Add an anti-aliased parameter.
	(load_icon_for_scaling): Add an anti-aliased parameter.
	(load_icon_scale_if_necessary): Pass in the anti-aliased parameter
	from the icon size request.
	(get_icon_from_cache): Pass in the anti-aliased parameter from the
	icon size request.
	(nautilus_icon_factory_get_pixbuf_for_icon): Add an anti-aliased
	parameter.
	(cache_key_hash): Include the anti-aliased flag in the hash.
	(cache_key_equal): Include the anti-aliased flag in the compare.
	(nautilus_icon_factory_get_pixbuf_for_file): Pass the anti-aliased
	parameter into the get_pixbuf half, not the get_icon_for_file
	half.
	(nautilus_icon_factory_get_pixbuf_from_name): Pass the
	anti-aliased parameter into the get_pixbuf half, not the
	scalable_icon_new half.
	(load_icon_with_embedded_text): Remove the anti-aliased parameter.

	* src/file-manager/fm-icon-view.c: (get_icon_images_callback): Get
	rid of code to pass in the anti-aliased parameter.
	* src/file-manager/fm-list-view.c:
	(fm_list_view_get_emblem_pixbufs_for_file): Pass the anti-aliased
	parameter to the pixbuf-getting function, not the
	scalable-icon-getting part.
	* src/nautilus-bookmark-parsing.c:
	(nautilus_bookmark_new_from_node): No need to pass an anti-aliased
	parameter (before it was always FALSE).
	* src/nautilus-sidebar-title.c: (update_emblems): Pass FALSE for
	the anti-aliased parameter to the get_pixbuf call rather than to
	the get_icons call.
	* src/nautilus-window-manage-views.c: (get_history_list_callback):
	No need to pass FALSE for anti-aliased any more.
	* src/nautilus-window-menus.c: (append_bookmark_to_menu): No need
	to pass FALSE for anti-aliased any more.

2001-04-16  Gene Z. Ragan  <gzr@eazel.com>

	Add a global to track the presence of /etc/mnttab and
	use that value instead of the improper ifdef that
	I added last week.  Check the value of this variable
	and use the result to determine to use mnttab or
	/proc/mounts.
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(nautilus_volume_monitor_initialize_class),
	(get_current_mount_list):

2001-04-15  George Lebl <jirka@5z.com>

	* configure.in, po/cs.po:  Being the nationalistic bastard I am,
	  made an initial translation since nobody else seemed to want to
	  do so and I didn't want Czech to be so far behid others.  Currently
	  only about 13% done.

2001-04-13  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-volume-monitor.c:
	(locate_audio_cd): Simplify code a bit and get rid of unnecessary
	use of GnomeVFSURI.
	
	* src/file-manager/fm-directory-view.c: (queue_pending_files):
	Don't filter files at this level. Even invisible files might be
	formerly-visible files.
	* src/file-manager/fm-icon-view.c: (fm_icon_view_add_file),
	(fm_icon_view_file_changed): Filter out files that should not be
	visible, now that they are not filtered earlier.
	* src/file-manager/fm-list-view.c: (fm_list_view_add_file),
	(fm_list_view_file_changed): Filter out files that should not be
	visible, now that they are not filtered earlier.

2001-04-13  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-file-operations-progress.c:
	(nautilus_file_operations_progress_done): Remove code that fills
	the progress bar to the end. The callback from gnome-vfs now takes
	care of this (need the new gnome-vfs with bug fixes).
	
	* libnautilus-extensions/nautilus-file-operations.c:
	(handle_close_callback), (create_transfer_dialog): Handle the
	cancel button in a cleaner way. Just make it close the dialog and
	fall into the code already there to handle cases where the dialog
	is closed directly.
	
	* src/file-manager/fm-icon-view.c: (get_default_zoom_level): Fixed
	a strangely named variable.
	(fm_icon_view_begin_loading): Don't set the zoom level if the view
	does not support zooming (desktop view anyone?).
	(default_zoom_level_changed_callback): Don't set the zoom level if
	the view does not support zooming (desktop view anyone?).
	
	* src/nautilus-window.c: (handle_view_as_item_from_bonobo_menu):
	Use eel_strcmp, because the container path can be NULL in some
	cases.

2001-04-13  Pavel Cisler  <pavel@eazel.com>

	* src/file-manager/fm-list-view.c: (real_get_link_column),
	(real_get_column_specification):
	Move the emblem column after the name column.
	Give the emblem column a title.

2001-04-13  Gene Z. Ragan  <gzr@eazel.com>

	Fix issues in the volume monitor that crept in over time.
	We used to only open /proc/mounts once per second. We now
	do that again. All other file opening tasks now only
	occur when the state of mounts changes.
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(get_removable_volumes), (volume_is_removable),
	(mount_volume_activate), (mount_volume_deactivate),
	(get_current_mount_list), (verify_current_mount_state),
	(load_additonal_mount_list_info), (mount_volume_add_filesystem):
	
	* src/file-manager/fm-desktop-icon-view.c:
	(create_unique_volume_name):

2001-04-13  Ramiro Estrugo  <ramiro@eazel.com>

	* src/nautilus-profiler.c: (dump_dialog_show):
	Dont use a translated font name here.
	
2001-04-12  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus/nautilus-view-standard-main.h:
	* libnautilus/nautilus-view-standard-main.c:
	(nautilus_view_standard_main_multi), (nautilus_view_standard_main):
	Add support for gettext.  Add a post initialize callback so that
	callers can initialize any component specific stuff before the
	main even loop begins (nautilus preferences for example)
	Update for standard main changes.
	Add documentation for these functions.  Also add criticals to make
	the code a little bit more robust.

	* components/help/hyperbola-main.c: (main):
	* components/history/nautilus-history-view.c: (main):
	* components/music/main.c: (main):
	* components/notes/nautilus-notes.c: (main):
	* components/sample/main.c: (main):
	* components/text/main.c: (main):
	* components/tree/main.c: (main):
	Update for standard main changes.  Make these a little simpler by
	putting gettext support in standard main itself.  Also, make sure
	that components that use preferences initialize them.
	
	* src/nautilus-main.c: (main):
	Dont do the preferences initialization if we are about to kill the
	nautilus shell.
	
2001-04-12  Seth Nickell  <snickell@stanford.edu>

	* libnautilus-extensions/Makefile.am:

	Hang head in shame. Add nautilus-monitor.h to Makefile.am's
	headers list.

2001-04-12  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-bookmark.c:
	(nautilus_bookmark_get_pixbuf), (nautilus_bookmark_get_icon),
	(nautilus_bookmark_icon_is_different),
	(nautilus_bookmark_update_icon),
	(nautilus_bookmark_set_icon_to_default),
	(nautilus_bookmark_disconnect_file),
	(nautilus_bookmark_new_with_icon):
	* libnautilus-extensions/nautilus-dateedit-extensions.c:
	(nautilus_gnome_date_edit_get_date_as_string):
	* libnautilus-extensions/nautilus-dateedit-extensions.h:
	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_update_icon):
	* libnautilus-extensions/nautilus-icon-factory.c:
	(cache_key_destroy), (nautilus_scalable_icon_get_text_pieces),
	(nautilus_scalable_icon_new_from_text_pieces),
	(nautilus_scalable_icon_ref), (nautilus_scalable_icon_unref),
	(nautilus_icon_factory_get_icon_for_file),
	(nautilus_icon_factory_get_emblem_icon_by_name),
	(get_icon_from_cache), (nautilus_icon_factory_get_pixbuf_for_file),
	(nautilus_icon_factory_get_pixbuf_from_name),
	(load_icon_with_embedded_text), (nautilus_scalable_icon_list_free):
	* libnautilus-extensions/nautilus-icon-factory.h:
	* libnautilus-extensions/nautilus-program-chooser.c:
	(launch_mime_capplet):
	* libnautilus-extensions/nautilus-program-choosing.c:
	(nautilus_launch_application),
	(nautilus_launch_application_from_command):
	* libnautilus-extensions/nautilus-program-choosing.h:
	* src/file-manager/fm-desktop-icon-view.c:
	(change_background_callback):
	* src/file-manager/fm-directory-view.c: (run_script_callback),
	(activate_callback):
	* src/file-manager/fm-list-view.c:
	(fm_list_view_get_emblem_pixbufs_for_file):
	* src/nautilus-bookmark-list.c: (append_bookmark_node):
	* src/nautilus-bookmark-parsing.c:
	(nautilus_bookmark_new_from_node):
	* src/nautilus-search-bar-criterion.c:
	(nautilus_search_bar_criterion_get_location):
	* src/nautilus-sidebar-title.c: (update_emblems):
	Fix overeager search and replace of eel with nautilus.  These
	functions got accidentally eel-ized.
	
2001-04-12  Seth Nickell  <snickell@stanford.edu>

	* libnautilus-extensions/nautilus-monitor.c:
	(nautilus_monitor_add_file), (nautilus_monitor_add_directory),
	(nautilus_monitor_remove):

	Fix stupid build breakage.
	
2001-04-12  Seth Nickell  <snickell@stanford.edu>

	* libnautilus-extensions/nautilus-monitor.c:
	(nautilus_monitor_process_fam_notifications):

	Add comments to unhandled FAM signals.

2001-04-12  Seth Nickell  <snickell@stanford.edu>

	Add some initial code to deal with file notification and
	monitoring. This isn't hooked in yet, but provides interfaces
	for Nautilus code to use.

	* configure.in:
	Add configure checks for FAM.
	
	* libnautilus-extensions/Makefile.am:
	Include FAM libraries if they exist.
	
	* libnautilus-extensions/nautilus-monitor.c:
	(nautilus_monitor_establish_connection),
	(nautilus_monitor_get_fam),
	(nautilus_monitor_find_path_from_request),
	(nautilus_monitor_find_request_from_path),
	(nautilus_monitor_delete_first_request_found),
	(nautilus_monitor_get_uri),
	(nautilus_monitor_process_fam_notifications),
	(nautilus_monitor_add_file), (nautilus_monitor_add_directory),
	(nautilus_monitor_remove):
	* libnautilus-extensions/nautilus-monitor.h:
	The code that actually communicates w/ FAM.
	
2001-04-12  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-file-operations-progress.c:
	(nautilus_file_operations_progress_new_file): Get rid of the +1
	I added here. I was actually working around a gnome-vfs bug with
	this (even though I didn't know it) and now I've fixed the bug.

	* src/file-manager/fm-directory-view.c: (debuting_uri_data_free):
	Fixed another g_free problem I introduced that was causing a core
	dump on quit.

2001-04-12  Darin Adler  <darin@eazel.com>

	* src/file-manager/fm-directory-view.c:
	Damn! Checked in too fast without thinking. This should make it
	compile again.

2001-04-12  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-file.c:
	Get rid of stray % character.
	
	* src/file-manager/fm-directory-view.c: (remove_debuting_uri),
	(debuting_uri_add_file_callback), (copy_move_done_partition_func):
	Fix bug I introduced with my last check-in, where we try to g_free
	a GINT_TO_POINTER(TRUE).

2001-04-12  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_install_one_default),
	(global_preferences_install_defaults),
	(global_preferences_populate_pane), (default_font_callback),
	(default_smooth_font_callback), (default_home_location_callback):
	Simplify the installation of default values.  Use the same
	mechanism as we do for constant default values, but provide a 
	callback for dynamic values.	
	
	* libnautilus-extensions/nautilus-preferences.h:
	* libnautilus-extensions/nautilus-preferences.c:
	(preferences_key_make_for_default),
	(preferences_key_make_for_default_getter),
	(nautilus_preferences_set_user_level),
	(nautilus_preferences_get_user_level_name_for_display),
	(nautilus_preferences_get_user_level_name_for_storage),
	(nautilus_preferences_user_level_clamp): New function to clamp a
	user level to the valid values.
	(nautilus_preferences_user_level_is_valid): New function to test a
	user level for validity.
	
	* libnautilus-extensions/nautilus-sidebar-functions.h:
	Add public define for sidebar panel preferences name prefix.

	* libnautilus-extensions/nautilus-sidebar-functions.c:
	(sidebar_panel_make_preference_key): Make this function private as
	its not used anymore.

2001-04-11  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-file-operations.c:
	(sync_transfer_callback): Put flags in the debuting_uris hash
	table so we can tell files that are actually moved from files that
	are not because they are already in the right place.
	
	* src/file-manager/fm-directory-view.c:
	(copy_move_done_data_free): Use nautilus_file_list_free to save
	code.
	(remove_not_really_moved_files): Function to pick out files that
	are not actually moved (recognized by the flag in the
	debuting_uris hash table) and treat them as if they had already
	been moved.
	(copy_move_done_callback): Use g_hash_table_foreach_remove with
	the function above.
	
	* src/Nautilus_shell.oaf.in: Fix the the typo.
	
	* src/nautilus-sidebar-tabs.c: (get_property_bag): New function
	so we can share more code.
	(tab_item_destroy): Use new function for clarity and to fix lack
	of CORBA_exception_free.
	(get_tab_image_name): New function factored out.
	(nautilus_sidebar_tabs_update_tab_item): Use new function, also
	reduced some redundant code.
	(nautilus_sidebar_tabs_connect_view): Use new function for clarity
	and to save some code.
	
	* src/nautilus-view-frame.c: (destroy_view), (attach_view): Don't
	bother holding a reference to the NautilusView since it's part of
	the same object as the BonoboControl.
	
	* src/nautilus-window-menus.c: (help_menu_about_nautilus_callback):
	Get rid of non-ASCII character in a msgid string.
	
	* src/nautilus-window.c: (add_view_as_bonobo_menu_item): Fix tip
	string to be easier to translate.

2001-04-11  John Harper  <jsh@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	Fix non-medusa build:

	* libnautilus-extensions/nautilus-medusa-support.c,
	src/file-manager/nautilus-indexing-info.c,
	src/file-manager/fm-search-list-view.c:

	Several small changes to make compilation work when HAVE_MEDUSA
	isn't defined. From a patch sent to nautilus-list by Jason
	Leach <jasonleach@usa.net>

2001-04-11  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus.spec.in:
	Remove some stuff that no longer exists in nautilus.
	
2001-04-11  Ramiro Estrugo  <ramiro@eazel.com>

	* Makefile.am:
	Remove nautilus-installer.
	
	* acconfig.h:
	Remove EAZEL_SERVICES, PAM and RPM defines.
	
	* components/Makefile.am:
	Remove rpmview and services directories.
	
	* nautilus.spec.in:
	Remove all the trilobite stuff.
	
	* configure.in:
	Remove eazel services, installer, rpm checks, pam checks and 
	authenticate helper 
	
	* helper-utilities/Makefile.am:
	* helper-utilities/authenticate/.cvsignore:
	* helper-utilities/authenticate/Makefile.am:
	* helper-utilities/authenticate/nautilus-authenticate-fork.c:
	* helper-utilities/authenticate/nautilus-authenticate-pam.c:
	* helper-utilities/authenticate/nautilus-authenticate.c:
	* helper-utilities/authenticate/nautilus-authenticate.h:
	Retire.  Its not used.  If its ever needed again, it can be
	resurrected in trilobite.
	
	* components/rpmview/.cvsignore:
	* components/rpmview/Makefile.am:
	* components/rpmview/Nautilus_View_rpm.oaf.in:
	* components/rpmview/main.c:
	* components/rpmview/nautilus-rpm-verify-window.c:
	* components/rpmview/nautilus-rpm-verify-window.h:
	* components/rpmview/nautilus-rpm-view-install.c:
	* components/rpmview/nautilus-rpm-view-install.h:
	* components/rpmview/nautilus-rpm-view-private.h:
	* components/rpmview/nautilus-rpm-view.c:
	* components/rpmview/nautilus-rpm-view.h:
	* components/services/.cvsignore:
	* components/services/Makefile.am:
	* components/services/clone/.cvsignore:
	* components/services/clone/Makefile.am:
	* components/services/clone/eazel-clone-lib.c:
	* components/services/clone/eazel-clone-lib.h:
	* components/services/clone/eazel-clone.c:
	* components/services/docs/directories:
	* components/services/docs/eazel-services-framework-draft:
	* components/services/docs/install-user-settings:
	* components/services/docs/installer-dep-check:
	* components/services/docs/installer-rpm-cases:
	* components/services/docs/installer-rpmsearch:
	* components/services/docs/packagexml.dtd:
	* components/services/install-view/.cvsignore:
	* components/services/install-view/Makefile.am:
	* components/services/install-view/Nautilus_View_install.oaf.in:
	* components/services/install-view/callbacks.c:
	* components/services/install-view/callbacks.h:
	* components/services/install-view/forms.c:
	* components/services/install-view/forms.h:
	* components/services/install-view/main.c:
	* components/services/install-view/nautilus-service-install-view.c:
	* components/services/install-view/nautilus-service-install-view.h:
	* components/services/install/.cvsignore:
	* components/services/install/Makefile.am:
	* components/services/install/command-line/.cvsignore:
	* components/services/install/command-line/Makefile.am:
	* components/services/install/command-line/eazel-alt-install-corba.c:
	* components/services/install/command-line/eazel-gen-pre-xml.sh:
	* components/services/install/command-line/eazel-gen-xml.c:
	* components/services/install/command-line/eazel-test-inventory.c:
	* components/services/install/command-line/eazel-test-packsys.c:
	* components/services/install/command-line/eazel-test-softcat.c:
	* components/services/install/command-line/eazel-test-types.c:
	* components/services/install/command-line/genpkg_list.example:
	* components/services/install/idl/.cvsignore:
	* components/services/install/idl/Makefile.am:
	* components/services/install/idl/trilobite-eazel-install.idl:
	* components/services/install/lib/.cvsignore:
	* components/services/install/lib/Makefile.am:
	* components/services/install/lib/eazel-install-corba-callback.c:
	* components/services/install/lib/eazel-install-corba-callback.h:
	* components/services/install/lib/eazel-install-corba-types.c:
	* components/services/install/lib/eazel-install-corba-types.h:
	* components/services/install/lib/eazel-install-corba.c:
	* components/services/install/lib/eazel-install-logic2.c:
	* components/services/install/lib/eazel-install-logic2.h:
	* components/services/install/lib/eazel-install-metadata.c:
	* components/services/install/lib/eazel-install-metadata.h:
	* components/services/install/lib/eazel-install-object.c:
	* components/services/install/lib/eazel-install-private.h:
	* components/services/install/lib/eazel-install-problem.c:
	* components/services/install/lib/eazel-install-problem.h:
	* components/services/install/lib/eazel-install-protocols.c:
	* components/services/install/lib/eazel-install-protocols.h:
	* components/services/install/lib/eazel-install-public.h:
	* components/services/install/lib/eazel-install-query-lex.l:
	* components/services/install/lib/eazel-install-query-parse.h:
	* components/services/install/lib/eazel-install-query.h:
	* components/services/install/lib/eazel-install-rpm-signature.c:
	* components/services/install/lib/eazel-install-rpm-signature.h:
	* components/services/install/lib/eazel-install-tests.c:
	* components/services/install/lib/eazel-install-tests.h:
	* components/services/install/lib/eazel-install-xml-package-list.c:
	* components/services/install/lib/eazel-install-xml-package-list.h:
	* components/services/install/lib/eazel-package-system-dpkg.c:
	* components/services/install/lib/eazel-package-system-dpkg.h:
	* components/services/install/lib/eazel-package-system-private.h:
	* components/services/install/lib/eazel-package-system-rpm3-private.h:
	* components/services/install/lib/eazel-package-system-rpm3.c:
	* components/services/install/lib/eazel-package-system-rpm3.h:
	* components/services/install/lib/eazel-package-system-rpm4.c:
	* components/services/install/lib/eazel-package-system-rpm4.h:
	* components/services/install/lib/eazel-package-system-skeleton.c:
	* components/services/install/lib/eazel-package-system-skeleton.h:
	* components/services/install/lib/eazel-package-system-types.c:
	* components/services/install/lib/eazel-package-system-types.h:
	* components/services/install/lib/eazel-package-system.c:
	* components/services/install/lib/eazel-package-system.h:
	* components/services/install/lib/eazel-softcat-private.h:
	* components/services/install/lib/eazel-softcat.c:
	* components/services/install/lib/eazel-softcat.h:
	* components/services/install/lib/libeazelinstall.h:
	* components/services/install/lib/makefile.staticlib.in:
	* components/services/install/server/.cvsignore:
	* components/services/install/server/Makefile.am:
	* components/services/install/server/Trilobite_Service_install.oaf.in:
	* components/services/install/server/main.c:
	* components/services/install/server/trilobite-eazel-install-service.png:
	* components/services/inventory-view/.cvsignore:
	* components/services/inventory-view/Makefile.am:
	* components/services/inventory-view/Nautilus_View_inventory.oaf.in:
	* components/services/inventory-view/main.c:
	* components/services/inventory-view/nautilus-inventory-config-page.c:
	* components/services/inventory-view/nautilus-inventory-disable-page.c:
	* components/services/inventory-view/nautilus-inventory-disable-page.h:
	* components/services/inventory-view/nautilus-inventory-enable-page.c:
	* components/services/inventory-view/nautilus-inventory-enable-page.h:
	* components/services/inventory-view/nautilus-inventory-view-private.h:
	* components/services/inventory-view/nautilus-inventory-view.c:
	* components/services/inventory-view/nautilus-inventory-view.h:
	* components/services/inventory/.cvsignore:
	* components/services/inventory/Makefile.am:
	* components/services/inventory/Trilobite_Service_inventory.oaf.in:
	* components/services/inventory/eazel-inventory-client.c:
	* components/services/inventory/eazel-inventory-collect-hardware.c:
	* components/services/inventory/eazel-inventory-collect-hardware.h:
	* components/services/inventory/eazel-inventory-collect-software.c:
	* components/services/inventory/eazel-inventory-collect-software.h:
	* components/services/inventory/eazel-inventory-service-interface.idl:
	* components/services/inventory/eazel-inventory-service.c:
	* components/services/inventory/eazel-inventory-service.h:
	* components/services/inventory/eazel-inventory-upload-callback.c:
	* components/services/inventory/eazel-inventory-upload-callback.h:
	* components/services/inventory/eazel-inventory-utils.c:
	* components/services/inventory/eazel-inventory-utils.h:
	* components/services/inventory/eazel-inventory.c:
	* components/services/inventory/eazel-inventory.h:
	* components/services/inventory/main.c:
	* components/services/login/.cvsignore:
	* components/services/login/Makefile.am:
	* components/services/login/nautilus-view/.cvsignore:
	* components/services/login/nautilus-view/Makefile.am:
	* components/services/login/nautilus-view/Nautilus_View_change-password.oaf.in:
	* components/services/login/nautilus-view/main.c:
	* components/services/login/nautilus-view/nautilus-change-password-view.c:
	* components/services/login/nautilus-view/nautilus-change-password-view.h:
	* components/services/login/nautilus-view/password-box.c:
	* components/services/login/nautilus-view/password-box.h:
	* components/services/nautilus-dependent-shared/.cvsignore:
	* components/services/nautilus-dependent-shared/Makefile.am:
	* components/services/nautilus-dependent-shared/eazel-services-extensions.c:
	* components/services/nautilus-dependent-shared/eazel-services-extensions.h:
	* components/services/nautilus-dependent-shared/eazel-services-footer.c:
	* components/services/nautilus-dependent-shared/eazel-services-footer.h:
	* components/services/nautilus-dependent-shared/eazel-services-header.c:
	* components/services/nautilus-dependent-shared/eazel-services-header.h:
	* components/services/nautilus-dependent-shared/icons/.cvsignore:
	* components/services/nautilus-dependent-shared/icons/Makefile.am:
	* components/services/nautilus-dependent-shared/icons/config-gather.png:
	* components/services/nautilus-dependent-shared/icons/eazel-logo-left-side-repeat.png:
	* components/services/nautilus-dependent-shared/icons/eazel-logo-right-side-logo.png:
	* components/services/nautilus-dependent-shared/icons/eazel-services-header-middle-fill.png:
	* components/services/nautilus-dependent-shared/icons/eazel-services-logo-tile.png:
	* components/services/nautilus-dependent-shared/icons/inventory-service-icon.png:
	* components/services/nautilus-dependent-shared/icons/register.png:
	* components/services/nautilus-dependent-shared/icons/service-summary-large-grey-section.png:
	* components/services/nautilus-dependent-shared/icons/service-summary-large-teal-section.png:
	* components/services/nautilus-dependent-shared/icons/service-summary-logo-bottom.png:
	* components/services/nautilus-dependent-shared/icons/service-summary-short-grey-section.png:
	* components/services/nautilus-dependent-shared/icons/service-watch.png:
	* components/services/nautilus-dependent-shared/icons/services-warning.png:
	* components/services/nautilus-dependent-shared/icons/softcat-service-icon.png:
	* components/services/nautilus-dependent-shared/icons/summary-service-normal-fill.png:
	* components/services/nautilus-dependent-shared/icons/summary-service-normal-left-bumper.png:
	* components/services/nautilus-dependent-shared/icons/summary-service-normal-right-bumper.png:
	* components/services/nautilus-dependent-shared/icons/summary-service-prelight-fill.png:
	* components/services/nautilus-dependent-shared/icons/summary-service-prelight-left-bumper.png:
	* components/services/nautilus-dependent-shared/icons/summary-service-prelight-right-bumper.png:
	* components/services/nautilus-dependent-shared/icons/summary-service-remainder-fill.png:
	* components/services/nautilus-dependent-shared/icons/summary-service-remainder-left-bumper.png:
	* components/services/nautilus-dependent-shared/icons/summary-service-remainder-right-bumper.png:
	* components/services/nautilus-dependent-shared/icons/time-sync-service-icon.png:
	* components/services/nautilus-dependent-shared/icons/vault-service-icon.png:
	* components/services/nautilus-dependent-shared/test-footer-header.c:
	* components/services/summary/.cvsignore:
	* components/services/summary/Makefile.am:
	* components/services/summary/Nautilus_View_services-summary.oaf.in:
	* components/services/summary/eazel-summary-shared.c:
	* components/services/summary/eazel-summary-shared.h:
	* components/services/summary/icons/.cvsignore:
	* components/services/summary/icons/Makefile.am:
	* components/services/summary/icons/active-fill.png:
	* components/services/summary/icons/active-inactive-bridge.png:
	* components/services/summary/icons/active-left-bumper.png:
	* components/services/summary/icons/active-prelight-bridge.png:
	* components/services/summary/icons/active-right-bumper.png:
	* components/services/summary/icons/fill-background.png:
	* components/services/summary/icons/inactive-active-bridge.png:
	* components/services/summary/icons/inactive-fill.png:
	* components/services/summary/icons/inactive-left-bumper.png:
	* components/services/summary/icons/inactive-right-bumper.png:
	* components/services/summary/icons/prelight-active-bridge.png:
	* components/services/summary/icons/prelight-fill.png:
	* components/services/summary/icons/prelight-left-bumper.png:
	* components/services/summary/icons/prelight-right-bumper.png:
	* components/services/summary/main.c:
	* components/services/summary/nautilus-summary-callbacks.c:
	* components/services/summary/nautilus-summary-callbacks.h:
	* components/services/summary/nautilus-summary-dialogs.c:
	* components/services/summary/nautilus-summary-dialogs.h:
	* components/services/summary/nautilus-summary-footer.c:
	* components/services/summary/nautilus-summary-footer.h:
	* components/services/summary/nautilus-summary-menu-items.c:
	* components/services/summary/nautilus-summary-menu-items.h:
	* components/services/summary/nautilus-summary-view-private.h:
	* components/services/summary/nautilus-summary-view-ui.xml:
	* components/services/summary/nautilus-summary-view.c:
	* components/services/summary/nautilus-summary-view.h:
	* components/services/summary/nautilus-tabs.c:
	* components/services/summary/nautilus-tabs.h:
	* components/services/summary/redirects.xml:
	* components/services/summary/services.xml:
	* components/services/summary/tests.txt:
	* components/services/time/.cvsignore:
	* components/services/time/Makefile.am:
	* components/services/time/command-line/.cvsignore:
	* components/services/time/command-line/Makefile.am:
	* components/services/time/command-line/main.c:
	* components/services/time/idl/.cvsignore:
	* components/services/time/idl/Makefile.am:
	* components/services/time/idl/trilobite-eazel-time-service.idl:
	* components/services/time/nautilus-view/.cvsignore:
	* components/services/time/nautilus-view/Makefile.am:
	* components/services/time/nautilus-view/main.c:
	* components/services/time/nautilus-view/trilobite-eazel-time-view.c:
	* components/services/time/nautilus-view/trilobite-eazel-time-view.h:
	* components/services/time/nautilus-view/trilobite-eazel-time-view.oafinfo:
	* components/services/time/service/.cvsignore:
	* components/services/time/service/Makefile.am:
	* components/services/time/service/main.c:
	* components/services/time/service/trilobite-eazel-time-service-private.h:
	* components/services/time/service/trilobite-eazel-time-service-public.h:
	* components/services/time/service/trilobite-eazel-time-service.c:
	* components/services/time/service/trilobite-eazel-time-service.oafinfo:
	* components/services/time/service/trilobite-eazel-time-service.png:
	* components/services/trilobite/.cvsignore:
	* components/services/trilobite/Makefile.am:
	* components/services/trilobite/doc/gconf.txt:
	* components/services/trilobite/helper/.cvsignore:
	* components/services/trilobite/helper/Makefile.am:
	* components/services/trilobite/helper/README:
	* components/services/trilobite/helper/eazel-helper.c:
	* components/services/trilobite/helper/eazel-helper.pam:
	* components/services/trilobite/helper/eazel-helper.security.in:
	* components/services/trilobite/idl/.cvsignore:
	* components/services/trilobite/idl/Makefile.am:
	* components/services/trilobite/idl/trilobite-service.idl:
	* components/services/trilobite/libtrilobite/.cvsignore:
	* components/services/trilobite/libtrilobite/Makefile.am:
	* components/services/trilobite/libtrilobite/libtrilobite-service.h:
	* components/services/trilobite/libtrilobite/libtrilobite.h:
	* components/services/trilobite/libtrilobite/makefile.staticlib.in:
	* components/services/trilobite/libtrilobite/trilobite-core-distribution.c:
	* components/services/trilobite/libtrilobite/trilobite-core-distribution.h:
	* components/services/trilobite/libtrilobite/trilobite-core-messaging.c:
	* components/services/trilobite/libtrilobite/trilobite-core-messaging.h:
	* components/services/trilobite/libtrilobite/trilobite-core-network-slim.c:
	* components/services/trilobite/libtrilobite/trilobite-core-network.c:
	* components/services/trilobite/libtrilobite/trilobite-core-network.h:
	* components/services/trilobite/libtrilobite/trilobite-core-utils.c:
	* components/services/trilobite/libtrilobite/trilobite-core-utils.h:
	* components/services/trilobite/libtrilobite/trilobite-i18n.h:
	* components/services/trilobite/libtrilobite/trilobite-md5-tools.c:
	* components/services/trilobite/libtrilobite/trilobite-md5-tools.h:
	* components/services/trilobite/libtrilobite/trilobite-redirect.c:
	* components/services/trilobite/libtrilobite/trilobite-redirect.h:
	* components/services/trilobite/libtrilobite/trilobite-root-client-private.h:
	* components/services/trilobite/libtrilobite/trilobite-root-client-public.h:
	* components/services/trilobite/libtrilobite/trilobite-root-client.c:
	* components/services/trilobite/libtrilobite/trilobite-root-helper.c:
	* components/services/trilobite/libtrilobite/trilobite-root-helper.h:
	* components/services/trilobite/libtrilobite/trilobite-service-passwordquery-private.h:
	* components/services/trilobite/libtrilobite/trilobite-service-passwordquery-public.h:
	* components/services/trilobite/libtrilobite/trilobite-service-passwordquery.c:
	* components/services/trilobite/libtrilobite/trilobite-service-private.h:
	* components/services/trilobite/libtrilobite/trilobite-service-public.h:
	* components/services/trilobite/libtrilobite/trilobite-service.c:
	* components/services/trilobite/sample/.cvsignore:
	* components/services/trilobite/sample/Makefile.am:
	* components/services/trilobite/sample/command-line/.cvsignore:
	* components/services/trilobite/sample/command-line/Makefile.am:
	* components/services/trilobite/sample/command-line/main.c:
	* components/services/trilobite/sample/idl/.cvsignore:
	* components/services/trilobite/sample/idl/Makefile.am:
	* components/services/trilobite/sample/idl/sample-service.idl:
	* components/services/trilobite/sample/lib/.cvsignore:
	* components/services/trilobite/sample/lib/Makefile.am:
	* components/services/trilobite/sample/lib/sample-service-public.h:
	* components/services/trilobite/sample/nautilus-view/.cvsignore:
	* components/services/trilobite/sample/nautilus-view/Makefile.am:
	* components/services/trilobite/sample/nautilus-view/Nautilus_View_service-sample.oaf.in:
	* components/services/trilobite/sample/nautilus-view/icons/.cvsignore:
	* components/services/trilobite/sample/nautilus-view/icons/Makefile.am:
	* components/services/trilobite/sample/nautilus-view/main.c:
	* components/services/trilobite/sample/nautilus-view/nautilus-sample-service-view.c:
	* components/services/trilobite/sample/nautilus-view/nautilus-sample-service-view.h:
	* components/services/trilobite/sample/service/.cvsignore:
	* components/services/trilobite/sample/service/Makefile.am:
	* components/services/trilobite/sample/service/Trilobite_Service_sample.oaf.in:
	* components/services/trilobite/sample/service/main.c:
	* components/services/trilobite/sample/service/sample-service-impl.c:
	* components/services/trilobite/utils/.cvsignore:
	* components/services/trilobite/utils/Makefile.am:
	* components/services/trilobite/utils/eazel-helper-test.c:
	* nautilus-installer/.cvsignore:
	* nautilus-installer/Makefile.am:
	* nautilus-installer/install-lib/.cvsignore:
	* nautilus-installer/install-lib/Makefile.am:
	* nautilus-installer/libtrilobite/.cvsignore:
	* nautilus-installer/libtrilobite/Makefile.am:
	* nautilus-installer/nautilus-installer.glade:
	* nautilus-installer/package-list.xml.in:
	* nautilus-installer/src/.cvsignore:
	* nautilus-installer/src/HACKING:
	* nautilus-installer/src/Makefile.am:
	* nautilus-installer/src/bootstrap-background.xpm:
	* nautilus-installer/src/callbacks.c:
	* nautilus-installer/src/callbacks.h:
	* nautilus-installer/src/create-eazel-installer.sh:
	* nautilus-installer/src/error-symbol.xpm:
	* nautilus-installer/src/evil.xpm:
	* nautilus-installer/src/fake-stock.c:
	* nautilus-installer/src/fake-stock.h:
	* nautilus-installer/src/gnome-dialog-util.c:
	* nautilus-installer/src/gnome-dialog-util.h:
	* nautilus-installer/src/gnome-dialog.c:
	* nautilus-installer/src/gnome-dialog.h:
	* nautilus-installer/src/gnome-druid-page.c:
	* nautilus-installer/src/gnome-druid-page.h:
	* nautilus-installer/src/gnome-druid.c:
	* nautilus-installer/src/gnome-druid.h:
	* nautilus-installer/src/gnome-messagebox.c:
	* nautilus-installer/src/gnome-messagebox.h:
	* nautilus-installer/src/gnome-types.h:
	* nautilus-installer/src/gtk-hackery.c:
	* nautilus-installer/src/installer.c:
	* nautilus-installer/src/installer.h:
	* nautilus-installer/src/link.sh:
	* nautilus-installer/src/main.c:
	* nautilus-installer/src/nautilus-druid-page-eazel.c:
	* nautilus-installer/src/nautilus-druid-page-eazel.h:
	* nautilus-installer/src/nautilus-druid.c:
	* nautilus-installer/src/nautilus-druid.h:
	* nautilus-installer/src/package-list-depends.xml:
	* nautilus-installer/src/package-tree.c:
	* nautilus-installer/src/package-tree.h:
	* nautilus-installer/src/prescript:
	* nautilus-installer/src/proxy.c:
	* nautilus-installer/src/proxy.h:
	* nautilus-installer/src/rpmsearch.cgi:
	* nautilus-installer/src/support.c:
	* nautilus-installer/src/support.h:
	Retire.  These now live in the trilobite module.
	
2001-04-10  John Harper  <jsh@eazel.com>

	* src/nautilus-first-time-druid.c (druid_finished): re-removed
	the code to immediately add the services link (looks like it
	was added as a result of Rebecca's checkin of 2001-04-06),
	since it's done at idle time now

2001-04-09  Ramiro Estrugo  <ramiro@eazel.com>

	* acconfig.h:
	Add HAVE_AMMONITE.
	
	* components/mozilla/main.c: (main):
	* components/mozilla/nautilus-mozilla-content-view.c:
	(translate_uri_nautilus_to_mozilla),
	(translate_uri_mozilla_to_nautilus):
	Use HAVE_AMMONITE instead of EAZEL_SERVICES for the specific
	Ammonite features.
	
	* components/text/services/Makefile.am:
	Fix rogue spacing.
	
	* configure.in:

	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_self_check_directory):
	Remove EAZEL_SERVICES from self test code.  Run the test for the
	eazel-services uri scheme regardless.
	
	* libnautilus-extensions/nautilus-mime-actions.h:
	* libnautilus-extensions/nautilus-mime-actions.c:
	(mime_get_all_components_for_uri_scheme): New flavor of function
	tha takes a uri scheme parameter instead of a NautilusFile.
	(nautilus_mime_has_any_components_for_uri_scheme): New function to
	find out if there exists any components registered to handle a uri
	scheme.

	* src/Makefile.am:
	Use AMMONITE_CFLAGS and AMMONITE_LIBS instead of SERVICES_LIBS
	hac.
	
	* src/nautilus-services.h,
	* src/nautilus-services.c: New files for putting all shared
	services related code in one places. 

	* src/nautilus-window-menus.c: (services_button_callback),
	(nautilus_window_initialize_menus_part_1):
	Remove EAZEL_HACKING hackery.  Make the services code always be
	linked in.  Use new shared services functions to determine whether
	we need to populate the services menus and toolbars.
	
	* src/nautilus-window-service-ui.c: (goto_services_summary),
	(goto_online_storage), (goto_software_catalog),
	(nautilus_window_install_service_ui):
	Simplify by using shared services code.  Remove all Ammonite code
	from here.  Ammonite code is constrained to nautilus-services.[ch]
	only.  Use shared services code t determine the target uris for
	services callbacks.
	
	* src/nautilus-window-toolbars.c: (set_up_toolbar_images):
	* src/nautilus-window.c: (nautilus_window_constructed):
	Remove EAZEL_HACKING hackery.  Decide at runtime whether to setup
	the services toobar or not.

2001-04-09  John Sullivan  <sullivan@eazel.com>

	Wired up the remaining new view global preferences,
	and added a menu item for resetting the current view
	to match preferences. I know of one large bug (the
	default choice of Icons vs List doesn't work) and several
	small bugs that I'll write up now.

	This change requires a recent API change in eel (for
	eel_list_set_sort_type and eel_list_set_sort_column).

	* libnautilus-extensions/nautilus-global-preferences.c:
	Fixed typo.
	
	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-directory-view.c:
	(reset_to_defaults_callback), (real_merge_menus),
	(fm_directory_view_reset_to_defaults),
	(fm_directory_view_initialize_class): Added support for
	"Reset to Defaults" command, which subclasses override
	to Do The Right Thing.
	
	* src/file-manager/nautilus-directory-view-ui.xml:
	Add "Reset to View Preferences" menu item.

	* src/nautilus-shell-ui.xml: Add placeholder to support location
	of "Reset to View Preferences" menu item.

	* src/file-manager/fm-icon-view.c:
	(fm_icon_view_reset_to_defaults), (fm_icon_view_initialize_class):
	Set sort criterion, sort-reversedness, tighter layout, and
	zoom level to match defaults.
	
	* src/file-manager/fm-list-view.c: 
	(fm_list_view_initialize_class): wire up reset_to_defaults handler;
	set up auto-storage variables for sort order & sort reversed preferences.
	(fm_list_view_initialize): Set up preferences callbacks to notice changes
	to default sort order, sort reversed, and zoom level.
	(set_sort_order_from_metadata_and_preferences),
	(set_zoom_level_from_metadata_and_preferences): New functions, broken
	out of fm_list_view_begin_loading for reuse.
	(default_sort_criteria_changed_callback),
	(default_zoom_level_changed_callback): React to preference changes
	by resorting or rezooming as appropriate.
	(fm_list_view_begin_loading): Call broken-out functions.
	(fm_list_view_reset_to_defaults): Set sort order, sort-reversedness,
	and zoom level to default values.
	(fm_list_view_sort_items): Use variable defaults instead of hardwired
	constants for sort order & sort-reversedness. Call new eel_list versions
	of set_sort_type and set_sort_column so the column titles redraw
	correctly.
	(get_sort_column_from_attribute): Use variable default for sort attribute
	instead of hardwired constant.
	(get_attribute_from_sort_type): New function, converts between
	NautilusFileSortType enum values and named attributes.
	(real_get_default_sort_attribute): Use get_attribute_from_sort_type instead
	of hardwired constant.

	* src/nautilus-application.c:
	(default_folder_viewer_changed_callback),
	(nautilus_application_startup): When the default folder viewer
	preference changes, tell gnome-vfs about it.

2001-04-09  Pavel Cisler  <pavel@eazel.com>

	reviewed by: Michael Engber  <engber@eazel.com>

	Fix 6024 properties window and file copy dialog should ellipsize
		 paths in middle, not at start

	* libnautilus-extensions/nautilus-file-operations.c:
	(ellipsize_string_for_dialog):
	Use ellipsize_middle now that we support it.
	
	* src/file-manager/fm-list-view.c: (truncate_middle_callback),
	(get_cell_text):
	Use the new ellipsizing API.
	
2001-04-09  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-sidebar-functions.h:
	Fix a bogus comment.
	
2001-04-09  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	Fix list view default zoom level value.

	* libnautilus-extensions/nautilus-preferences-group.c:
	(nautilus_preferences_group_get_num_visible_items),
	(nautilus_preferences_group_get_max_caption_width),
	(nautilus_preferences_group_align_captions):
	Use nautilus_prefereces_item_is_showing() instead of GTK_VISIBLE
	and nautilus_preferences_is_visible().
	
	* libnautilus-extensions/nautilus-preferences-item.h:
	* libnautilus-extensions/nautilus-preferences-item.c:
	(nautilus_preferences_item_is_showing): New function.
	(preferences_item_get_control_showing): Make this one private.
	(nautilus_preferences_item_update_showing): Use new function.
	
	* libnautilus-extensions/nautilus-preferences-pane.c:
	(preferences_pane_update_and_resize_callback),
	(nautilus_preferences_pane_initialize),
	(nautilus_preferences_pane_add_control_preference):
	Update the pane on user level changes as well so that alignment
	are right.  This is a bit of a hack.
	
	* src/file-manager/fm-icon-view.c: (get_default_sort_order),
	(fm_icon_view_real_get_directory_sort_by),
	(fm_icon_view_set_directory_sort_by),
	(fm_icon_view_real_set_directory_sort_by),
	(get_default_sort_in_reverse_order),
	(fm_icon_view_real_get_directory_sort_reversed),
	(fm_icon_view_set_directory_sort_reversed),
	(fm_icon_view_real_set_directory_sort_reversed),
	(get_default_directory_tighter_layout),
	(fm_icon_view_real_get_directory_tighter_layout),
	(fm_icon_view_set_directory_tighter_layout),
	(fm_icon_view_real_set_directory_tighter_layout),
	(get_sort_criterion_by_sort_type), (get_default_zoom_level),
	(fm_icon_view_begin_loading), (fm_icon_view_get_zoom_level),
	(fm_icon_view_set_zoom_level), (fm_icon_view_zoom_to_level),
	(fm_icon_view_restore_default_zoom_level),
	(default_zoom_level_font_size_changed_callback),
	(default_sort_order_changed_callback),
	(default_sort_in_reverse_order_changed_callback),
	(default_use_tighter_layout_changed_callback),
	(default_zoom_level_changed_callback), (fm_icon_view_initialize),
	(fm_icon_view_update_icon_container_font_size_table):
	Use preferences to obtain the default values for zoom level,
	zoom level font size, sort order, sort reversed and tighter
	layout.

	* src/file-manager/fm-list-view.c: (get_default_zoom_level):
	Use preferences to obtain the default zoom level.
	
2001-04-08  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	Miseed this file in last checkin.
	
2001-04-08  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.h:
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_register_enumerations),
	(global_preferences_create_dialog),
	(global_preferences_populate_sidebar_panels_callback),
	(global_preferences_install_font_defaults),
	(global_preferences_populate_pane):
	Make the way we deal with enumerations simpler.  Add "View
	Preferences" pane and all the related defines.
	
	* libnautilus-extensions/nautilus-preferences-group.h:
	* libnautilus-extensions/nautilus-preferences-group.c:
	(nautilus_preferences_group_initialize_class),
	(nautilus_preferences_group_initialize),
	(nautilus_preferences_group_destroy),
	(nautilus_preferences_group_new),
	(nautilus_preferences_group_add_item),
	(nautilus_preferences_group_update),
	(nautilus_preferences_group_get_num_visible_items),
	(nautilus_preferences_group_get_title_label),
	(nautilus_preferences_group_get_max_caption_width),
	(nautilus_preferences_group_align_captions):
	Add support for 2 columns.  Add better support for caption
	alignment.  Some minor style tweaking.
	
	* libnautilus-extensions/nautilus-preferences-item.h:
	* libnautilus-extensions/nautilus-preferences-item.c:
	(preferences_item_destroy),
	(preferences_item_update_enumeration_radio),
	(preferences_item_create_enumeration_radio),
	(preferences_item_create_boolean),
	(preferences_item_create_editable_string),
	(preferences_item_create_editable_integer),
	(preferences_item_update_enumeration_menu),
	(preferences_item_create_enumeration_menu),
	(preferences_item_create_font), (preferences_item_create_padding),
	(smooth_font_changed_callback),
	(preferences_item_create_smooth_font),
	(nautilus_preferences_item_new),
	(enumeration_radio_changed_callback), (font_changed_callback),
	(enumeration_menu_changed_callback),
	(preferences_item_update_displayed_value),
	(nautilus_preferences_item_get_child_width),
	(nautilus_preferences_item_update_showing):
	Add support for padding items.  Rename the enumeration items to
	better describe their look and function.
	No longer need to store the whole enumeration.  We just need the
	enumeration id to make enumeration queries.  Remove the
	constrained integer stuff which is replaced by the use of an
	enumeration id.
	
	* libnautilus-extensions/nautilus-preferences-pane.h:
	* libnautilus-extensions/nautilus-preferences-pane.c:
	(nautilus_preferences_pane_add_item_to_nth_group),
	(preferences_pane_get_max_caption_width),
	(nautilus_preferences_pane_update),
	(nautilus_preferences_pane_get_num_visible_groups):
	Better caption alignment.
	
	* libnautilus-extensions/nautilus-preferences.h:
	* libnautilus-extensions/nautilus-preferences.c:
	(preferences_entry_free), (nautilus_preferences_get_description),
	(nautilus_preferences_set_enumeration_id),
	(nautilus_preferences_get_enumeration_id):
	No longer store the whole enumeration, just an enumeration id.
	
	* src/file-manager/fm-icon-view.c: (fm_icon_view_initialize),
	(fm_icon_view_update_icon_container_font_size_table):
	* src/file-manager/fm-list-view.c: (fm_list_view_initialize),
	(fm_list_view_update_font):
	Update for new "View Preferences" preferences.  Not hooked up for
	real yet.
	
2001-04-07  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3787 (If location bar is turned off, user cannot
	change viewer)

	Now the "View as" choices, including "View as...", appear
	at the bottom of the View menu as well as in the location bar.

	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	(add_numbered_menu_item_internal): Handle radio item case; change
	signature to support this.
	(nautilus_bonobo_add_numbered_menu_item),
	(nautilus_bonobo_add_numbered_toggle_menu_item):
	Updated for change to add_numbered_menu_item_internal.
	(nautilus_bonobo_add_numbered_radio_menu_item): New function,
	just like its fellows but creates a one-of-many menu item.
	(nautilus_bonobo_get_numbered_menu_item_index_from_command),
	(nautilus_bonobo_get_numbered_menu_item_container_path_from_command):
	New functions that return info given one of the numbered-menu-item
	generated commands. Useful for callbacks when all you have in hand
	is the command itself.
	
	* src/nautilus-shell-ui.xml: Add "View as" command; add placeholders
	and separators and "View as" menu item to View menu.
	Also removed pixmap from Close Window menu item because it was
	silly to have a pixmap on exactly one item in the File menu.
	
	* src/nautilus-window-manage-views.c: Took "static" off of
	nautilus_window_content_matches_iid so I could make it public
	and use it in nautilus-window.c.
	
	* src/nautilus-window-private.h: Added fields to Details struct
	and prototypes for functions needed by View As stuff.

	* src/nautilus-window-menus.c: 
	(view_menu_view_as_callback): New callback function used by
	"View as" verb.
	(nautilus_window_initialize_menus_part_1): Wire up "View as"
	verb; register for Bonobo UI events to catch radio items being
	selected.
	
	* src/nautilus-window.c: 
	(set_dummy_initial_view_as_menu): Changed "View as ..." to
	"View as...", which matches the new name of "View as Other..."
	(free_stored_viewers): New function, frees and nulls out the
	view identifiers stored in the Details struct for the "View as"
	menus.
	(nautilus_window_destroy): Call free_stored_viewers.
	(activate_nth_short_list_item): New function, switches viewers
	by viewer index.
	(activate_extra_viewer): New function, switches to sometimes-
	present extra viewer (used when current viewer isn't in short list).
	(handle_view_as_item_from_bonobo_menu): If item whose state has
	changed is a "View as" item, dispatch accordingly.
	(nautilus_window_handle_ui_event_callback): Call
	handle_view_as_item_from_bonobo_menu if UI event was state
	changing to TRUE.
	(view_as_menu_switch_views_callback), 
	(create_view_as_menu_item): Changed to store viewer index and
	whether viewer is "extra viewer" rather than storing 
	NautilusViewIdentifier. This is used for option menu in location
	bar and now closely matches the mechanism used for the View menu.
	(add_view_as_bonobo_menu_item): New function used by View menu
	View As items.
	(replace_extra_viewer_in_view_as_menus),
	(nautilus_window_synch_view_as_menus): 
	(load_view_as_menus_callback): Renamed and cleaned up to separate
	information gathering from widget updating; now handle View As 
	items in View menu also.
	(chose_component_callback): Added FIXME for pre-existing bug 8000.
	(nautilus_window_show_view_as_dialog): New function, extracted
	from view_as_menu_choose_view_callback.
	(view_as_menu_choose_view_callback): Now calls extracted function.
	(refresh_stored_viewers): New function, updates the list of viewers
	stored in the Details struct.

2001-04-06  Rebecca Schulman  <rebecka@eazel.com>
	Fix bugzilla.eazel.com bug 7933, and the nautilus
	half of bug 7934, by removing the search preferences
	from nautilus, and removing the ability to make a new
	index from Nautilus.  These features may return at 
	some point, but in the future will require a root
	password.

	reviewed by: Pavel Cisler <pavel@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_install_defaults),
	(global_preferences_create_dialog),
	(global_preferences_install_font_defaults):
	* libnautilus-extensions/nautilus-global-preferences.h:
	Remove all of the medusa preferences, including the
	preference to make the preference itself sensitive and
	insensitive, and all callbacks and set up related
	to the search preference
	
	* libnautilus-extensions/nautilus-medusa-support.c:
	(nautilus_medusa_services_are_enabled),
	(nautilus_medusa_check_cron_is_enabled),
	(nautilus_medusa_get_configuration_file_path),
	(nautilus_medusa_get_explanation_of_enabling):
	* libnautilus-extensions/nautilus-medusa-support.h:
	Remove functions to enable / disable medusa,
	and to check on cron.  Add new function
	to explain how to turn on medusa as root, so that
	the same message can be adjusted, and used in multiple 
	dialogs
	
	* src/file-manager/fm-search-list-view.c:
	(report_index_age_as_status), (load_location_callback),
	(display_indexed_search_problems_dialog),
	(display_system_services_are_disabled_dialog):
	Remove dialog about medusa being blocked, since medusa
	can only be either on or off now. Clarify the message
	about medusa being off, and change the message to tell
	the user how to turn medusa on as root, instead of
	recommending they change their preference in nautilus about
	searching. Refactor status message about last indexing
	time to simplify the load_location_callback.  Don't tell
	users that "an index can't be created right now", but instead
	tell them how to create an index as root, when this information
	is appopriate.   Remove two FIXMEs that are now obsolete.
	
	* src/file-manager/nautilus-indexing-info.c:
	(set_close_hides_for_dialog), (show_index_progress_dialog),
	(show_reindex_request_dialog),
	(last_index_time_and_reindex_button_dialog_new),
	(index_progress_dialog_new), (show_indexing_info_dialog),
	(nautilus_indexing_info_show_dialog):
	Remove dialog about medusa being blocked, and make the index
	status dialog explain clearly that there is no index in the
	case where medusa is turned off, instead of giving an error
	message.  Change the state changed callbacks to coincide 
	with concurrent changes to the medusa "system state" API.
	Fix a bug that could cause nautilus to crash if the index
	status dialog was up when medusa was turned on (a race condition
	of two callbacks trying to destroy the same dialog)
	
	* src/nautilus-first-time-druid.c: (druid_finished),
	(nautilus_first_time_druid_show):
	Remove medusa and cron pages from the first time druid.  Includes
	removing the callbacks to change the page order based on
	whether medusa and/or cron are available. 

2001-04-06  Gene Z. Ragan  <gzr@eazel.com>

	Fix a compile error in the volume monitor code.
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(mount_volume_get_cdda_name), (open_cdda_device),
	(locate_audio_cd):

2001-04-06  Robin * Slomkowski  <rslomkow@eazel.com>

	* configure.in: upped version to 1.0.2.1 too keep
	  track of the 3 active branches of nautilus
	  development and keep HEAD sorting higher.

2001-04-06  Gene Z. Ragan  <gzr@eazel.com>

	Attempt to track down possible file descriptor leak.
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(get_removable_volumes), (get_current_mount_list),
	(open_cdda_device), (locate_audio_cd):

2001-04-06  Gene Z. Ragan  <gzr@eazel.com>
	
	Add more verbose error message in the case that
	/proc/mounts or /etc/mnttab cannot be opened.
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(get_current_mount_list):

2001-04-05  Rebecca Schulman  <rebecka@eazel.com>

	reviewed by: Don Melton <don@eazel.com>

	* help/nautilus-user-manual/C/TRACKED_CHANGES:
	* help/nautilus-user-manual/C/nautilus-user-manual.sgml:
	
	Remove documentation about search from the manual for now.
	Unfortunately, we were not able to get in touch with Dan Mueth
	regarding this change.  The translated copies of the edited manual
	will be changed tomorrow morning.

2001-04-05  Pavel Cisler  <pavel@eazel.com>

	reviewed by: John Harper  <jsh@eazel.com>

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_fit_date_as_string),
	(nautilus_file_fit_modified_date_as_string),
	(nautilus_file_get_date_as_string):
	* libnautilus-extensions/nautilus-file.h:
	Add a new function that returns a modified date string,
	formatted to fit a given width. Make the old
	nautilus_file_get_date_as_string call it.
	
	* src/file-manager/fm-list-view.c: (measure_width_callback),
	(trucante_middle_callback), (get_cell_text), (set_up_list):
	Hook up to the get_cell_text signal. For modified text return
	a nicely formatted text string, for everything else just
	ellipsize the result.

2001-04-05  John Sullivan  <sullivan@eazel.com>

	Fixed bug 7986 ("Paste Files" disabled in trash:)

	* src/file-manager/fm-directory-view.c: 
	(real_update_menus): Made "Paste Files" sensitivity depend
	on is_read_only rather than can_create_files.

	* src/file-manager/fm-search-list-view.c:
	(fm_search_list_view_initialize_class), (real_is_read_only):
	Made search list view override is_read_only instead of
	supports_creating_files.

2001-04-05  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_theme_changed):
	Update for Arlo's new icon.
	
2001-04-05  John Sullivan  <sullivan@eazel.com>

	Fixed bug 7985 (Separately group "Move to Trash" and
	"Delete" menu items to avoid accidental selection)

	* src/file-manager/nautilus-directory-view-ui.xml:
	Moved Move to Trash and Delete into their own
	menu section (surrounded by separators).	
	* src/file-manager/fm-directory-view.c: Updated menu
	paths that have now changed.
	* src/nautilus-shell-ui.xml: Added placeholder used by
	Move to Trash and Delete to get ordering right.

2001-04-05  Arlo Rose  <arlo@eazel.com>

	* icons/Makefile.am:
	* icons/note-indicator.png:
	Made icon a single note.	

	* icons/text-selection-frame-aa.png:
	* icons/text-selection-frame.png:
	Added non aa version of the text selection frame for dragging.

2001-04-05  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 7821, SOLARIS: Nautilus hangs attempted to initialize ESD
	
	* libnautilus-extensions/nautilus-global-preferences.h:
	Remove unused sound init preference.
	
	* libnautilus-extensions/nautilus-sound.c:
	* libnautilus-extensions/nautilus-sound.h:
	(nautilus_sound_initialize):
	Remove call to esd_open_audio. It is the wrong call to use and
	caused problems on Solaris.
	
	(nautilus_sound_can_play_sound):
	Call esd_sound_open to determine if we can handle audio playback.
		
2001-04-05  Gene Z. Ragan  <gzr@eazel.com>
	
	Fixed bug 7790, Music View silently fails if sound
	hardware busy or missing
	
	* components/music/esd-audio.c: (esdout_playing), (esdout_close),
	(esdout_loop), (esdout_open):
	Modify logic used to determine if another process has opened a
	connection to esd, blocking us from doing so.
	
	* components/music/nautilus-music-view.c:
	(update_play_controls_status), (play_current_file),
	(add_play_controls):
	Add code in anticipation of adding support to disable controls at
	appropriate times.

2001-04-05  Ramiro Estrugo  <ramiro@eazel.com>

	* components/rpmview/Makefile.am:
	* components/rpmview/nautilus-rpm-view.c:
	(nautilus_rpm_view_initialize),
	(nautilus_rpm_view_update_from_uri),
	(nautilus_rpm_view_drag_data_received), (pixbuf_new_named),
	(image_new_named):
	Remove depenency on Nautilus themes and thus libnautilus-extensions.
	
	* components/services/install-view/Makefile.am:
	* components/services/install-view/callbacks.c:
	(nautilus_service_install_done):
	* components/services/install-view/nautilus-service-install-view.c:
	(nautilus_service_install_view_initialize_class):
	* components/services/inventory-view/Makefile.am:
	* components/services/login/nautilus-view/Makefile.am:
	* components/services/nautilus-dependent-shared/Makefile.am:
	* components/services/nautilus-dependent-shared/eazel-services-extensions.c:
	(eazel_services_pixbuf_new), (eazel_services_image_new),
	(eazel_services_image_new_clickable),
	(eazel_services_image_new_from_uri),
	(eazel_services_clickable_image_new_from_uri),
	(eazel_services_label_new), (eazel_services_label_new_clickable),
	(eazel_services_get_current_date_string),
	(eazel_services_gconf_handle_error),
	(preferences_unref_global_gconf_client),
	(preferences_get_global_gconf_client),
	(preferences_gconf_get_boolean), (preferences_gconf_get_string),
	(smooth_graphics_changed_notice),
	(listen_for_smooth_graphics_changes),
	(eazel_services_get_user_level):
	* components/services/nautilus-dependent-shared/eazel-services-extensions.h:
	* components/services/summary/Makefile.am:
	* components/services/summary/nautilus-summary-menu-items.c:
	(ui_component_set_hidden), (update_menu_items):
	* components/services/summary/nautilus-summary-view.c:
	(nautilus_summary_view_initialize_class):
	Remove dependency on libnautilus-extensions.
	
	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-tabs.h:
	* libnautilus-extensions/nautilus-tabs.c:
	* components/services/summary/nautilus-tabs.h:
	* components/services/summary/nautilus-tabs.c:
	Move the nautilus tabs widget to the only place where its used -
	the summary view.

	* libnautilus-extensions/nautilus-file-utilities.c:
	Trim down the includes to only whats needed.
	
	* libnautilus-extensions/nautilus-file-dnd.h:
	* libnautilus-extensions/nautilus-file-dnd.c:
	Make the ERASE_KEYWORD be part only of nautilus-file-dnd.h as
	NAUTILUS_FILE_DND_ERASE_KEYWORD to make it clear where it lives.
	
	* components/tree/nautilus-tree-view-dnd.c:
	(nautilus_tree_view_move_copy_files):
	(nautilus_drag_can_accept_items),
	(nautilus_drag_file_receive_dropped_keyword):
	* libnautilus-extensions/nautilus-icon-dnd.c:
	(create_selection_shadow), (handle_local_move),
	(handle_nonlocal_move), (selection_includes_special_link):
	* src/file-manager/fm-list-view.c: (fm_list_receive_dropped_icons):
	Update for eel dnd changes.  Make sure all public eel dnd stuff
	has the right namespace.
	
2001-04-05  Ramiro Estrugo  <ramiro@eazel.com>

	* src/nautilus-profiler.c:
	Add missing eel includes to fix profile build.
	
2001-04-04  John Sullivan  <sullivan@eazel.com>

	Various little tweaky cleanups.

	* src/nautilus-property-browser.c:
	(nautilus_property_browser_initialize),
	(nautilus_emblem_dialog_new),
	(nautilus_color_selection_dialog_new),
	(nautilus_property_browser_update_contents):
	* src/nautilus-sidebar.c: (nautilus_sidebar_initialize_class),
	(nautilus_sidebar_update_buttons):
	* src/nautilus-theme-selector.c:
	(nautilus_theme_selector_initialize), (exit_remove_mode):
	Changed code that was making buttons wider by using
	bracketing spaces (e.g. "  Done  ") to set the button
	padding instead. Simplified some places that were unnecessarily
	creating button labels explicitly to instead just use
	gtk_button_new_with_label. Added a few ellipses in button
	labels that needed them. Made the "Empty Trash" button in
	the sidebar check the preference to decide whether to use
	ellipses or not.

2001-04-04  John Harper  <jsh@eazel.com>

	Fixed bug 7950 (After running First-Time Druid there are two
	Nautilus windows displaying the home directory):

	* src/nautilus-first-time-druid.c (druid_finished): moved all
	nautilus link creation to idle handlers. Otherwise we may try
	to get a metadata factory before nautilus is fully initialized.
	(This means that oafd will spawn an additional nautilus
	process, giving the extra window)

2001-04-04  John Sullivan  <sullivan@eazel.com>

	Fixed bugs 3681, 4705, 5154, all having to do with the funky
	behavior where the zoom level is sort of persistent as you
	navigate around. Now it will always use the default zoom level 
	unless the directory has a different stored value. Ramiro plans 
	to implement global preferences for the default zoom level (one
	each for icon & list view) that will replace the constant
	defaults.

	* src/file-manager/fm-icon-view.c: 
	(get_default_zoom_level): New bottleneck function for getting
	the default zoom level for icon view. Currently returns a
	constant; later will return a preferences value.
	(fm_icon_view_begin_loading), (fm_icon_view_get_zoom_level),
	(fm_icon_view_set_zoom_level),
	(fm_icon_view_restore_default_zoom_level),
	(fm_icon_view_initialize): Use get_default_zoom_level. Also
	get rid of code that was saving the current zoom level to use
	as default next time.
	
	* src/file-manager/fm-list-view.c: 
	(get_default_zoom_level): New bottleneck function for getting
	the default zoom level for list view. Currently returns a
	constant; later will return a preferences value.
	(fm_list_view_initialize),
	(fm_list_view_restore_default_zoom_level),
	(fm_list_view_begin_loading), (fm_list_view_set_zoom_level):
	Use get_default_zoom_level. Also get rid of code that was 
	saving the current zoom level to use as default next time.


	Other stuff
	
	* src/nautilus-theme-selector.c:
	(nautilus_theme_selector_initialize): Removed some unnecessary
	extra invisible widgets. I was trying to get the window size
	to pin sensibly but have not (yet) actually gotten that to work.

2001-04-04  Ramiro Estrugo  <ramiro@eazel.com>

	* configure.in:
	Remove nautilusclist cut-n-paste code.
	
	* cut-n-paste-code/widgets/Makefile.am:
	* cut-n-paste-code/widgets/nautilusclist/.cvsignore:
	* cut-n-paste-code/widgets/nautilusclist/Makefile.am:
	* cut-n-paste-code/widgets/nautilusclist/nautilusclist.c:
	* cut-n-paste-code/widgets/nautilusclist/nautilusclist.h:
	Remove nautilusclist cut-n-paste code.

	* libnautilus-extensions/nautilus-file-dnd.h:
	* libnautilus-extensions/nautilus-file-dnd.c:
	New file with Drag and Drop code that operated on NautilusFile
	objects.
	
	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-list-column-title.c:
	* libnautilus-extensions/nautilus-list-column-title.h:
	* libnautilus-extensions/nautilus-list.c:
	* libnautilus-extensions/nautilus-list.h:
	* libnautilus-extensions/nautilus-ctree.c:
	* libnautilus-extensions/nautilus-ctree.h:
	* libnautilus-extensions/nautilus-drag.c:
	* libnautilus-extensions/nautilus-drag.h:
	Move these widget into eel.
	
	* libnautilus-extensions/nautilus-icon-dnd.h:
	* libnautilus-extensions/nautilus-icon-dnd.c:
	Update for eel dnd code move.
	
	* nautilus-installer/install-lib/Makefile.am:
	* nautilus-installer/libtrilobite/Makefile.am:
	Remove some voodoo that was needed for cut-n-paste code in
	trilobite that no longer is among us.
	
	* components/help/hyperbola-nav-tree.c:
	* components/music/nautilus-music-view.c:
	* components/rpmview/nautilus-rpm-verify-window.c:
	* components/rpmview/nautilus-rpm-view-private.h:
	* components/rpmview/nautilus-rpm-view.c:
	* components/tree/nautilus-tree-view-dnd.c:
	* components/tree/nautilus-tree-view-dnd.h:
	* components/tree/nautilus-tree-view-private.h:
	* components/tree/nautilus-tree-view.c:
	* src/file-manager/fm-directory-view.c:
	* src/file-manager/fm-list-view.c: (fm_list_view_initialize),
	* src/nautilus-sidebar.c:
	Update for clist, ctree, list and dnd code that now lives in eel.
	Also do more #include cleanup.
	
2001-04-04  Ramiro Estrugo  <ramiro@eazel.com>

	* components/mozilla/Makefile.am:
	* components/mozilla/nautilus-mozilla-content-view.c:
	* components/services/clone/Makefile.am:
	* components/services/install-view/Makefile.am:
	* components/services/install/command-line/Makefile.am:
	* components/services/install/lib/eazel-softcat.c:
	(eazel_softcat_query):
	* components/services/install/server/Makefile.am:
	* components/services/inventory-view/Makefile.am:
	* components/services/inventory/Makefile.am:
	* components/services/login/nautilus-view/Makefile.am:
	* components/services/login/nautilus-view/nautilus-change-password-view.c:
	* components/services/nautilus-dependent-shared/Makefile.am:
	* components/services/nautilus-dependent-shared/eazel-services-footer.c:
	* components/services/nautilus-dependent-shared/eazel-services-header.c:
	* components/services/summary/Makefile.am:
	* components/services/summary/eazel-summary-shared.c:
	(eazel_summary_fetch_data_async),
	(eazel_summary_fetch_data_cancel):
	* components/services/summary/main.c: (main):
	* components/services/summary/nautilus-summary-callbacks.c:
	* components/services/summary/nautilus-summary-callbacks.h:
	* components/services/summary/nautilus-summary-dialogs.c:
	* components/services/summary/nautilus-summary-footer.c:
	* components/services/summary/nautilus-summary-menu-items.c:
	* components/services/summary/nautilus-summary-menu-items.h:
	* components/services/summary/nautilus-summary-view.c:
	* components/services/time/nautilus-view/Makefile.am:
	* components/services/trilobite/libtrilobite/Makefile.am:
	* components/services/trilobite/libtrilobite/trilobite-core-network.c:
	(trilobite_open_uri):
	* components/services/trilobite/libtrilobite/trilobite-core-utils.c:
	(trilobite_get_config_dir_string):
	* components/services/trilobite/libtrilobite/trilobite-core-utils.h:
	* components/services/trilobite/libtrilobite/trilobite-redirect.c:
	(trilobite_redirect_fetch_table_async),
	(trilobite_redirect_fetch_table_cancel):
	* components/services/trilobite/sample/command-line/Makefile.am:
	* components/services/trilobite/sample/nautilus-view/Makefile.am:
	* components/services/trilobite/sample/service/Makefile.am:
	* components/services/trilobite/utils/Makefile.am:
	Lots of components cleanup.  Remove many unused #includes.
	Replace cut-n-paste code with eel.  Fix Makefiles to link only the
	stuff that is needed.  This is an effort to minimize the
	dependence on libnautilus-extensions.  Theres a few dependencies
	left to go.
		
	* components/services/trilobite/libtrilobite/trilobite-file-utilities.c:
	* components/services/trilobite/libtrilobite/trilobite-file-utilities.h:
	Retire this cut-n-paste code.  Use the vfs extensions from eel
	instead.
	
2001-04-04  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-file-utilities.c:
	* libnautilus-extensions/nautilus-file-utilities.h:
	Move vfs extensions to eel.
	
	* components/services/install-view/nautilus-service-install-view.c:
	* components/services/install/server/main.c:
	* components/services/inventory/eazel-inventory-collect-hardware.c:
	(add_info):
	* components/services/inventory/eazel-inventory-service.c:
	(impl_Trilobite_Eazel_Inventory_upload):
	* components/text/nautilus-text-view.c: (handle_service_menu_item):
	* components/tree/nautilus-tree-view.c: (select_current_location),
	(tree_load_location_callback), (got_activation_uri_callback):
	* libnautilus-extensions/nautilus-bookmark.c:
	(nautilus_bookmark_compare_with), (nautilus_bookmark_compare_uris),
	(bookmark_file_changed_callback):
	* libnautilus-extensions/nautilus-directory-async.c:
	(top_left_cancel), (activation_uri_cancel), (top_left_start),
	(activation_uri_start):
	* libnautilus-extensions/nautilus-directory-private.h:
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_make_uri_canonical), (nautilus_directory_new),
	(nautilus_directory_notify_files_moved),
	(nautilus_self_check_directory):
	* libnautilus-extensions/nautilus-drag.c:
	(nautilus_drag_items_in_trash),
	(nautilus_drag_default_drop_action_for_icons):
	* libnautilus-extensions/nautilus-file-operations.c:
	(format_and_ellipsize_uri_for_dialog),
	(nautilus_file_operations_copy_move):
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_internal),
	(nautilus_file_get_parent_uri_for_display),
	(nautilus_file_can_rename), (nautilus_file_get_uri_scheme),
	(nautilus_file_is_in_trash), (nautilus_self_check_file):
	* libnautilus-extensions/nautilus-icon-dnd.c:
	(nautilus_icon_container_selection_items_local):
	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_get_icon_name_for_file),
	(nautilus_icon_factory_get_emblem_icons_for_file):
	* libnautilus-extensions/nautilus-link.c:
	(nautilus_link_local_get_image_uri):
	* libnautilus-extensions/nautilus-metafile.c:
	(construct_private_metafile_vfs_uri), (metafile_read_cancel),
	(metafile_read_restart):
	* libnautilus-extensions/nautilus-tabs.c:
	* libnautilus-extensions/nautilus-theme.c:
	* libnautilus-extensions/nautilus-thumbnails.c:
	(make_thumbnail_uri):
	* libnautilus-extensions/nautilus-trash-file.c:
	(nautilus_trash_file_initialize):
	* libnautilus-extensions/nautilus-trash-monitor.c:
	(nautilus_trash_files_changed_callback),
	(nautilus_trash_monitor_initialize):
	* src/file-manager/fm-desktop-icon-view.c:
	(update_trash_link_and_delete_copies):
	* src/file-manager/fm-directory-view.c: (show_trash_callback),
	(trash_or_delete_files_common),
	(fm_directory_view_trash_or_delete_files),
	(fm_directory_view_move_copy_items):
	* src/file-manager/fm-properties-window.c:
	(is_merged_trash_directory):
	* src/nautilus-application.c:
	(nautilus_make_uri_list_from_shell_strv):
	* src/nautilus-first-time-druid.c: (read_file_handle_cancel_cover),
	(initiate_file_download):
	* src/nautilus-location-bar.c: (try_to_expand_path),
	(nautilus_location_bar_set_location),
	(nautilus_location_bar_get_location),
	(nautilus_location_bar_update_label):
	* src/nautilus-profiler.c:
	(nautilus_profiler_bonobo_ui_report_callback):
	* src/nautilus-property-browser.c: (add_pattern_to_browser),
	(emblem_dialog_clicked):
	* src/nautilus-sidebar.c: (receive_dropped_uri_list):
	* src/nautilus-theme-selector.c: (add_theme_to_icons):
	* src/nautilus-window-manage-views.c: (set_displayed_location),
	(check_bookmark_location_matches), (handle_go_elsewhere),
	(viewed_file_changed_callback), (determined_initial_view_callback),
	(open_location_prefer_existing_window_callback),
	(report_redirect_callback):
	* src/nautilus-window-menus.c: (show_bogus_bookmark_window):
	Update for vfs extensions move to eel.  Also cleanup the #include
	state of some of these files.  Removed unused #includes.  Remove
	some cut-n-paste code in services components and use the
	extensions in eel directly.
	
2001-04-04  Ramiro Estrugo  <ramiro@eazel.com>

	* README:
	Add new librsvg and eel dependency entries.

	* applets/launcher/Makefile.am:
	* applets/preferences-applet/Makefile.am:
	Add eel library to make it link properly.

2001-04-04  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/Makefile.am:
	Add missing header file.
	
2001-04-03  Darin Adler  <darin@eazel.com>

	* components/notes/nautilus-notes.c: (do_destroy),
	(notes_get_indicator_image), (make_notes_view), (main):
	Use nautilus_view_standard_main to simplify and remove code.

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_populate_pane): Code had N_() wrapped around
	an empty string. That's a no-no. Calling _("") on empty string
	gives you the complete translator info, which must be avoided.

2001-04-03  Ramiro Estrugo  <ramiro@eazel.com>

	* Makefile.am:
	Remove librsvg.

	* librsvg/.cvsignore:
	* librsvg/Makefile.am:
	* librsvg/art_render.c:
	* librsvg/art_render.h:
	* librsvg/art_render_gradient.c:
	* librsvg/art_render_gradient.h:
	* librsvg/art_render_mask.c:
	* librsvg/art_render_mask.h:
	* librsvg/art_render_svp.c:
	* librsvg/art_render_svp.h:
	* librsvg/art_rgba.c:
	* librsvg/art_rgba.h:
	* librsvg/example-nested-transform.svg:
	* librsvg/makefile-simple:
	* librsvg/opacity.svg:
	* librsvg/rsvg-bpath-util.c:
	* librsvg/rsvg-bpath-util.h:
	* librsvg/rsvg-css.c:
	* librsvg/rsvg-css.h:
	* librsvg/rsvg-defs.c:
	* librsvg/rsvg-defs.h:
	* librsvg/rsvg-ft.c:
	* librsvg/rsvg-ft.h:
	* librsvg/rsvg-paint-server.c:
	* librsvg/rsvg-paint-server.h:
	* librsvg/rsvg-path.c:
	* librsvg/rsvg-path.h:
	* librsvg/rsvg.c:
	* librsvg/rsvg.h:
	* librsvg/subpixel-text-test:
	* librsvg/test-ft-gtk.c:
	* librsvg/test-ft.c:
	* librsvg/test-rsvg.c:
	* librsvg/test.svg:
	Move librsvg to its own top level GNOME CVS module.

	* configure.in:
	Add librsvg and eel dependencies.
	Remove librsvg and font entries.

	* nautilus.spec.in:
	Remove font entries.  Add librsvg and eel requirements.
	
	* data/Makefile.am:
	* data/fonts/.cvsignore:
	* data/fonts/Makefile.am:
	* data/fonts/urw/.cvsignore:
	* data/fonts/urw/Makefile.am:
	* data/fonts/urw/README:
	* data/fonts/urw/fonts.dir:
	* data/fonts/urw/n019003l.afm:
	* data/fonts/urw/n019003l.pfb:
	* data/fonts/urw/n019003l.pfm:
	* data/fonts/urw/n019004l.afm:
	* data/fonts/urw/n019004l.pfb:
	* data/fonts/urw/n019004l.pfm:
	* data/fonts/urw/n019023l.afm:
	* data/fonts/urw/n019023l.pfb:
	* data/fonts/urw/n019023l.pfm:
	* data/fonts/urw/n019024l.afm:
	* data/fonts/urw/n019024l.pfb:
	* data/fonts/urw/n019024l.pfm:
	Retire default fonts.  These now live in eel.

	* libnautilus/nautilus-undo-transaction.c:
	(nautilus_undo_transaction_destroy):
	* libnautilus/nautilus-view.c: (nautilus_view_destroy):
	Update for eel changes.  Use eel-gtk-macros.
	
	* nautilus-installer/src/nautilus-druid-page-eazel.c:
	(nautilus_druid_page_eazel_destroy),
	(nautilus_druid_page_eazel_finalize),
	(nautilus_druid_page_eazel_size_allocate),
	(nautilus_druid_page_eazel_size_request):
	Update for eel changes.  Use eel-gtk-macros.

	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	* libnautilus-extensions/nautilus-bookmark.c:
	* libnautilus-extensions/nautilus-ctree.c:
	* libnautilus-extensions/nautilus-customization-data.c:
	* libnautilus-extensions/nautilus-dateedit-extensions.c:
	* libnautilus-extensions/nautilus-dateedit-extensions.h:
	* libnautilus-extensions/nautilus-directory-async.c:
	* libnautilus-extensions/nautilus-directory-background.c:
	* libnautilus-extensions/nautilus-directory-background.h:
	* libnautilus-extensions/nautilus-directory-metafile-monitor.c:
	* libnautilus-extensions/nautilus-directory-metafile.c:
	* libnautilus-extensions/nautilus-directory.c:
	* libnautilus-extensions/nautilus-drag-window.c:
	* libnautilus-extensions/nautilus-drag.c:
	* libnautilus-extensions/nautilus-druid-page-eazel.c:
	* libnautilus-extensions/nautilus-druid.c:
	* libnautilus-extensions/nautilus-entry.c:
	* libnautilus-extensions/nautilus-file-changes-queue.c:
	* libnautilus-extensions/nautilus-file-operations-progress.c:
	* libnautilus-extensions/nautilus-file-operations.c:
	* libnautilus-extensions/nautilus-file-private.h:
	* libnautilus-extensions/nautilus-file-utilities.c:
	* libnautilus-extensions/nautilus-file.c:
	* libnautilus-extensions/nautilus-font-factory.c:
	* libnautilus-extensions/nautilus-gconf-extensions.c:
	* libnautilus-extensions/nautilus-generous-bin.c:
	* libnautilus-extensions/nautilus-global-preferences.c:
	* libnautilus-extensions/nautilus-global-preferences.h:
	* libnautilus-extensions/nautilus-horizontal-splitter.c:
	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	* libnautilus-extensions/nautilus-icon-canvas-item.h:
	* libnautilus-extensions/nautilus-icon-container.c:
	* libnautilus-extensions/nautilus-icon-container.h:
	* libnautilus-extensions/nautilus-icon-dnd.c:
	* libnautilus-extensions/nautilus-icon-factory.c:
	* libnautilus-extensions/nautilus-icon-factory.h:
	* libnautilus-extensions/nautilus-icon-private.h:
	* libnautilus-extensions/nautilus-icon-text-item.c:
	* libnautilus-extensions/nautilus-keep-last-vertical-box.c:
	* libnautilus-extensions/nautilus-lib-self-check-functions.c:
	* libnautilus-extensions/nautilus-lib-self-check-functions.h:
	* libnautilus-extensions/nautilus-link-set.c:
	* libnautilus-extensions/nautilus-link.c:
	* libnautilus-extensions/nautilus-list-column-title.c:
	* libnautilus-extensions/nautilus-list.c:
	* libnautilus-extensions/nautilus-medusa-support.c:
	* libnautilus-extensions/nautilus-merged-directory.c:
	* libnautilus-extensions/nautilus-metafile-factory.c:
	* libnautilus-extensions/nautilus-metafile.c:
	* libnautilus-extensions/nautilus-mime-actions.c:
	* libnautilus-extensions/nautilus-preferences-box.c:
	* libnautilus-extensions/nautilus-preferences-dialog.c:
	* libnautilus-extensions/nautilus-preferences-group.c:
	* libnautilus-extensions/nautilus-preferences-item.c:
	* libnautilus-extensions/nautilus-preferences-pane.c:
	* libnautilus-extensions/nautilus-preferences.c:
	* libnautilus-extensions/nautilus-preferences.h:
	* libnautilus-extensions/nautilus-program-chooser.c:
	* libnautilus-extensions/nautilus-program-choosing.c:
	* libnautilus-extensions/nautilus-program-choosing.h:
	* libnautilus-extensions/nautilus-search-uri.c:
	* libnautilus-extensions/nautilus-sidebar-functions.c:
	* libnautilus-extensions/nautilus-tabs.c:
	* libnautilus-extensions/nautilus-theme.c:
	* libnautilus-extensions/nautilus-thumbnails.c:
	* libnautilus-extensions/nautilus-trash-directory.c:
	* libnautilus-extensions/nautilus-trash-file.c:
	* libnautilus-extensions/nautilus-trash-monitor.c:
	* libnautilus-extensions/nautilus-undo-context.c:
	* libnautilus-extensions/nautilus-undo-manager.c:
	* libnautilus-extensions/nautilus-undo-signal-handlers.c:
	* libnautilus-extensions/nautilus-vfs-directory.c:
	* libnautilus-extensions/nautilus-vfs-file.c:
	* libnautilus-extensions/nautilus-view-identifier.c:
	* libnautilus-extensions/nautilus-volume-monitor.c:
	Use new eel library.

	* libnautilus-extensions/nautilus-art-extensions.c:
	* libnautilus-extensions/nautilus-art-extensions.h:
	* libnautilus-extensions/nautilus-art-gtk-extensions.c:
	* libnautilus-extensions/nautilus-art-gtk-extensions.h:
	* libnautilus-extensions/nautilus-background-canvas-group.c:
	* libnautilus-extensions/nautilus-background-canvas-group.h:
	* libnautilus-extensions/nautilus-background.c:
	* libnautilus-extensions/nautilus-background.h:
	* libnautilus-extensions/nautilus-caption-table.c:
	* libnautilus-extensions/nautilus-caption-table.h:
	* libnautilus-extensions/nautilus-caption.c:
	* libnautilus-extensions/nautilus-caption.h:
	* libnautilus-extensions/nautilus-clickable-image.c:
	* libnautilus-extensions/nautilus-clickable-image.h:
	* libnautilus-extensions/nautilus-debug-drawing.c:
	* libnautilus-extensions/nautilus-debug-drawing.h:
	* libnautilus-extensions/nautilus-debug.c:
	* libnautilus-extensions/nautilus-debug.h:
	* libnautilus-extensions/nautilus-ellipsizing-label.c:
	* libnautilus-extensions/nautilus-ellipsizing-label.h:
	* libnautilus-extensions/nautilus-enumeration.c:
	* libnautilus-extensions/nautilus-enumeration.h:
	* libnautilus-extensions/nautilus-font-manager.c:
	* libnautilus-extensions/nautilus-font-manager.h:
	* libnautilus-extensions/nautilus-font-picker.c:
	* libnautilus-extensions/nautilus-font-picker.h:
	* libnautilus-extensions/nautilus-gdk-extensions.c:
	* libnautilus-extensions/nautilus-gdk-extensions.h:
	* libnautilus-extensions/nautilus-gdk-font-extensions.c:
	* libnautilus-extensions/nautilus-gdk-font-extensions.h:
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.c:
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.h:
	* libnautilus-extensions/nautilus-glib-extensions.c:
	* libnautilus-extensions/nautilus-glib-extensions.h:
	* libnautilus-extensions/nautilus-glyph.c:
	* libnautilus-extensions/nautilus-glyph.h:
	* libnautilus-extensions/nautilus-gnome-extensions.c:
	* libnautilus-extensions/nautilus-gnome-extensions.h:
	* libnautilus-extensions/nautilus-graphic-effects.c:
	* libnautilus-extensions/nautilus-graphic-effects.h:
	* libnautilus-extensions/nautilus-gtk-extensions.c:
	* libnautilus-extensions/nautilus-gtk-extensions.h:
	* libnautilus-extensions/nautilus-gtk-macros.h:
	* libnautilus-extensions/nautilus-image-table.c:
	* libnautilus-extensions/nautilus-image-table.h:
	* libnautilus-extensions/nautilus-image-with-background.c:
	* libnautilus-extensions/nautilus-image-with-background.h:
	* libnautilus-extensions/nautilus-image.c:
	* libnautilus-extensions/nautilus-image.h:
	* libnautilus-extensions/nautilus-label-with-background.c:
	* libnautilus-extensions/nautilus-label-with-background.h:
	* libnautilus-extensions/nautilus-label.c:
	* libnautilus-extensions/nautilus-label.h:
	* libnautilus-extensions/nautilus-labeled-image.c:
	* libnautilus-extensions/nautilus-labeled-image.h:
	* libnautilus-extensions/nautilus-lib-self-check-functions.c:
	* libnautilus-extensions/nautilus-lib-self-check-functions.h:
	* libnautilus-extensions/nautilus-password-dialog.c:
	* libnautilus-extensions/nautilus-password-dialog.h:
	* libnautilus-extensions/nautilus-radio-button-group.c:
	* libnautilus-extensions/nautilus-radio-button-group.h:
	* libnautilus-extensions/nautilus-region.c:
	* libnautilus-extensions/nautilus-region.h:
	* libnautilus-extensions/nautilus-scalable-font-private.h:
	* libnautilus-extensions/nautilus-scalable-font.c:
	* libnautilus-extensions/nautilus-scalable-font.h:
	* libnautilus-extensions/nautilus-self-checks.c:
	* libnautilus-extensions/nautilus-self-checks.h:
	* libnautilus-extensions/nautilus-smooth-text-layout-cache.c:
	* libnautilus-extensions/nautilus-smooth-text-layout-cache.h:
	* libnautilus-extensions/nautilus-smooth-text-layout.c:
	* libnautilus-extensions/nautilus-smooth-text-layout.h:
	* libnautilus-extensions/nautilus-smooth-widget.c:
	* libnautilus-extensions/nautilus-smooth-widget.h:
	* libnautilus-extensions/nautilus-stock-dialogs.c:
	* libnautilus-extensions/nautilus-stock-dialogs.h:
	* libnautilus-extensions/nautilus-string-list.c:
	* libnautilus-extensions/nautilus-string-list.h:
	* libnautilus-extensions/nautilus-string-map.c:
	* libnautilus-extensions/nautilus-string-map.h:
	* libnautilus-extensions/nautilus-string-picker.c:
	* libnautilus-extensions/nautilus-string-picker.h:
	* libnautilus-extensions/nautilus-string.c:
	* libnautilus-extensions/nautilus-string.h:
	* libnautilus-extensions/nautilus-text-caption.c:
	* libnautilus-extensions/nautilus-text-caption.h:
	* libnautilus-extensions/nautilus-viewport.c:
	* libnautilus-extensions/nautilus-viewport.h:
	* libnautilus-extensions/nautilus-wrap-table.c:
	* libnautilus-extensions/nautilus-wrap-table.h:
	* libnautilus-extensions/nautilus-xml-extensions.c:
	* libnautilus-extensions/nautilus-xml-extensions.h:
	Remove these files.  These are all part of eel now.
	
	* applets/launcher/nautilus-launcher-applet.c:
	* applets/preferences-applet/nautilus-preferences-applet.c:
	* components/adapter/Makefile.am:
	* components/adapter/main.c:
	* components/adapter/nautilus-adapter-control-embed-strategy.c:
	* components/adapter/nautilus-adapter-embed-strategy.c:
	* components/adapter/nautilus-adapter-embeddable-embed-strategy.c:
	* components/adapter/nautilus-adapter-factory-server.c:
	* components/adapter/nautilus-adapter-file-load-strategy.c:
	* components/adapter/nautilus-adapter-load-strategy.c:
	* components/adapter/nautilus-adapter-progressive-load-strategy.c:
	* components/adapter/nautilus-adapter-stream-load-strategy.c:
	* components/adapter/nautilus-adapter.c:
	* components/hardware/Makefile.am:
	* components/hardware/nautilus-hardware-view.c:
	* components/help/Makefile.am:
	* components/help/help-method.c:
	* components/help/hyperbola-filefmt.c:
	* components/help/hyperbola-nav-tree.c:
	* components/history/Makefile.am:
	* components/history/nautilus-history-view.c:
	* components/image-viewer/Makefile.am:
	* components/image-viewer/nautilus-image-view.c:
	* components/loser/content/Makefile.am:
	* components/loser/content/nautilus-content-loser.c:
	* components/loser/sidebar/Makefile.am:
	* components/loser/sidebar/nautilus-sidebar-loser.c:
	* components/mozilla/Makefile.am:
	* components/mozilla/bonobo-extensions.c:
	* components/mozilla/nautilus-mozilla-content-view.c:
	* components/music/Makefile.am:
	* components/music/nautilus-music-view.c:
	* components/notes/Makefile.am:
	* components/notes/nautilus-notes.c:
	* components/rpmview/Makefile.am:
	* components/rpmview/nautilus-rpm-verify-window.c:
	* components/rpmview/nautilus-rpm-view-install.c:
	* components/rpmview/nautilus-rpm-view.c:
	* components/sample/nautilus-sample-content-view.c:
	* components/services/install-view/Makefile.am:
	* components/services/install-view/callbacks.c:
	* components/services/install-view/forms.c:
	* components/services/install-view/nautilus-service-install-view.c:
	* components/services/install/lib/eazel-install-logic2.c:
	* components/services/install/server/main.c:
	* components/services/inventory-view/Makefile.am:
	* components/services/inventory-view/nautilus-inventory-config-page
	.c:
	* components/services/inventory-view/nautilus-inventory-disable-pag
	* components/services/inventory-view/nautilus-inventory-enable-page
	* components/services/inventory-view/nautilus-inventory-view.c:
	* components/services/inventory/Makefile.am:
	* components/services/inventory/eazel-inventory-upload-callback.c:
	* components/services/inventory/eazel-inventory.c:
	* components/services/inventory/main.c:
	* components/services/login/nautilus-view/Makefile.am:
	* components/services/login/nautilus-view/nautilus-change-password-
	view.c:
	* components/services/login/nautilus-view/password-box.c:
	* components/services/nautilus-dependent-shared/Makefile.am:
	* components/services/nautilus-dependent-shared/eazel-services-exte
	nsions.c:
	* components/services/nautilus-dependent-shared/eazel-services-exte
	nsions.h:
	* components/services/nautilus-dependent-shared/eazel-services-foot
	er.c:
	* components/services/nautilus-dependent-shared/eazel-services-head
	er.c:
	* components/services/nautilus-dependent-shared/test-footer-header.
	c:
	* components/services/summary/Makefile.am:
	* components/services/summary/nautilus-summary-callbacks.c:
	* components/services/summary/nautilus-summary-dialogs.c:
	* components/services/summary/nautilus-summary-dialogs.h:
	* components/services/summary/nautilus-summary-footer.c:
	* components/services/summary/nautilus-summary-menu-items.c:
	* components/services/summary/nautilus-summary-view-private.h:
	* components/services/summary/nautilus-summary-view.c:
	* components/services/time/nautilus-view/main.c:
	* components/services/time/nautilus-view/trilobite-eazel-time-view.
	c:
	* components/services/trilobite/sample/nautilus-view/Makefile.am:
	* components/text/Makefile.am:
	* components/text/nautilus-text-view.c:
	* components/throbber/Makefile.am:
	* components/throbber/main.c:
	* components/throbber/nautilus-throbber.c:
	* components/tree/Makefile.am:
	* components/tree/nautilus-tree-change-queue.c:
	* components/tree/nautilus-tree-expansion-state.c:
	* components/tree/nautilus-tree-model.c:
	* components/tree/nautilus-tree-node.c:
	* components/tree/nautilus-tree-view-dnd.c:
	* components/tree/nautilus-tree-view.c:
	* helper-utilities/authenticate/Makefile.am:
	* helper-utilities/authenticate/nautilus-authenticate.c:
	* nautilus-installer/src/nautilus-druid.c:
	* src/Makefile.am:
	* src/file-manager/fm-desktop-icon-view.c:
	* src/file-manager/fm-directory-view.c:
	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-error-reporting.c:
	* src/file-manager/fm-icon-text-window.c:
	* src/file-manager/fm-icon-view.c:
	* src/file-manager/fm-list-view.c:
	* src/file-manager/fm-properties-window.c:
	* src/file-manager/fm-search-list-view.c:
	* src/file-manager/nautilus-indexing-info.c:
	* src/nautilus-about.c:
	* src/nautilus-application.c:
	* src/nautilus-bookmark-list.c:
	* src/nautilus-bookmark-parsing.c:
	* src/nautilus-bookmarks-window.c:
	* src/nautilus-complex-search-bar.c:
	* src/nautilus-component-adapter-factory.c:
	* src/nautilus-desktop-window.c:
	* src/nautilus-first-time-druid.c:
	* src/nautilus-link-set-window.c:
	* src/nautilus-location-bar.c:
	* src/nautilus-main.c:
	* src/nautilus-navigation-bar.c:
	* src/nautilus-profiler.c:
	* src/nautilus-property-browser.c:
	* src/nautilus-search-bar-criterion.c:
	* src/nautilus-search-bar.c:
	* src/nautilus-shell.c:
	* src/nautilus-sidebar-tabs.c:
	* src/nautilus-sidebar-title.c:
	* src/nautilus-sidebar.c:
	* src/nautilus-signaller.c:
	* src/nautilus-simple-search-bar.c:
	* src/nautilus-switchable-navigation-bar.c:
	* src/nautilus-switchable-search-bar.c:
	* src/nautilus-theme-selector.c:
	* src/nautilus-view-frame-corba.c:
	* src/nautilus-view-frame.c:
	* src/nautilus-window-manage-views.c:
	* src/nautilus-window-menus.c:
	* src/nautilus-window-toolbars.c:
	* src/nautilus-window.c:
	* src/nautilus-window.h:
	* src/nautilus-zoom-control.c:
	Update for new eel library usage.

	* test/test-nautilus-background.c:
	* test/test-nautilus-clickable-image.c:
	* test/test-nautilus-font-manager.c:
	* test/test-nautilus-font-picker.c:
	* test/test-nautilus-font-simple.c:
	* test/test-nautilus-font.c:
	* test/test-nautilus-glyph-simple.c:
	* test/test-nautilus-glyph.c:
	* test/test-nautilus-image-background.c:
	* test/test-nautilus-image-scrolled.c:
	* test/test-nautilus-image-simple.c:
	* test/test-nautilus-image-table.c:
	* test/test-nautilus-image-tile.c:
	* test/test-nautilus-image.c:
	* test/test-nautilus-label-background.c:
	* test/test-nautilus-label-flavorful.c:
	* test/test-nautilus-label-offset.c:
	* test/test-nautilus-label-scrolled.c:
	* test/test-nautilus-label-simple.c:
	* test/test-nautilus-label-wrapped.c:
	* test/test-nautilus-label.c:
	* test/test-nautilus-labeled-image.c:
	* test/test-nautilus-password-dialog.c:
	* test/test-nautilus-pixbuf-tile.c:
	* test/test-nautilus-smooth-text-layout.c:
	* test/test-nautilus-viewport-constraint.c:
	* test/test-nautilus-widgets.c:
	Remove these.  They live in eel now.

	* test/vsignore:
	* test/kefile.am:
	* test/st-nautilus-preferences-change.c:
	* test/st-nautilus-preferences-display.c:
	* test/st-nautilus-wrap-table.c:
	* test/st.c:
	* test/st.h:
	Update for new eel library usage.

2001-04-03  Darin Adler  <darin@eazel.com>

	reviewed by: John Harper <jsh@eazel.com>

	* src/nautilus-application.c: (update_session): New function,
	reads preferences and updates the session based on whether the
	Nautilus needs to be kept running to manage the desktop.
	(init_session): Use the new functions and register to update the
	session when the preferences change.

2001-04-03  John Harper  <jsh@eazel.com>

	Fixed part of bug 7823 (Nautilus window hints make it unusable
	with the IceWM window manager):

	* src/nautilus-desktop-window.c (realize): don't include
	WIN_STATE_HIDDEN in the desktop window's state hints

	IceWM apparently interprets this bit as meaning `don't display
	the window', despite the GNOME documentation saying that it
	just means `not on taskbar but window visible'

2001-04-03  John Harper  <jsh@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	Fixed bug 7967 (Tree view uses non-standard colors instead of
	gtk theme colors):

	* libnautilus-extensions/nautilus-list.c,
	libnautilus-extensions/nautilus-list.h
	(nautilus_list_set_alternate_row_colors,
	nautilus_list_set_background_color_offsets): new functions.
	They give some control over how the list background is drawn.
	The offsets function takes two offsets into the GtkStyle
	structure (which should point to GdkColor structures)

	* libnautilus-extensions/nautilus-ctree.c
	(nautilus_ctree_init): call the above two functions with
	suitable values to make the tree look like it used to, before
	being derived from the NautilusList widget

2001-04-03  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	* libnautilus/nautilus-bonobo-workarounds.c:
	(nautilus_bonobo_object_force_destroy): Add new version that is
	not vulnerable to the problem of an unref coming in from the other
	process during the destroy phase. This version relies on Bonobo
	internals, so it's a truly evil bit of code, and I should be
	severely punished for even thinking of writing it.
	(nautilus_bonobo_object_force_destroy_at_idle): Added some more
	checks that I thought would help me in debugging.
	
	* src/nautilus-shell-ui.xml: Improve wording of tooltip for the Up
	command.

	* components/notes/nautilus-notes.c: Some code cleanup.

	* src/file-manager/fm-directory-view.c: Fixed a typo.
	
2001-04-03  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	* src/nautilus-window.c: (add_to_history_list):
	Imposed a 50-item limit on the length of the
	history list. Perhaps someday we'll save it to
	disk and organize old items by date, but this
	fixes the immediate problem of the list getting
	unboundedly long.

2001-04-03  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-ellipsizing-label.c:
	(recompute_ellipsized_text): Made ellipsizing labels
	use middle-truncation, now that it's available (added
	by Pavel recently, yay!).

2001-04-03  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	Fixed bug 7949 (Nautilus allows Cut/Copy on icons that
	can't be moved)

	* src/file-manager/fm-directory-view.c: (real_update_menus):
	Fixed up sensitivity logic for Cut/Copy/Paste and a couple
	of related items.

2001-04-03  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_populate_pane): Added missing calls to
	_() so things in the pane are translated.

2001-04-02  Mike Fleming  <mfleming@eazel.com>

	* README:

	Updated README to explain problems with mozilla 0.8.1

2001-04-02  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-gdk-font-extensions.c:
	Remove rogue unused #include.

	* libnautilus-extensions/nautilus-text-caption.c:
	Remove rogue unused #include.

2001-04-02  Darin Adler  <darin@eazel.com>

	Make file operations progress dialog always stay up for at least 1
	second total so it doesn't just appear and disappear.
	
	Preparing for a fix to the nautilus-adapter process leaking when
	Nautilus is terminated by Ctrl-C, I cleaned up some of the code
	inside the adapter.

	Improved the warning you get when neither /etc/mnttab nor
	/proc/mounts can be opened.

	Fix bug 6888 (when I view a large image, it appears first at 100%,
	then zoomed to fit).

	Re-added part of the code to make components go away when the main
	program that is hosting them goes away. The X-window-based
	solution is not working as well as I had hoped, so I'm re-adding
	the 20-second-timeout-based solution.

	* components/adapter/nautilus-adapter-embed-strategy.c:
	(nautilus_adapter_embed_strategy_initialize_class),
	(nautilus_adapter_embed_strategy_get),
	(nautilus_adapter_embed_strategy_emit_open_location): Change the
	strategy new functions to use more-normal reference rules. The
	caller no longer expects them to "use up" a reference.
	
	* components/adapter/nautilus-adapter-control-embed-strategy.c:
	(nautilus_adapter_control_embed_strategy_destroy),
	(nautilus_adapter_control_embed_strategy_new): Don't keep a
	reference to the BonoboControl around after creating the frame.
	
	* components/adapter/nautilus-adapter-embeddable-embed-strategy.c:
	(nautilus_adapter_embeddable_embed_strategy_destroy),
	(nautilus_adapter_embeddable_embed_strategy_new): Don't keep a
	reference to the BonoboEmeddable around after creating the frame.
	
	* components/image-viewer/nautilus-image-view.c: (redraw_control),
	(scrolled_window_size_allocate_callback),
	(control_factory_common), (init_bonobo_image_generic_factory):
	Some name changes, and a fix so that we don't show the image first
	at 100%, and then shrink to fit. The downside is that this might
	be too hard-coded to the current behavior of Nautilus, but it's
	better than flashing every time you open an image.
	
	* components/services/trilobite/utils/.cvsignore: Ignore some
	files in this new directory.
	
	* libnautilus-extensions/nautilus-file-operations-progress.h:
	* libnautilus-extensions/nautilus-file-operations-progress.c:
	(nautilus_file_operations_progress_update), (close_callback),
	(nautilus_file_operations_progress_destroy), (map_callback),
	(delete_event_callback),
	(nautilus_file_operations_progress_initialize),
	(nautilus_file_operations_progress_initialize_class),
	(nautilus_file_operations_progress_new),
	(nautilus_file_operations_progress_set_total),
	(nautilus_file_operations_progress_set_operation_string),
	(nautilus_file_operations_progress_new_file),
	(nautilus_file_operations_progress_clear),
	(nautilus_file_operations_progress_update_sizes),
	(delayed_close_callback), (nautilus_file_operations_progress_done):
	Did a lot of code cleanups throughout the file, and added a new
	call nautilus_file_operations_progress_done. Use this instead of
	gtk_object_destroy so that the window can linger long enough for
	the user to see it, if a copy was really fast.
	
	* libnautilus-extensions/nautilus-file-operations.c:
	(transfer_info_destroy), (parent_for_error_dialog),
	(create_transfer_dialog), (handle_transfer_ok),
	(handle_transfer_vfs_error): Change to use the new
	nautilus_file_operations_progress_done call instead of
	gtk_object_destroy when done with the progress dialog.
	
	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_update_scroll_region): Fix indentation.
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(get_current_mount_list): Replace cryptic g_return_if_fail message
	with better-worded g_warning.
	
	* libnautilus/nautilus-view.c: (set_frame_callback),
	(widget_destroyed_callback),
	(nautilus_view_construct_from_bonobo_control): Re-added code to
	monitor the lifetime of the frame and self-destruct when the frame
	goes away. The X-window-based solution wasn't working 100%, and
	this solution does.
	
	* src/nautilus-sidebar.c: (toggle_sidebar_panel),
	(sidebar_for_each_sidebar_panel): Change object data key to use a
	prefix that includes the word "nautilus". Tweak code that builds
	the menu so that it always includes any panel that's displayed,
	even if the user level says it shouldn't be there.

2001-04-02  Michael Engber  <engber@eazel.com>

	reviewed by: John Harper  <jsh@eazel.com>

	* libnautilus-extensions/nautilus-background-canvas-group.c:
	(nautilus_background_canvas_group_initialize_common):
	Put back in call to gnome_canvas_set_dither.

2001-04-02  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Gene Ragan <gzr@eazel.com>

	* acconfig.h:
	* configure.in:
	Add a NAUTILUS_SOURCE_DIRECTORY that contains the location of the
	nautilus source code, so that some checks can work without having
	to do 'make install'
	
	* components/services/install-view/nautilus-service-install-view.c:
	(nautilus_service_install_view_initialize_class):
	Initialize preferences so that smooth widgets and other nautilus
	specific preferences work.
	
	* components/services/summary/nautilus-summary-view.c:
	(nautilus_summary_view_initialize_class):
	Initialize preferences so that smooth widgets and other nautilus
	specific preferences work.

	* libnautilus-extensions/Makefile.am:
	Remove macros that arent needed any more.

	* libnautilus-extensions/nautilus-entry.h:
	* libnautilus-extensions/nautilus-entry.c:
	(nautilus_entry_initialize), (obscure_cursor),
	(nautilus_entry_key_press), (nautilus_entry_motion_notify),
	(nautilus_entry_set_text), (nautilus_entry_insert_text),
	(nautilus_entry_delete_text), (nautilus_entry_initialize_class),
	(nautilus_entry_set_special_tab_handling):
	Make all the attributes private.
	
	* libnautilus-extensions/nautilus-font-manager.c:
	(at_exit_handler), (nautilus_free_static_storage_at_exit),
	(gnome_vfs_init_if_needed), (font_description_table_add),
	(font_description_table_new), (directory_contains_file),
	(ensure_local_font_table),
	(nautilus_font_manager_get_default_font),
	(nautilus_font_manager_get_default_bold_font),
	(nautilus_self_check_font_manager):
	Remove dependency on nautilus-file-utilities.  Update for new
	machanism for finding data in the source directory so that checks
	work even when Nautilus has not undergone 'make install.'
	
	* libnautilus-extensions/nautilus-global-preferences.c:
	(smooth_graphics_mode_changed_callback),
	(nautilus_global_preferences_initialize):
	Keep track of preferences smooth graphics mode changes and call
	the new smooth widget api for changing the smoothness of all
	tracked widgets.
	
	* libnautilus-extensions/nautilus-scalable-font.c:
	Remove a rogue unused #include.
	
	* libnautilus-extensions/nautilus-smooth-widget.h:
	* libnautilus-extensions/nautilus-smooth-widget.c:
	(nautilus_smooth_widget_global_set_is_smooth),
	(nautilus_smooth_widget_register):
	Dont use preferences to track global smoothness changes.  Add a
	function to that instead.

	* src/nautilus-location-bar.c: (nautilus_location_bar_initialize):
	Update for privatized NautilusEntry attributes.

2001-04-02  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	Moved the font preferences from the Icon & List Views
	pane into the Appearance pane, and tweaked the wording.
	It was too weird having the font choices in two places.

2001-04-02  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	Fixed bug 7918 (Preferences window wider than it needs to be)
	This also fixes the bug where the HTTP Host text field was
	a little shorter than the HTTP Location text field.

	* libnautilus-extensions/nautilus-caption.h:
	* libnautilus-extensions/nautilus-caption.c:
	(nautilus_caption_set_extra_spacing): Renamed from
	_set_spacing, since there's a minimum fixed amount
	of spacing that's always used. The bug was that this
	routine was (only) being used to align items by setting the 
	padding of the 2nd item in the box. This sets an equal
	amount of blank space before and after the item, when
	we only want the space before. Fixed by changing it to
	use gtk_box_set_spacing instead.
	(nautilus_caption_set_child): Don't use the spacing for
	the padding here either.
	
	* libnautilus-extensions/nautilus-preferences-item.h:
	* libnautilus-extensions/nautilus-preferences-item.c:
	(nautilus_preferences_item_set_caption_extra_spacing):
	Renamed from _set_caption_spacing for clarity.

	* libnautilus-extensions/nautilus-preferences-group.c:
	(preferences_group_align_captions): Updated for name
	change.

2001-04-01  Andy Hertzfeld  <andy@eazel.com>

	reviewed by: Michael Engber  <engber@eazel.com>
	
	added a way for sidebar views to specify small images that
	are displayed in their tab for notification purposes.  Used
	that to make the notes component indicate if a note is present or
	not.
	
	* components/notes/nautilus-notes.c: (get_bonobo_properties),
	(set_bonobo_properties), (load_note_text_from_metadata),
	(done_with_file), (notes_load_metainfo),
	(notify_listeners_if_changed), (notes_save_metainfo), (do_destroy),
	(notes_get_indicator_image), (make_notes_view):
	added a property bag to the notes component to provide a tab_image
	property, and made it notify the listeners when the note text
	changes.
	
	* icons/Makefile.am:
	* icons/note-indicator.png:
	new notes indicator image from Arlo.
	
	* src/nautilus-sidebar-tabs.c: (tab_item_destroy),
	(pixbuf_composite), (draw_one_tab_plain), (draw_one_tab_themed),
	(get_tab_width), (draw_or_layout_all_tabs),
	(nautilus_sidebar_tabs_expose),
	(nautilus_sidebar_tabs_update_tab_item), (get_tab_item_from_view),
	(nautilus_sidebar_tabs_update_all_indicators),
	(nautilus_sidebar_tabs_update_indicator),
	(tab_indicator_changed_callback),
	(nautilus_sidebar_tabs_connect_view):
	* src/nautilus-sidebar-tabs.h:
	made the sidebar tabs hook up to the nautilus_view's tab_image
	property and use it to display a notification image in the tab
	if necessary.
	
	* src/nautilus-sidebar.c: (view_loaded_callback),
	(nautilus_sidebar_add_panel):
	connect the sidebar tabs to a newly added view, once the view
	is loaded.
	
	* src/nautilus-view-frame.c: (nautilus_view_frame_get_control):
	* src/nautilus-view-frame.h:
	added nautilus_view_frame_get_control so view properties can be
	accessed by the sidebar.
	
2001-03-31  Ramiro Estrugo  <ramiro@eazel.com>

	* src/nautilus-sidebar.c: (toggle_sidebar_panel):
	Restore the "dance."  It was needed after all to deal with
	situations when the display become out of whack with the number of
	running sidebar panels, for example when a panel crashes.
	Added a comment to this effect as well.
	
2001-03-31  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-preferences-item.c:
	(nautilus_preferences_item_set_constrained_integer_values):  When
	the constrained interger values are change, we need to update the
	displayed value as well, otherwise the very first time the
	preferences dialogs shows, the selected entry will be wrong.

	* libnautilus-extensions/nautilus-preferences.c:
	(preferences_key_make_for_getter):
	Fix for bug 7939 - preference value not set at Intermediate level
	when defined at Novice and visible at Advanced.
	The problem was that when a preference is not visible and it does
	not have a default for the current user_level, then the default
	value was 0.  The fix was to do is to find the closest
	(lowest) user_level with a good default and use that.
	
2001-03-31  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-sidebar-functions.h:
	* libnautilus-extensions/nautilus-sidebar-functions.c:
	(compare_view_identifiers), (sidebar_is_sidebar_panel_enabled),
	(sidebar_is_sidebar_panel_enabled_cover),
	(sidebar_get_sidebar_panel_view_identifiers),
	(nautilus_sidebar_get_enabled_sidebar_panel_view_identifiers),
	(nautilus_sidebar_panel_make_preference_key),
	(nautilus_sidebar_for_each_panel):
	New functions.  Move sidebar and sidebar panel specific code used
	throughout Nautilus to its own place.
	
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_populate_sidebar_panels_callback),
	(global_preferences_create_sidebar_panels_pane),
	(global_preferences_install_sidebar_panel_defaults):
	Move sidebar and sidebar panel specific code to
	nautilus-sidebar-functions.[ch].  Simplify sidebar panel creation
	a bit.
	
	* libnautilus-extensions/nautilus-global-preferences.h:
	Remove the sidebar panel NAMESPACE as preferences dont support
	namespaces any more.

	* src/nautilus-sidebar.c: (any_panel_matches_iid): Tiny anal
	renaming.
	(toggle_sidebar_panel): Simplify this function a bit.  The
	previous "dance" that the code was doing was not really
	necessariy.
	(sidebar_for_each_sidebar_panel),
	(sidebar_add_panel_context_menu_items): Simplify a lot by using
	the new sidebar panel iterator.  Remove a bunch of oaf code which
	is handled by the iterator in sidebar-functions.  Also, only
	create the menu items if the preference is visible at the current
	user level.
	(nautilus_sidebar_get_sidebar_panel_key): Yank this function as it
	is not needed anymore.

	* src/nautilus-window.c: (nautilus_window_for_each_sidebar_panel),
	(nautilus_window_initialize): Keep track of sidebar panel changes
	for each individual panel instead of trying to use the whole
	namespace.  The namespace thing was a broken feature of
	preferences which is no longer supported.
	(update_sidebar_panels_from_preferences): Update for new public
	sidebar functions.

2001-03-31  Ramiro Estrugo  <ramiro@eazel.com>

	* src/nautilus-window.c: (nautilus_window_initialize),
	(nautilus_window_destroy):
	Fix a bug introduced by my last checkin.  No longer need to remove
	callback for builtin bookmark menu, as this is done
	automatically.  This was causing a preferences critical.
	Also changed the other preference callback to be automatically
	removed.
	
2001-03-31  Ramiro Estrugo  <ramiro@eazel.com>

	* src/nautilus-window-menus.c:
	(nautilus_window_initialize_bookmarks_menu): Use _while_alive
	for the preferences callback to avoid potential problem.
	(update_user_level_menu_item), (user_level_changed_callback),
	(nautilus_window_initialize_menus_part_1):
	Fix bug 6615 - Holding open Preferences menu blocks user-level
	menu item changes.

	The user level menu items where getting out of whack if more that
	1 NautilusWindow existed at the time of a user level change.  The
	fix was to keep track of user level changes and update the menu
	items when needed.  Also a tiny function renaming to make its
	function clearer.
	
2001-03-31  Ramiro Estrugo  <ramiro@eazel.com>

	* configure.in:
	Fix bug 7952 - configure.in reference to mozilla source is wrong.
	Update the Url to reflect reality.

	* README:
	Small tweak to the Mozilla requirements documentation.
	
2001-03-31  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-preferences-box.c:
	(preferences_box_select_pane),
	(preferences_box_category_list_recreate),
	(nautilus_preferences_box_new),
	(nautilus_preferences_box_find_pane):
	If the preferences dialog is currently selecting a pane, then make
	sure that pane gets selected again (if visible) after a user level
	change.

	* libnautilus-extensions/nautilus-preferences-box.h:
	Small parameter name tweaking.
	
2001-03-31  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-preferences-item.h:
	* libnautilus-extensions/nautilus-preferences-item.c:
	(nautilus_preferences_item_update_showing): New function to update
	the showing state of the item depending on preferences visibility.
	(preferences_item_construct),
	(preferences_item_value_changed_callback),
	(preferences_item_create_enum),
	(preferences_item_update_displayed_value): Make
	update_displayed_value private.  It no longer needs to be called
	by the parent container.  Since preference items now get updated
	by value changed callbacks.

	* libnautilus-extensions/nautilus-preferences-group.c:
	(nautilus_preferences_group_update): No need to update the showing
	state of the items over here.  Simpy call the new preferences item
	function to do this.

	* libnautilus-extensions/nautilus-preferences-dialog.c:
	(nautilus_preferences_dialog_initialize),
	(nautilus_preferences_dialog_destroy):
	Have the callback automatically removed.  Small style tweaking.

2001-03-30  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: John Harper  <jsh@eazel.com>

	* libnautilus-extensions/nautilus-preferences-item.c:
	(preferences_item_value_changed_callback),
	(preferences_item_create_enum),
	(preferences_item_create_short_enum),
	(preferences_item_create_boolean),
	(preferences_item_create_editable_string),
	(preferences_item_create_editable_integer),
	(preferences_item_create_constrained_integer),
	(preferences_item_create_font),
	(preferences_item_create_smooth_font):
	Add value changed callbacks for the preference associated with
	each item.  In this callback, we update the diplay value of the
	item.  This way, regardless of when and where the preference
	values change, the preferences dialog will always be up to date.
	
2001-03-30  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-preferences-item.c:
	(preferences_item_update_constrained_integer): Remove a rogue
	printf I left in by accident.
	
2001-03-30  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	Changed from Mike Fleming to hide the proxy authentication
	preferences when the "Use Proxy" preference is FALSE.
	
	* libnautilus-extensions/nautilus-preferences-group.c:
	(nautilus_preferences_group_add_item):
	Change the item packing parameters so that items will be sized to
	their natural sizes.  Otherwise they fill the avaialable space and
	screw up the usage of control preferences to properly hide items
	and have everything update accordingly.
	
	* libnautilus-extensions/nautilus-preferences-pane.c:
	(preferences_pane_control_preference_changed_callback):
	Force a queue resize when the pane is updated so that empty space
	resulting from controlled preferences items being hidden will go
	away.
	
2001-03-30  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-enumeration.h:
	* libnautilus-extensions/nautilus-enumeration.c:
	(nautilus_enumeration_new_from_tokens),
	(nautilus_enumeration_get_entry_position),
	(nautilus_enumeration_get_value_position),
	(nautilus_enumeration_get_entries),
	(nautilus_self_check_enumeration):
	New functions to make this data structure more useful and easier
	to use.  Also added self checks.
	
	* libnautilus-extensions/nautilus-preferences-item.c:
	(preferences_item_destroy),
	(preferences_item_update_constrained_integer),
	(constrained_integer_changed_callback),
	(nautilus_preferences_item_set_constrained_integer_values):
	Use a NautilusEnumeration instead of maintaing 2 lists of entries
	and values ourselves.  Makes this code a little bit simpler.
	
2001-03-30  Michael Engber  <engber@eazel.com>

	* components/notes/nautilus-notes.c: (notes_save_metainfo):
	update saved copy of notes when writing metadata

2001-03-30  Michael Engber  <engber@eazel.com>

	* components/notes/nautilus-notes.c:
	(load_note_text_from_metadata):
	fix leak

2001-03-30  Michael K. Fleming  <mfleming@eazel.com>

	reviewed by: John Sullivan  <sullivan@eazel.com>

	Part of bug 4832

	Added preferences for HTTP proxy username/password.

	Really, this is sub-optimal:

	o The first-time druid still doesn't have UI for this
	o The password is presented and stored in the clear (? does this matter?
	  It's transmitted in the clear, too)
	o If the user is using an HTTP proxy that requires authentication, but
	  have not filled out the username/password correctly, they get an
	  "Access Denied" dialog
	o There's no way to tell embedded mozilla about this (bug 74171), so
	  embedded mozilla prompts the user again for the password

	* libnautilus-extensions/nautilus-global-preferences.c:
	* libnautilus-extensions/nautilus-global-preferences.h:

2001-03-30  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Mike Fleming  <mfleming@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_create_dialog),
	(global_preferences_populate_pane):
	No need to explicitly add pane update callbacks for control
	preference.  These happen automatically as needed now.
	
	* libnautilus-extensions/nautilus-preferences-pane.h:
	* libnautilus-extensions/nautilus-preferences-pane.c:
	(nautilus_preferences_pane_destroy),
	(nautilus_preferences_pane_find_group),
	(preferences_pane_control_preference_changed_callback),
	(nautilus_preferences_pane_add_control_preference):
	New function to add control preferences to the pane.  For each
	unique control preference, a callback will be added to update the
	pane so that control actions (such as hiding or showing items) can
	take place as needed.
	
2001-03-30  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: John Sullivan  <sullivan@eazel.com>

	* components/text/nautilus-text-view.c: (merge_bonobo_menu_items):
	Add a FIXME for a bug.
	
	* libnautilus-extensions/nautilus-gconf-extensions.h:
	* libnautilus-extensions/nautilus-gconf-extensions.c:
	(nautilus_gconf_get_value), (nautilus_gconf_value_is_equal),
	(nautilus_gconf_value_free): New convenience functions for using
	GConf values directly.

	* libnautilus-extensions/nautilus-gdk-font-extensions.c:
	Remove a FIXME for a bug i fixed recently.
	
	* libnautilus-extensions/nautilus-preferences.c:
	(preferences_callback_entry_invoke_function),
	(preferences_entry_invoke_callbacks_if_needed),
	(preferences_something_changed_notice),
	(preferences_global_table_check_changes_function),
	(preferences_entry_update_cached_value),
	(preferences_entry_ensure_gconf_connection),
	(preferences_callback_entry_free_func), (preferences_entry_free),
	(preferences_global_table_insert):
	Fix bug 5875 - Preference callbacks should only trigger when
	values change.
	The problem was twofold.  First, when the user level changed, we
	would invoke all callbacks regardless of whether the value had
	changed or not.  Second, when a GConf value changed notice
	triggered, we would invoke the corresponding Nautilus preference
	callback regardless of whether the value according to Nautilus
	changed or not.
	The fact that Nautilus preferences have a visibility attribute
	means that even if the GConf value changes, they may have a
	different value (a default due to high visibility for example)
	
2001-03-30  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-preferences.c:
	(update_auto_integer_or_boolean): Removed bogus return_if_fail.
	
	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_initialize_class): Set up auto-storage
	variable for click policy preference.
	(button_press_event): Use auto-storage variable instead of
	calling nautilus_preferences_get.
	
	* src/file-manager/fm-directory-view.c: 
	(fm_directory_view_initialize_class): Set up auto-storage variables
	for three preferences checked elsewhere in this class.
	(open_alternate_callback), (open_location), (confirm_delete_directly),
	(confirm_delete_from_trash), (fm_directory_view_activate_files): 
	Use auto-storage variables instead of calling nautilus_preferences_get.
	(confirm_trash_changed_callback), (enable_delete_changed_callback):
	Removed these functions.
	(real_update_menus): Removed code setting up callbacks to update
	static variables when the preference changed. The auto-storage
	variables have the same effect with much less code.
	
2001-03-30  Michael Engber  <engber@eazel.com>

	* components/notes/nautilus-notes.c:
	(load_note_text_from_metadata), (done_with_file),
	(notes_load_metainfo), (notes_save_metainfo):
	Ensure notes have actually changed, by comparing to a
	copy of the old value, before responding to change signals.

2001-03-30  Eskil Heyn Olsen  <eskil@eazel.com>

	reviewed by: the toad that lives under my table

	* components/services/trilobite/Makefile.am:
	Build utils/
	
	* components/services/trilobite/helper/eazel-helper.c: (main):
	Added ability to launch a start-medusa script.
	
	* components/services/trilobite/libtrilobite/trilobite-root-helper.h:
	* components/services/trilobite/libtrilobite/trilobite-root-helper.c:
	(trilobite_root_helper_run):
	Added a enum for a start-medusa command.
	
	* components/services/trilobite/utils/Makefile.am:
	* components/services/trilobite/utils/eazel-helper-test.c:
	(get_password_dude), (main):
	Added a program to test root helper, for educational reasons
	mostly.
	
	* configure.in:
	Added components/services/trilobite/utils/Makefile

2001-03-30  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	Fixed bug 7913 (fm_get_text_attribute_names_preference
	should cache preference value for speed)

	Fixed bug 7914 (nautilus_icon_canvas_item_initialize
	should cache smooth_font for speed)

	Added a new way to stay up-to-date with the value of a
	preference: you register a (typically global) variable
	with a particular preference, and the preferences machinery
	updates its value automatically whenever the preference
	changes. This is a replacement for using 
	nautilus_preferences_get (and _get_integer and _get_boolean)
	repeatedly, and is much more efficient. We might eventually 
	replace all the callers of _get_xxx with calls to this, and 
	remove those calls entirely.

	I deployed this in the two specific cases Pavel found with
	profiling (bugs 7913 & 7914) and some more places. I'll
	deploy it in more places still later.

	* libnautilus-extensions/nautilus-preferences.h:
	* libnautilus-extensions/nautilus-preferences.c:
	(update_auto_string), (update_auto_integer_or_boolean): 
	New helper functions to	update an individual auto-storage variable.
	(preferences_entry_update_auto_storage): New function, updates
	all auto-storage variables for a particular preference.
	(preferences_something_changed_notice): update auto-storage variables
	before calling callbacks.
	(preferences_entry_ensure_gconf_connection): New function, extracted
	from preferences_entry_add_callback.
	(preferences_entry_add_callback): Now calls extracted function.
	(preferences_entry_add_auto_storage): New function, adds a single
	auto-storage variable for a given preference.
	(preferences_entry_check_remove_connection): New function, extracted
	from preferences_entry_remove_callback.
	(preferences_entry_remove_callback): Now calls extracted function.
	(preferences_entry_remove_auto_storage): New function, removes a single
	auto-storage variable for a given preference.
	(preferences_entry_free): Free the auto-storage list.
	(nautilus_preferences_add_auto_string),
	(nautilus_preferences_add_auto_integer),
	(nautilus_preferences_add_auto_boolean),
	(nautilus_preferences_remove_auto_string),
	(nautilus_preferences_remove_auto_integer),
	(nautilus_preferences_remove_auto_boolean): Public cover functions
	for the three basic types of auto-storage variables.
	(nautilus_preferences_remove_callback): Fixed small bug where this
	function would unnecessarily add an entry before removing it.
	
	* libnautilus-extensions/nautilus-font-factory.c:
	(nautilus_font_factory_get_font_from_preferences):
	Reworked to use auto-storage variable.

	* libnautilus-extensions/nautilus-global-preferences.c:
	(nautilus_global_preferences_initialize): Set up auto-storage
	variables for icon view & default smooth font preferences.
	(global_preferences_get_smooth_font),
	(global_preferences_get_smooth_bold_font): Changed to take
	font file name instead of preferences name.
	(nautilus_global_preferences_get_icon_view_smooth_font),
	(nautilus_global_preferences_get_default_smooth_font),
	(nautilus_global_preferences_get_default_smooth_bold_font):
	Use auto-storage variables.

	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(nautilus_icon_canvas_item_initialize_class): Set up
	auto-storage variable for click policy preference.
	(in_single_click_mode): Use auto-storage variable.

	* libnautilus-extensions/nautilus-icon-factory.c:
	(should_display_image_file_as_itself): Use auto-storage
	variable for thumbnail policy.

	* src/file-manager/fm-icon-text-window.c:
	(fm_get_text_attribute_names_preference): Use auto-storage
	variable for icon captions.

	* src/file-manager/fm-icon-view.c: 
	(should_preview_sound): Use auto-storage variable for
	sound-preview preference.
	(fm_icon_view_initialize_class): Set up auto-storage variable
	for sound-preview preference.

2001-03-29  Darin Adler  <darin@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	* libnautilus-extensions/nautilus-file-operations.c:
	(sync_transfer_callback): Don't send out notifications in the case
	where we did a no-op move on top of self.
	(nautilus_file_operations_copy_move): Get rid of code that
	complains about move on top of self, since that's no longer
	considered an error.

	* configure.in: We require the new gnome-vfs now because we need
	the code that handles move to self better.

2001-03-29  Pavel Cisler  <pavel@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-gdk-font-extensions.c:
	(nautilus_string_ellipsize_start):
	Rework to only measure one character width at a time when zeroing
	in on the right width.

	* libnautilus-extensions/nautilus-gdk-font-extensions.c:
	(nautilus_string_ellipsize_end),
	(nautilus_string_ellipsize_middle),
	* libnautilus-extensions/nautilus-gdk-font-extensions.h:
	
	Add nautilus_string_ellipsize_middle and nautilus_string_ellipsize_end.
	
	* libnautilus-extensions/nautilus-gdk-font-extensions.c:
	(nautilus_self_check_ellipsize),
	(nautilus_self_check_ellipsize_start),
	(nautilus_self_check_ellipsize_middle),
	(nautilus_self_check_ellipsize_end),
	(nautilus_self_check_gdk_font_extensions):

	Add test cases for the new calls.

2001-03-29  Michael Engber  <engber@eazel.com>

	* libnautilus-extensions/nautilus-background-canvas-group.c:
	Comment out call to gnome_canvas_set_dither because it no
	longer serves a useful purpose and it removes our dependancy
	on using a gnome-libs > 1.2.8 - bug 7922.

	(nautilus_background_canvas_group_initialize_common):
	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_destroy):
	* libnautilus-extensions/nautilus-background.h:
	* libnautilus-extensions/nautilus-directory-background.c:
	(theme_image_path_to_uri),
	(nautilus_file_background_get_default_settings_for_theme),
	(nautilus_file_background_get_default_settings),
	(nautilus_file_background_read_desktop_settings),
	(nautilus_file_background_write_desktop_settings),
	(nautilus_file_background_write_desktop_default_settings),
	(nautilus_file_background_matches_default_settings),
	(nautilus_file_background_is_set), (background_changed_callback),
	(initialize_background_from_settings):
	* src/nautilus-sidebar.c: (background_settings_changed_callback),
	(nautilus_sidebar_update_appearance):
	Remove combine mode from nautilus-background. It no longer serves
	any purpose (background always draw dithered now) - bug 2190 & 5516.

2001-03-29  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fix bug 7915 (update_font called repeatedly causes slowdown).

	Fix black line on right side of icon view that I introduced when I
	was doing the cut/copy/paste work.

	* libnautilus-extensions/nautilus-label.h:
	* libnautilus-extensions/nautilus-label.c:
	(nautilus_label_set_text): Add a boolean result to tell whether
	the label text was changed for the convenience of callers who want
	to do work only if it changes.
	
	* src/nautilus-sidebar-title.c: (update_title): Only call
	update_font if the title changed.

	* src/file-manager/fm-directory-view.c: (real_realize): Set
	background to the normal background from the style. Now we see a
	gray background again instead of a black one.
	(fm_directory_view_initialize_class): Set scrollbar_spacing to 0
	since the extra 3 pixels don't do us any good.
	
2001-03-29  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	Josh noticed that the special "thumbnail is loading" icon
	was no longer used. Darin and I found the problem.

	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_get_icon_for_file): Store URI rather
	than local path for special "loading" image.

2001-03-29  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fix bug 7596 (After sidebar panel crashes, right-click menu shows
	wrong state):

	* src/nautilus-sidebar.c: (get_page_iid): New function, shared by
	old and new code.
	(nautilus_sidebar_active_panel_matches_id_or_is_damaged): New name,
	uses get_page_iid.
	(nautilus_sidebar_hide_active_panel_if_matches): Call by new name.
	(any_panel_matches_id): New function.
	(toggle_sidebar_panel): Use presence in the sidebar to decide what
	to do, rather than using the previous setting of the preference.
	(nautilus_sidebar_add_panel_items): Use the presence of items in
	the sidebar to decide which items get checked, rather than using
	the preference settings.
	(nautilus_sidebar_add_panel), (nautilus_sidebar_remove_panel): Get
	rid of erroneous use of _().

2001-03-29  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	At TigerT's suggestion, changed default thumbnail image
	limit from 1 MB to 3 MB to cover the range of most
	current digital cameras.

2001-03-29  Michael Engber  <engber@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	* components/notes/nautilus-notes.c: (schedule_save_callback),
	(cancel_pending_save), (schedule_save),
	(set_note_text_from_metadata), (done_with_file),
	(notes_save_metainfo), (on_changed), (make_notes_view):
	Notes now saves changes after a timeout instead of waiting
	until focus change - bug 6884.

2001-03-29  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	Fixed bug 7921 ("Up" should select folder you came from)

	* src/nautilus-window-manage-views.h:
	* src/nautilus-window-manage-views.c:
	(nautilus_window_open_location_with_selection):
	New private-to-nautilus-window call, just calls
	existing private call open_location with the
	right parameters.
	
	* src/nautilus-window.c: (nautilus_window_go_up):
	Set current location as selection when going up.

2001-03-29  John Sullivan  <sullivan@eazel.com>

	reviewed by: Ramiro Estrugo  <ramiro@eazel.com>

	Fixed bug 3328 (Need a preference to specify upper bounds for
	thumbnailing)

	In Speed Tradeoffs at Advanced level, you can now choose an
	upper bound for image file size that will get thumbnailed.

	* libnautilus-extensions/nautilus-global-preferences.c:
	* libnautilus-extensions/nautilus-global-preferences.h:
	Add thumbnail limit preference.
	
	* libnautilus-extensions/nautilus-icon-factory.c:
	(destroy_icon_factory), (get_icon_factory): Add and
	remove callback for thumbnail-limit preference.
	(thumbnail_limit_changed_callback): Store new value in global
	variable; send icons-changed signal.
	(nautilus_icon_factory_get_icon_for_file): Use global
	variable instead of constant when determining thumbail limit.
	
	* libnautilus-extensions/nautilus-preferences-item.c:
	(preferences_item_update_constrained_integer): Check the
	label strings correctly; this was working for the font size
	menus only because the label strings were just the number
	printf'ed into a string.

2001-03-28  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	A change to reduce the number of orphaned processes when Nautilus
	is not terminated cleanly. This is an architecture problem, and
	this hack only partly addresses it.

	Add code to NautilusViewFrame, NautilusView, and NautilusThrobber
	to destroy components when the corresponding widgets are
	destroyed.  Since X destroys windows when processes go away, this
	tells us immediately when processes disappear. This does not help
	in the case where Nautilus happens to die after creating a
	component, but before attaching the widget to its parent.

	This is not a complete solution to the orphaned processes problem
	because of 2 other categories of orphaned processes:
	
	    1) the adapter factory
	    2) non-NautilusView components, which won't get the advantage
	       of this fix because it's in Nautilus (a fix could go into
	       Bonobo, or into each component)

	* libnautilus/nautilus-bonobo-workarounds.h:
	* libnautilus/nautilus-bonobo-workarounds.c:
	(set_gone_flag), (nautilus_bonobo_object_force_destroy),
	(object_is_gone), (remote_check_data_free),
	(remote_check_timed_callback), (remote_check_destroy_callback),
	(nautilus_bonobo_object_call_when_remote_object_disappears),
	(force_destroy_cover),
	(nautilus_bonobo_object_force_destroy_when_owner_disappears):
	New code, implementing the machinery to notice when remote objects
	go away and to self-destruct when they do. Also code that does the
	timeout that used to be in NautilusViewFrame.
	
	* libnautilus/nautilus-view.c: (widget_destroyed_callback),
	(nautilus_view_construct_from_bonobo_control): Connect to the
	widget's destroy signal, and self-destruct when it happens.
	
	* components/throbber/nautilus-throbber.c:
	(nautilus_throbber_destroy), (null_pointer_callback),
	(nautilus_throbber_initialize): Destroy the BonoboControl when the
	throbber (a widget) is destroyed. Requires noticing when the
	control goes away (the old code just had a stale pointer to it).
	
	* src/nautilus-view-frame.c: (destroy_view),
	(nautilus_view_frame_destroy), (view_frame_failed_callback),
	(queue_view_frame_failed), (view_frame_failed_cover),
	(check_socket_gone_idle_callback), (check_socket_gone_callback),
	(attach_view): Use the new machinery instead of doing it
	ourselves, but sadly had to add some fairly complex code to catch
	the case where the socket is destroyed because the plug is gone.

2001-03-28  Robey Pointer  <robey@eazel.com>

	* components/services/install/command-line/eazel-test-softcat.c:
	(main):

	Fix build bustage -- missed one of the "pr" -> "per" things.

2001-03-28  John Harper  <jsh@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	Re-fixed bug 6820 (directory sort order is different in tree
	view):

	* components/tree/nautilus-tree-view.c: realized that I can get
	the tree model node directly from the row's data pointer,
	there's no need to map the row to a node (which is a linear
	operation). Also, cache the clist->tree-view mapping to avoid a
	call to gtk_object_data_get each comparison

	(create_tree): enabled the custom comparison function


	Work to share more drawing code between NautilusList and
	NautilusCTree:

	* libnautilus-extensions/nautilus-ctree.c (get_cell_style,
	draw_cell_pixbuf): deleted. Use similarly named nautilus_list_
	functions instead

	(draw_row): only draw the special tree pixbuf if `height > 0'.
	This fixes a weird clipping bug

	* libnautilus-extensions/nautilus-list.c (get_cell_style,
	draw_cell_pixbuf): renamed as nautilus_list_X
	

	Ensure that the list view fetches the correct icons (i.e.
	special anti-aliased images if the view is in smooth mode)

	* libnautilus-extensions/nautilus-list.c
	(nautilus_list_is_anti_aliased): new function

	* src/file-manager/fm-list-view.c
	(fm_list_view_update_smooth_graphics_mode): call update_icons
	(fm_list_view_get_emblem_pixbufs_for_file, install_row_images):
	pass the correct aa mode to the icon factory


	Draw tree-view icons in smooth mode when appropriate:

	* components/tree/nautilus-tree-view.c
	(update_smooth_graphics_mode,
	smooth_graphics_mode_changed_callback): new functions. As yet
	they don't refetch all icons when the smooth preference
	changes..


	Fixed the bug introduced recently where the tree gets a title
	bar:

	* libnautilus-extensions/nautilus-list.c
	(nautilus_list_realize): don't turn on titles

	* src/file-manager/fm-list-view.c (create_list): set the
	CLIST_SHOW_TITLES flag

2001-03-28  Michael Engber  <engber@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	* components/notes/nautilus-notes.c: (set_note_text_from_metadata),
	(done_with_file), (notes_load_metainfo), (notes_save_metainfo),
	(do_destroy):
	Notes updates text on metadata changes - bug 4422.

2001-03-28  Robey Pointer  <robey@eazel.com>

	reviewed by: Eskil Heyn Olsen  <eskil@eazel.com>
	who glanced at it before passing out

	* components/services/install/lib/eazel-install-logic2.c:
	(dedupe_foreach_depends):

	Backport a fix for deduping from the branch. (This may fix some
	bugs related to deduping suites; to be honest, nobody remembers
	what this patch was originally supposed to do.)

	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_initialize):
	* components/services/install/lib/eazel-package-system-types.c:
	* components/services/install/lib/eazel-softcat-private.h:
	* components/services/install/lib/eazel-softcat.h:

	Change 'eazel_softcat_set_packages_pr_query' to
	'eazel_softcat_set_packages_per_query' because I just can't see
	one extra letter making a difference in a function name that long
	anyway.
	
	* components/services/install/lib/eazel-softcat.c:
	(eazel_softcat_initialize), (eazel_softcat_set_packages_per_query),
	(eazel_softcat_get_info), (eazel_softcat_get_info_plural):

	Backport a fix for suites from the branch.  This caused wrong
	error messages for the case where a suite contained only one
	package (which is currently nearly 99% of all suites in softcat).
	Adam noticed this a few days ago.

	* nautilus-installer/src/installer.c: (report_unusual_errors):

	Fix a trivial FIXME.

	These should be the last of the patches that need to be backported
	from the 1.0 branch.

2001-03-28  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/lib/eazel-package-system-types.h:
	* components/services/install/lib/eazel-package-system-types.c:
	(flatten_packagedata_dependency_tree), (packagedata_list_prune),
	(packagedata_is_suite):
	Added a (bool)packagedata_is_suite call which checks if the
	suite_id field is actually a suite or something else.
	
	* components/services/install/lib/eazel-install-logic2.c:
	(prune_failed_packages_helper), (get_softcat_info), (post_check),
	(check_dependencies_foreach), (do_dep_check_internal),
	(check_no_two_packages_has_same_file),
	(check_conflicts_against_already_installed_packages):
	* components/services/install/lib/eazel-install-protocols.c:
	(eazel_install_fetch_package):
	Use the packagedata_is_suite call.

2001-03-28  Jason Leach  <jasonleach@usa.net>

	reviewed by: Darin Adler <darin@eazel.com>
	
	* libnautilus-extensions/nautilus-directory-private.h: builddir !=
	srcdir fix by changing #include "nautilus-idle-queue.h" to
	#include <libnautilus/nautilus-idle-queue.h>.

2001-03-28  John Sullivan  <sullivan@eazel.com>

	reviewed by: Eli Goldberg <eli@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	Tweaked wording of font & font size preferences. They're
	still a little awkward, but I think mostly in ways that
	reflect their actual use, which is still a little awkward.

2001-03-28  Robin * Slomkowski  <rslomkow@eazel.com>

	* configure.in: upped version to 1.0.1.1 to keep version numbers
	up above branch work.

2001-03-28  Darin Adler  <darin@eazel.com>

	reviewed by: Gene Ragan <gzr@eazel.com>

	Followup on my recent tree change to get rid of some flicker.

	* components/tree/nautilus-tree-view.c:
	(set_selected_row_position): Only scroll the view if the row isn't
	already in the right position. Prevents the case where it scrolls
	by less than a whole row.
	
	* cut-n-paste-code/widgets/nautilusclist/nautilusclist.h:
	* cut-n-paste-code/widgets/nautilusclist/nautilusclist.c:
	(nautilus_clist_thaw), (nautilus_clist_check_unfrozen),
	(real_resize_column), (real_row_move), (resync_selection),
	(nautilus_clist_map), (nautilus_clist_style_set),
	(real_sort_list):
	Add code to detect changes and only redraw when actual changes
	happen. Also make freeze/thaw with no changes between them a no-op
	by having the frozen check schedule a refresh at thaw time as a
	side effect. It used to do a refresh every time it got thawed. Add
	calls to do refresh for all cases where the old code was counting
	on thaw implying a full refresh.
	
	* libnautilus-extensions/nautilus-ctree.c: (real_tree_move),
	(real_select_all), (nautilus_ctree_insert_gnode),
	(nautilus_ctree_remove_node), (nautilus_ctree_expand_recursive),
	(nautilus_ctree_expand_to_depth),
	(nautilus_ctree_collapse_recursive),
	(nautilus_ctree_collapse_to_depth),
	(nautilus_ctree_toggle_expansion_recursive),
	(nautilus_ctree_real_select_recursive),
	(nautilus_ctree_set_node_info), (nautilus_ctree_set_indent),
	(nautilus_ctree_set_spacing), (nautilus_ctree_set_line_style),
	(nautilus_ctree_sort_recursive), (nautilus_ctree_sort_node),
	(nautilus_ctree_sort_single_node):
	Use the new unfrozen check that has a side effect of making the
	next thaw do a refresh. Add the new refresh calls that are needed
	now that thaw doesn't always do a refresh. Removed some
	unnecessary drawing for cases where things haven't changed.
	
	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_track_new_column_width):
	Use the new unfrozen check that has a side effect of making the
	next thaw do a refresh.
	
	* src/file-manager/fm-list-view.c: (fm_list_view_set_zoom_level):
	Formatting tweak.

2001-03-28  Ramiro Estrugo  <ramiro@eazel.com>

	* components/text/nautilus-text-view-ui.xml:
	* components/text/nautilus-text-view.c: (merge_bonobo_menu_items):
	* libnautilus-extensions/nautilus-font-factory.c:
	(nautilus_font_factory_get_font_by_family):
	Change "default" to "GTK System Font."  Also add a FIXME for the fact
	that the string "GTK System Font" is hard coded in many places.
	Im going to fix this better in a bit.
	
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_populate_pane):
	Add documentation for the preference and preference dialog item
	structures and tables.  Also cleanup a bit of cruft left over from
	the last checkin.
	
	* libnautilus-extensions/nautilus-preferences-item.c:
	(nautilus_preferences_item_initialize), (preferences_item_destroy),
	(preferences_item_create_constrained_integer),
	(preferences_item_create_font),
	(constrained_integer_changed_callback),
	(nautilus_preferences_item_set_constrained_integer_values):
	* libnautilus-extensions/nautilus-preferences-item.h:
	Add support for having the constrained integer values be
	independent of the labels.
	
2001-03-28  Ramiro Estrugo  <ramiro@eazel.com>

	Fix bugs:

	7343 - Fonts checks should work even when nautilus has not
	undergone 'make install'

	7703 - index status dialog is mixing gnome dialog font and
	nautilus custom font

	7204 - Need a better way to pick a fallback font

	1102 - Embedded text should use preferences to determine the font
	it uses

	7357 - Preferences dialog spews critical in the ja_JP locale

	7344 - NautilusScalable should not be doing any preferences
	peeking

	7345 - Default font "helvetica" hard coded and marked for
	translatation in many places

	7834 - Should mark selected style in font picker menu

	5239 - Please make the text viewer use a fixed-width font

	7401 - Non smooth font family picker should have a "GTK System
	Font" entry

	Work in progress for related bugs:

	5101 - font sizes hard-coded in icon view
	5456 - Sidebar tabs use hard coded font families
	7670 - Font size is small in list view.

	reviewed by: Glynn Foster <glynn.foster@ireland.sun.com>

	* components/notes/nautilus-notes.c: (make_notes_view):
	Dont translate the font name.
	
	* components/text/nautilus-text-view-ui.xml:
	Add default and fixed entries.

	* components/text/nautilus-text-view.c:
	(nautilus_text_view_initialize_class),
	(nautilus_text_view_initialize), (nautilus_text_view_destroy),
	(nautilus_text_view_update_font), (handle_ui_event),
	(merge_bonobo_menu_items), (nautilus_text_view_zoom_to_level),
	(zoomable_zoom_to_fit_callback), (font_changed_callback):
	Dont store the font name and size.  Compute these as needed.  Use
	deltas instead of hard coded font sizes to compute the font size
	for a given zoom level.  Store the font changes in preferences.
	
	* libnautilus-extensions/nautilus-caption.c:
	(nautilus_caption_initialize), (nautilus_caption_set_title_label),
	(nautilus_caption_get_title_label),
	(nautilus_caption_get_title_label_width),
	(nautilus_caption_set_child), (nautilus_caption_set_spacing):
	* libnautilus-extensions/nautilus-caption.h:
	Add support for nice caption alignments.
	
	* libnautilus-extensions/nautilus-directory.c:
	(add_preferences_callbacks), (remove_preferences_callbacks):
	A bit of a hack.  Keep track of changes in the default smooth font
	so that embedded icon text previews can be updated as needed.
	
	* libnautilus-extensions/nautilus-font-factory.c:
	(nautilus_font_factory_get_font_by_family),
	A temporary hack for default system font usage.  In a future
	checkin this will not be needed anymore.
	
	(nautilus_font_factory_get_font_from_preferences):
	Dont translate font names anymore.
	
	* libnautilus-extensions/nautilus-font-manager.c:
	(font_description_new), (font_description_free),
	(font_description_get_char_set), (font_description_table_for_each),
	(font_list_find_bold_callback), (get_test_font_dir),
	(nautilus_self_check_font_manager):
	* libnautilus-extensions/nautilus-font-manager.h:
	Merge char_set_registry and char_set_encoding into one string
	'char_set.'  Make the font checks work even if nautilus has not
	undergone 'make install'
	
	* libnautilus-extensions/nautilus-font-picker.c:
	(nautilus_font_picker_initialize), (nautilus_font_picker_destroy),
	(font_picker_populate), (font_make_style_name),
	(font_style_entry_new), (compare_style),
	(global_font_list_populate_callback):
	* libnautilus-extensions/nautilus-font-picker.h:
	Sublcass the font picker from NautilusCaption so that it will
	nicely align in the preferences dialog.
	Mark selected style in font picker menus by using radio buttons.
	Fix a storage leak on destruction.
	
	* libnautilus-extensions/nautilus-glib-extensions.c:
	(nautilus_compare_integer), (nautilus_self_check_glib_extensions):
	* libnautilus-extensions/nautilus-glib-extensions.h:
	New GCompare function for integers.
	
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_install_defaults),
	(global_preferences_create_dialog),
	(global_preferences_create_search_pane),
	(global_preferences_create_sidebar_panels_pane),
	(global_preferences_pane_update_callback),
	(global_preferences_get_dialog),
	(global_preferences_install_sidebar_panel_defaults),
	(global_preferences_make_sidebar_panel_key),
	(global_preferences_is_sidebar_panel_enabled),
	(global_preferences_install_home_location_defaults),
	(global_preferences_install_font_defaults),
	(global_preferences_install_medusa_defaults),
	(global_preferences_populate_pane),
	(global_preferences_get_smooth_font),
	(global_preferences_get_smooth_bold_font),
	(nautilus_global_preferences_get_icon_view_smooth_font),
	(nautilus_global_preferences_get_default_smooth_font),
	(nautilus_global_preferences_get_default_smooth_bold_font),
	(nautilus_global_preferences_initialize):
	* libnautilus-extensions/nautilus-global-preferences.h:
	Simplify the creation of preferences by using structures to
	describe both preferences and preference fialog entries.
	
	* libnautilus-extensions/nautilus-gtk-extensions.c:
	(nautilus_gtk_get_system_font):
	* libnautilus-extensions/nautilus-gtk-extensions.h:
	New function to obtain the "Gtk System Font."
	
	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(nautilus_icon_canvas_item_initialize_class),
	(nautilus_icon_canvas_item_set_arg),
	(nautilus_icon_canvas_item_get_arg),
	(nautilus_icon_canvas_item_set_smooth_font_size):
	* libnautilus-extensions/nautilus-icon-canvas-item.h:
	Use signed integers for the font dimensions.
	
	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_initialize),
	(nautilus_icon_container_update_icon),
	(nautilus_icon_container_theme_changed),
	(nautilus_icon_container_set_font_size_table):
	* libnautilus-extensions/nautilus-icon-container.h:
	* libnautilus-extensions/nautilus-icon-private.h:
	Dont translate the font names.  Rename the font size table to
	better reflect its purpose.  Use signed integers for font sizes.
	
	* libnautilus-extensions/nautilus-icon-factory.c:
	(embedded_text_font_changed_callback), (embedded_text_font_free),
	(embed_text):
	Keep track of changes in the smooth font used for embedded text so
	that the icon text previews will update as needed.
	
	* libnautilus-extensions/nautilus-preferences-box.c:
	(nautilus_preferences_box_find_pane):
	* libnautilus-extensions/nautilus-preferences-box.h:
	New function to find a named pane.
	
	* libnautilus-extensions/nautilus-preferences-group.c:
	(preferences_group_align_captions),
	(nautilus_preferences_group_update),
	(nautilus_preferences_group_get_title_label):
	* libnautilus-extensions/nautilus-preferences-group.h:
	Add support for aligning captions.
	
	* libnautilus-extensions/nautilus-preferences-item.c:
	(nautilus_preferences_item_initialize),
	(preferences_item_construct), (preferences_item_update_enum),
	(preferences_item_create_enum),
	(preferences_item_update_short_enum),
	(preferences_item_create_short_enum),
	(preferences_item_update_boolean),
	(preferences_item_create_boolean),
	(preferences_item_update_editable_string),
	(preferences_item_create_editable_string),
	(preferences_item_update_editable_integer),
	(preferences_item_create_editable_integer),
	(preferences_item_update_constrained_integer),
	(preferences_item_create_constrained_integer),
	(preferences_item_update_font), (preferences_item_create_font),
	(preferences_item_update_smooth_font),
	(preferences_item_create_smooth_font),
	(nautilus_preferences_item_new),
	(enum_radio_group_changed_callback),
	(boolean_button_toggled_callback), (font_item_changed_callback),
	(editable_string_changed_callback),
	(editable_integer_changed_callback),
	(constrained_integer_changed_callback),
	(nautilus_preferences_item_update_displayed_value),
	(preferences_item_update_editable_integer_settings_at_idle),
	(nautilus_preferences_item_get_control_showing),
	(nautilus_preferences_item_set_constrained_integer_paramaters),
	(nautilus_preferences_item_child_is_caption),
	(nautilus_preferences_item_get_caption_title_label_width),
	(nautilus_preferences_item_set_caption_spacing):
	* libnautilus-extensions/nautilus-preferences-item.h:
	Add a new CONSTRAINED INTEGER item type.  Add support for aligning
	captions.
	Dont translate font names.
	
	* libnautilus-extensions/nautilus-preferences-pane.c:
	(nautilus_preferences_pane_add_group),
	(nautilus_preferences_pane_add_item_to_nth_group),
	(nautilus_preferences_pane_get_num_visible_groups),
	(nautilus_preferences_pane_get_num_groups),
	(nautilus_preferences_pane_find_group):
	* libnautilus-extensions/nautilus-preferences-pane.h:
	Add a function for finding a named group.
	
	* libnautilus-extensions/nautilus-scalable-font.c:
	(nautilus_scalable_font_get_default_font),
	(nautilus_scalable_font_get_default_bold_font):
	Dont peek preferences for the default fonts.  These are now
	handled in nautilus-global-preferences.
	
	* libnautilus-extensions/nautilus-smooth-text-layout.c:
	(smooth_text_layout_line_list_new),
	(smooth_text_layout_line_list_new_wrapped),
	(nautilus_smooth_text_layout_new),
	(nautilus_smooth_text_layout_set_font_size):
	Use signed integers for font sizes.

	* libnautilus-extensions/nautilus-string-picker.c:
	(nautilus_string_picker_initialize),
	(nautilus_string_picker_set_string_list):
	Update for Caption superclass changes.  Dont make singleton
	choices insensitive.
	
	* libnautilus-extensions/nautilus-text-caption.c:
	(nautilus_text_caption_initialize):
	* libnautilus-extensions/nautilus-text-caption.h:
	Update for Caption superclass changes.  Fix errors in header comments.

	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_initialize), (fm_directory_view_destroy):
	* src/file-manager/fm-directory-view.h:
	Remove knowledge of font stuff.  The fonts for icon and list view
	are now handled separately so each subclass will have to do its
	own preferences listening.
	
	* src/file-manager/fm-icon-view.c: (set_sort_criterion_by_id),
	(font_changed_callback), (smooth_font_changed_callback),
	(standard_font_size_changed_callback),
	(fm_icon_view_initialize_class), (fm_icon_view_initialize),
	(fm_icon_view_update_icon_container_font_size_table),
	(fm_icon_view_update_icon_container_smooth_font),
	(create_icon_container):
	Keep track of icon view font changes.  Use deltas to compute the
	font sizes instead of hard coded point sizes.
	
	* src/file-manager/fm-list-view.c: (fm_list_view_initialize_class),
	(fm_list_view_initialize), (fm_list_view_update_font),
	(font_or_font_size_changed_callback),
	(fm_list_view_image_display_policy_changed):
	Keep track of list view font changes.  Use deltas to compute the
	font sizes instead of hard coded point sizes.

	* src/file-manager/nautilus-indexing-info.c:
	(last_index_time_and_reindex_button_dialog_new),
	(index_progress_dialog_new):
	Dont use smooth labels mixed in with regular gtk labels.

	* src/nautilus-sidebar-tabs.c:
	(nautilus_sidebar_tabs_load_theme_data),
	(smooth_font_changed_callback), (nautilus_sidebar_tabs_initialize),
	(nautilus_sidebar_tabs_destroy):
	Add macros and FIXME for hard coded font size.  NULL out the tab_font
	when its unreffed, otherwise all hell breaks lose when user level
	changes.  Update for default font changes.
	
	* src/nautilus-sidebar-title.c: (smooth_font_changed_callback),
	(nautilus_sidebar_title_initialize),
	(nautilus_sidebar_title_destroy), (update_font):
	Keep track of smooth font changes.  Update for default font changes.
	
	* test/test-nautilus-font-manager.c: (font_iterator_callback):
	* test/test-nautilus-font-picker.c: (update_font),
	(print_selected_font_callback), (main):
	* test/test-nautilus-label-simple.c: (use_system_font_callback),
	(use_system_font_bold_callback), (main):
	Update for font picker and font manager changes.
	
2001-03-27  Darin Adler  <darin@eazel.com>

	reviewed (a bit) by: John Sullivan <sullivan@eazel.com>

	Some tree view changes so it only does work when the tree view is
	open, not when it's closed. Also improved speed by not creating so
	many pixmaps, which required changing lots of classes to use
	pixbufs instead of pixmaps.

	* components/tree/libmain.c: (tree_shlib_object_destroyed),
	(tree_shlib_make_object): Changed to use NautilusTreeView
	subclass of NautilusView, not widget.
	
	* components/tree/main.c: (main): Use standard main.

	* components/rpmview/nautilus-rpm-view.c:
	(file_activation_callback), (fill_filename_tree_int),
	(fill_filename_tree), (nautilus_rpm_view_update_from_uri):
	Update to use NautilusCList instead of GtkCList.
	
	* components/tree/nautilus-tree-change-queue.h: Got rid of ADDED
	(it's now the same as CHANGED).
	
	* components/tree/nautilus-tree-model.h:
	* components/tree/nautilus-tree-model.c:
	(nautilus_tree_model_initialize_class): No more ADDED.
	(destroy_file_hash): New function.
	(nautilus_tree_model_destroy): Destroy deferral hashes.
	(nautilus_tree_model_node_begin_monitoring): Use changed instead
	of added.
	(report_node_changed): Emit changed instead of added.
	(process_file_change): New function.
	(process_directory_done_loading): New function.
	(add_file_to_hash): New function.
	(nautilus_tree_model_directory_files_changed_callback),
	(nautilus_tree_model_directory_done_loading_callback): Either put
	the file in the hash table or send the notification.
	(process_one_changed_file), (process_one_done_loading_file):
	Helper functions to send notifications.
	(nautilus_tree_model_set_defer_notifications): Start deferring
	notifications by making hash tables. Stop deferring notifications
	by sending out all the notifications and then getting rid of the
	hash tables.
	
	* components/tree/nautilus-tree-view.h:
	* components/tree/nautilus-tree-view-private.h:
	* components/tree/nautilus-tree-view.c:
	(nautilus_tree_view_insert_model_node), (ctree_is_node_expanded),
	(nautilus_tree_view_update_model_node),
	(awaited_node_or_uri_found), (notify_done_loading),
	(notify_node_seen), (get_selected_row),
	(get_selected_row_position), (set_selected_row_position),
	(dequeue_pending_idle_callback), (schedule_pending_idle_callback),
	(unschedule_pending_idle_callback),
	(nautilus_tree_view_load_from_filesystem), (ctree_compare_rows),
	(create_tree), (tree_map_callback), (tree_unmap_callback),
	(nautilus_tree_view_initialize), (nautilus_tree_view_destroy),
	(get_uri_sequence_to_root),
	(call_when_uri_loaded_or_parent_done_loading),
	(cancel_selection_in_progress),
	(expand_uri_sequence_and_select_end), (select_current_location),
	(tree_load_location_callback), (got_activation_uri_callback),
	(ctree_get_first_selected_node),
	(nautilus_tree_view_update_all_icons),
	(nautilus_tree_view_initialize_class):
	Convert to use pixbufs instead of pixmaps. Convert to use
	NautilusList instead of GtkCList. Fix storage leak of name.
	Get rid of weak use of callback function pointers. Add feature
	where the selected row is kept in position as new items are added.
	Eliminated ADDED and jsut used CHANGED instead. Defer creating the
	tree view until the first map. Turn off processing when unmapped.
	Change NautilusTreeView to be NautilusView subclass, not a widget.
	
	* components/tree/nautilus-tree-view-dnd.c:
	(nautilus_tree_view_drag_begin), (nautilus_tree_view_drag_motion),
	(get_data_on_first_target_we_support),
	(nautilus_tree_view_button_press),
	(nautilus_tree_view_button_release),
	(nautilus_tree_view_motion_notify),
	(nautilus_tree_view_set_dnd_icon),
	(nautilus_tree_view_collapse_node),
	(nautilus_tree_view_expand_or_collapse_row),
	(nautilus_tree_view_tree_node_at), (auto_scroll_timeout_callback),
	(nautilus_tree_view_real_scroll),
	(nautilus_tree_view_collapse_all),
	(nautilus_tree_view_receive_dropped_icons),
	(nautilus_tree_view_drag_destroy),
	(nautilus_tree_view_drag_destroy_real):
	Switch from GtkCList to NautilusCList. Also get rid of code that
	assumes NautilusTreeView is a widget. Also convert to use pixbufs
	instead of pixmaps.
	
	* cut-n-paste-code/widgets/nautilusclist/nautilusclist.h:
	* cut-n-paste-code/widgets/nautilusclist/nautilusclist.c:
	(nautilus_clist_optimal_column_width), (nautilus_clist_set_text),
	(nautilus_clist_set_pixbuf), (nautilus_clist_get_pixbuf),
	(nautilus_clist_set_pixtext), (nautilus_clist_get_pixtext),
	(set_cell_contents), (cell_size_request), (real_insert_row),
	(draw_row), (draw_rows), (row_delete):
	Change to use pixbufs instead of pixmaps. Remove most of the
	drawing code since this can only be used as a base class for
	NautilusList anyway. Add boolean to set_cell_contents so it
	redraws only if the cell has changed.
	
	* libnautilus-extensions/nautilus-ctree.h:
	* libnautilus-extensions/nautilus-ctree.c: (COLUMN_FROM_XPIXEL),
	(nautilus_ctree_get_type), (nautilus_ctree_class_init),
	(nautilus_ctree_set_arg), (nautilus_ctree_get_arg),
	(nautilus_ctree_init), (ctree_attach_styles),
	(ctree_detach_styles), (nautilus_ctree_realize),
	(nautilus_ctree_event), (nautilus_ctree_unrealize),
	(nautilus_ctree_button_press), (draw_drag_highlight),
	(nautilus_ctree_row_at), (get_cell_rectangle),
	(nautilus_ctree_set_prelight), (draw_cell_pixbuf),
	(get_cell_style), (nautilus_ctree_draw_expander),
	(nautilus_ctree_draw_lines), (draw_row), (tree_draw_node),
	(nautilus_ctree_link), (nautilus_ctree_unlink), (real_row_move),
	(real_tree_move), (change_focus_row_expansion), (real_tree_expand),
	(real_tree_collapse), (column_auto_resize), (auto_resize_columns),
	(cell_size_request), (set_cell_contents), (set_node_info),
	(row_new), (row_delete), (real_select_row), (real_unselect_row),
	(real_tree_select), (real_tree_unselect), (select_row_recursive),
	(real_select_all), (real_unselect_all), (ctree_is_hot_spot),
	(nautilus_ctree_construct), (real_insert_row),
	(nautilus_ctree_insert_node), (nautilus_ctree_insert_gnode),
	(real_remove_row), (nautilus_ctree_remove_node), (real_clear),
	(nautilus_ctree_post_recursive),
	(nautilus_ctree_post_recursive_to_depth),
	(nautilus_ctree_pre_recursive),
	(nautilus_ctree_pre_recursive_to_depth),
	(nautilus_ctree_find_node_ptr), (nautilus_ctree_node_nth),
	(nautilus_ctree_find), (nautilus_ctree_find_by_row_data),
	(nautilus_ctree_find_all_by_row_data),
	(nautilus_ctree_find_by_row_data_custom),
	(nautilus_ctree_find_all_by_row_data_custom),
	(nautilus_ctree_is_hot_spot), (nautilus_ctree_expand_recursive),
	(nautilus_ctree_expand_to_depth),
	(nautilus_ctree_collapse_recursive),
	(nautilus_ctree_collapse_to_depth),
	(nautilus_ctree_toggle_expansion_recursive),
	(nautilus_ctree_real_select_recursive),
	(nautilus_ctree_node_set_text), (nautilus_ctree_node_set_pixbuf),
	(nautilus_ctree_node_set_pixtext), (nautilus_ctree_set_node_info),
	(nautilus_ctree_node_set_shift), (remove_grab),
	(nautilus_ctree_node_set_selectable),
	(nautilus_ctree_node_get_cell_type),
	(nautilus_ctree_node_get_text), (nautilus_ctree_node_get_pixbuf),
	(nautilus_ctree_node_get_pixtext), (nautilus_ctree_get_node_info),
	(nautilus_ctree_node_set_cell_style),
	(nautilus_ctree_node_get_cell_style),
	(nautilus_ctree_node_set_row_style), (nautilus_ctree_node_moveto),
	(nautilus_ctree_node_is_visible), (nautilus_ctree_set_indent),
	(nautilus_ctree_set_spacing), (nautilus_ctree_set_show_stub),
	(nautilus_ctree_set_line_style), (tree_sort),
	(nautilus_ctree_sort_recursive), (real_sort_list),
	(nautilus_ctree_sort_node), (nautilus_ctree_sort_single_node),
	(fake_unselect_all), (selection_find), (resync_selection),
	(real_undo_selection), (check_drag), (drag_dest_info_destroy),
	(drag_dest_cell), (nautilus_ctree_drag_begin),
	(nautilus_ctree_drag_motion), (nautilus_ctree_drag_data_received):
	Change to use NautilusList instead of GtkCList. Change to use
	pixbufs instead of pixmaps. Use set_cell_contents boolean to only
	redraw when cell has changed.
	
	* libnautilus-extensions/nautilus-gtk-extensions.h:
	* libnautilus-extensions/nautilus-gtk-extensions.c:
	(nautilus_gtk_marshal_POINTER__INT): Add new marshal needed for
	the pixbuf version of a NautilusList call.
	(nautilus_drag_set_icon_pixbuf): Helper to convert pixbuf to
	a pixmap and mask for GTK's sake.
	
	* libnautilus-extensions/nautilus-icon-dnd.c:
	(nautilus_icon_dnd_begin_drag): Use nautilus_drag_set_icon_pixbuf.
	
	* libnautilus-extensions/nautilus-list.h:
	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_initialize_class), (nautilus_list_initialize_dnd),
	(nautilus_list_initialize), (nautilus_list_destroy), (draw_cell),
	(nautilus_list_mark_cell_as_link),
	(nautilus_list_set_cell_contents), (set_list_cell),
	(get_list_cell), (nautilus_list_drag_start),
	(nautilus_list_receive_dropped_icons):
	Take advantage of the new changes in NautilusCList, which now uses
	pixmaps directly. Change drag signal to use a pixbuf, not a
	pixmap. Change so it doesn't do the DND stuff unless you
	explicitly call for it. Use set_cell_contents boolean to only
	redraw when cell has changed.
	
	* src/file-manager/fm-list-view.c: (fm_list_get_drag_pixbuf),
	(fm_list_get_sort_column_index), (create_list), (set_up_list):
	Change to use the new pixbuf signal instead of the old pixmap one.
	Make a call to ask NautilusList to do the DND stuff.

2001-03-27  Ramiro Estrugo  <ramiro@eazel.com>

	* components/services/clone/.cvsignore:
	More generated files.
	
2001-03-27  Ramiro Estrugo  <ramiro@eazel.com>

	* components/services/clone/.cvsignore:
	Ignore generated files.
	
Tue Mar 27 15:56:00 2001  George Lebl <jirka@5z.com>

	Reviewed by a bunch of people on bugzilla, and according to everyone
	it actually works, despite being written by me.

	* libnautilus-extensions/nautilus-icon-container.c
	  (nautilus_icon_container_update_scroll_region)
	  (lay_down_icons_horizontal) (lay_down_icons_tblr)
	  (nautilus_icon_container_set_margins)
	  libnautilus-extensions/nautilus-icon-container.h
	  libnautilus-extensions/nautilus-icon-private.h
	  src/file-manager/fm-desktop-icon-view.c (panel_desktop_area_changed)
	  (desktop_icon_view_property_filter) (fm_desktop_icon_view_destroy)
	  (fm_desktop_icon_view_initialize):  Reads GNOME_PANEL_DESKTOP_AREA
	  hint from the root window, which the panel sets to give the area
	  not covered by panels.  Then set margins on the icon container so
	  that the icons are shifted away from the panels.  Also when
	  relaying out icons the new size is taken into account.
	  Fix #1447, the infamous showstopper uber bug.

2001-03-27  Gene Z. Ragan  <gzr@eazel.com>

	Use the proper automake defined conditional to
	enable audio cd mounting.
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(get_removable_volumes), (get_current_mount_list):
	
2001-03-27  Eskil Heyn Olsen  <eskil@eazel.com>

	Clone now basically works. It will however almost always crash
	since ORBit can't transfer big buffers.
	
	* components/services/clone/eazel-clone.c:
	(eazel_file_conflict_check_signal),
	(eazel_file_uniqueness_check_signal),
	(eazel_feature_consistency_check_signal),
	(eazel_download_progress_signal), (eazel_install_progress_signal),
	(eazel_uninstall_progress_signal), (download_failed),
	(install_failed), (uninstall_failed),
	(eazel_preflight_check_signal), (dep_check), (md5_check_failed),
	(done), (get_password_dude), (do_clone):
	Added --downgrade.
	Added "I: "'s and \n's to a lot of printfs.
	
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_emit_preflight_check),
	(eazel_install_emit_save_transaction):
	Code to "circumvent" the ORBit buffersize bug.
	
	* components/services/install/lib/eazel-softcat.c:
	(split_by_multiple):
	Fixed bug that caused packages searched for by name but with
	version to be slammed into one huge query.

2001-03-27  John Sullivan  <sullivan@eazel.com>

	reviewed by: Maciej Stachowiak  <mjs@eazel.com>

	Fixed bug 2328 (No way to go to a specific URI if location
	bar is hidden)

	Fixed by adding a new item "Location ..." to the Go menu,
	with control-L as keyboard shortcut. ("Create Link", formerly
	control-L, is now "Make Link", control-M.) Choosing "Location ..."
	makes the location bar visible if necessary and selects the
	location text field's contents so you can start typing to replace
	it. If the location bar had been hidden, it will hide itself again
	when you hit Return.

	At the same time, made the "Find" menu item (control-F) always
	show the Find controls and move the focus there, instead of
	toggling between Find & Browse. The Find toolbar button remains
	a toggle button.


	Fixed bug 3590 (Remove workaround for Bonobo design flaw)
	Fixed bug 7303 (Conflicts on menu item underline accelerators)

	Fixed these incidentally when working on 2328.


	* src/file-manager/fm-directory-view.c: (real_update_menus):
	* src/file-manager/nautilus-directory-view-ui.xml:
	Changed Create Link(s) to Make Link(s), and changed its
	accelerator to Control-M.
	
	* src/nautilus-location-bar.c: 
	(real_activate): select all text when activating (used to
	just grab focus)
	(nautilus_location_bar_initialize): Changed definition
	of entry to be a NautilusEntry.

	
	* src/nautilus-shell-ui.xml: added "Location ..." item in
	Go menu; renamed some commands and items for clarity; 
	moved a couple of accelerators into verbs.
	
	* src/nautilus-switchable-navigation-bar.h:
	* src/nautilus-switchable-navigation-bar.c:
	(nautilus_switchable_navigation_bar_activate),
	(nautilus_switchable_navigation_bar_set_mode):
	Broke _activate out of _set_mode and made it
	public; tweaked _set_mode a little.
	
	* src/nautilus-window-private.h: Added temporary_navigation_bar
	boolean to details struct.

	* src/nautilus-window-menus.c:
	(nautilus_window_show_location_bar_temporarily): New function,
	shows location bar and sets the flag to hide it after it
	signals for a location change.
	(file_menu_find_callback): New function, switches to find mode,
	showing location bar temporarily if necessary.
	(toolbar_toggle_find_mode_callback): renamed from file_menu_xxx
	now that it's only used by the toolbar, toggles Find mode,
	showing location bar temporarily if necessary.
	(go_menu_location_callback): New function, switches to browse mode,
	showing location bar temporarily if necessary.
	(nautilus_window_initialize_menus_part_1): futz with verbs for
	these menu items.
	(nautilus_window_update_find_menu_item): Remove this call since
	the menu item is no longer dynamic.
	(nautilus_window_remove_go_menu_items): Remove call to
	nautilus_window_update_find_menu_item.
	
	* src/nautilus-window.c: 
	(go_to_callback): Cleaned up style a little.
	(navigation_bar_location_changed_callback): New function, called
	when location bar says "hey, here's a new location for you".
	Hides the location bar if it was temporarily showing.
	(navigation_bar_mode_changed_callback): Remove call to
	nautilus_window_update_find_item.
	(nautilus_window_constructed): Wire up 
	navigation_bar_location_changed_callback.
	(nautilus_window_hide_location_bar): Clear the 
	temporary_navigation_bar flag.

	* components/text/nautilus-text-view-ui.xml: Change _Fonts to
	F_onts to avoid conflict with _File.

Tue Mar 27 02:25:31 2001  George Lebl <jirka@5z.com>

	* components/help/hyperbola-nav-tree.c (ensure_italic_style)
	  (set_node_style) (reset_style_for_node) (reset_styles)
	  (ensure_pixmap_and_mask) (ensure_icons) (get_node_icons)
	  (ctree_populate_subnode) (ctree_populate)
	  (hyperbola_navigation_tree_new) (pixmap_unref_and_null)
	  (bitmap_unref_and_null) (hyperbola_navigation_tree_destroy):
	  Remove the italic stuff and replace with icons.  There's a
	  different icon for folders, different for books and different for
	  sections.  The one for sections is the one used for man and info
	  pages, but we could also have a separate one for those.  I suppose
	  that's up to Arlo.  This should fix #6911, though I suppose I'll
	  leave it open to get further feedback.

	* icons/Makefile.am, hyperbola-book-closed.png,
	  hyperbola-book-open.png, hyperbola-folder-closed.png,
	  hyperbola-folder-open.png, hyperbola-section-closed.png,
	  hyperbola-section-open.png:  Add some testing icons, stolen
	  from the GTK+ testing program.

Tue Mar 27 00:45:02 2001  George Lebl <jirka@5z.com>

	* components/help/hyperbola-filefmt.c
	  (fmt_scrollkeeper_parse_toc_section)
	  (fmt_scrollkeeper_parse_document) (fmt_toplevel_add_doc):
	  Properly set BOOK and SECTION types instead of making everything
	  FOLDER.  No wonder my original patch to #6911 didn't all work.
	  This makes it work, though apparently icons are involved now, so
	  it's still not fixed.

	* components/help/hyperbola-nav-tree.c (set_node_style):
	  Also set italic style for SECTIONs which are now set correctly
	  in the above fix.

2001-03-26  Gene Z. Ragan  <gzr@eazel.com>
	
	* libnautilus-extensions/nautilus-audio-player.c:
	* libnautilus-extensions/nautilus-audio-player.h:
 	(player_thread),
	(nautilus_audio_player_play), (nautilus_audio_player_stop),
	(esdout_init), (esdout_write), (get_latency), (esd_stou8),
	(esd_utos16sw), (esd_utos16), (esd_16sw):
	New code to add support for an audio player thread. This is
	a first step to avoid the use of external binaries from
	within nautilus to preview audio. This will hopefully allow
	us to use a more flexible preview mechanism in the future.
	The new code currently uses the audiofile library from
	gnome cvs.
			
	* libnautilus-extensions/Makefile.am:
	Add new files to build.

	* src/file-manager/fm-icon-view.c: (fm_icon_view_destroy),
	(fm_icon_view_begin_loading), (play_file), (preview_audio),
	(icon_container_preview_callback), (fm_icon_view_initialize):
	Add a conditional to allow the use of the new audio preview
	code.  The conditional is currently set to use the old code,
	not the new mechanism.

2001-03-26  Michael Engber  <engber@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-directory-async.c:
	(is_anyone_waiting_for_metafile), (call_ready_callbacks),
	(start_or_stop_io), (nautilus_directory_cancel):
	* libnautilus-extensions/nautilus-directory-metafile-monitor.c:
	(corba_metafile_ready):
	* libnautilus-extensions/nautilus-directory-metafile.c:
	(get_metafile), (nautilus_directory_rename_file_metadata),
	(nautilus_directory_rename_directory_metadata):
	* libnautilus-extensions/nautilus-directory-metafile.h:
	* libnautilus-extensions/nautilus-directory-private.h:
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_initialize), (nautilus_directory_destroy),
	(set_directory_uri), (change_directory_uri),
	(nautilus_self_check_directory):
	* libnautilus-extensions/nautilus-directory.h:
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_file_name_matches_backup_pattern),
	(nautilus_file_name_matches_metafile_pattern):
	* libnautilus-extensions/nautilus-file-utilities.h:
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_is_metafile):
	* libnautilus-extensions/nautilus-file.h:
	* libnautilus-extensions/nautilus-metafile-factory.c: (corba_open):
	* libnautilus-extensions/nautilus-metafile-server.idl:
	* libnautilus-extensions/nautilus-metafile.c:
	(nautilus_metafile_class_init), (nautilus_metafile_init),
	(destroy), (construct_private_metafile_vfs_uri),
	(nautilus_metafile_set_directory_uri), (nautilus_metafile_new),
	(nautilus_metafile_get), (schedule_next_read), (async_read_start),
	(async_read_done), (async_read_cancel), (corba_is_read),
	(corba_get), (corba_get_list), (corba_set), (corba_set_list),
	(corba_copy), (corba_remove), (corba_rename),
	(corba_rename_directory), (corba_register_monitor),
	(corba_unregister_monitor),
	(nautilus_metafile_notify_metafile_ready), (call_metafile_changed),
	(call_metafile_changed_for_all_files_mentioned_in_metafile),
	(call_metafile_changed_for_one_file), (create_metafile_root),
	(get_file_node), (get_metadata_string_from_metafile),
	(get_metadata_list_from_metafile),
	(set_metadata_string_in_metafile), (set_metadata_list_in_metafile),
	(set_metadata_in_metafile), (get_metadata_string_from_table),
	(get_metadata_list_from_table), (set_metadata_eat_value),
	(metafile_free_metadata), (get_file_metadata),
	(get_file_metadata_list), (set_file_metadata),
	(set_file_metadata_list), (metafile_get_file_uri),
	(rename_file_metadata), (apply_one_change), (apply_file_changes),
	(nautilus_metafile_apply_pending_changes), (copy_file_metadata),
	(remove_file_metadata), (nautilus_metafile_set_metafile_contents),
	(metafile_read_cancel), (can_use_public_metafile),
	(metafile_read_mark_done), (metafile_read_done),
	(metafile_read_try_public_metafile),
	(metafile_read_check_for_directory_callback),
	(metafile_read_check_for_directory), (metafile_read_failed),
	(metafile_read_done_callback), (metafile_read_restart),
	(allow_metafile), (metafile_read_start), (metafile_write_done),
	(metafile_write_failed), (metafile_write_failure_close_callback),
	(metafile_write_success_close_callback), (metafile_write_callback),
	(metafile_write_create_callback), (metafile_write_start),
	(metafile_write), (metafile_write_idle_callback),
	(directory_request_write_metafile):
	* libnautilus-extensions/nautilus-metafile.h:
	* libnautilus-extensions/nautilus-vfs-directory.c:
	(vfs_is_not_empty):
	Factored the metadata reading/writing code out of nautilus-directory
	- bug 6661.

2001-03-26  Eskil Heyn Olsen  <eskil@eazel.com>

	Initial commit of machine cloning.
	
	* components/services/Makefile.am:
	* components/services/clone/Makefile.am:
	* configure.in:
	The usual makefile trickery etc.
	
	* components/services/clone/eazel-clone-lib.h:
	* components/services/clone/eazel-clone-lib.c:
	(eazel_install_clone_load_inventory),
	(eazel_install_clone_check_existing),
	(eazel_install_clone_compare_inventory),
	(eazel_install_clone_create_inventory):
	The lib that generates an inventory and does inventory compare.
	
	* components/services/clone/eazel-clone.c:
	(set_parameters_from_command_line),
	(eazel_file_conflict_check_signal),
	(eazel_file_uniqueness_check_signal),
	(eazel_feature_consistency_check_signal),
	(eazel_download_progress_signal), (eazel_install_progress_signal),
	(eazel_uninstall_progress_signal), (download_failed),
	(install_failed), (uninstall_failed),
	(eazel_preflight_check_signal), (eazel_save_transaction_signal),
	(dep_check), (md5_check_failed), (delete_files), (done),
	(get_password_dude), (set_root_client), (do_clone), (main):
	Rehack of eazel-alt-install-corba.c to act as cli clone util.
	
	* components/services/install/command-line/eazel-alt-install-corba.
	c:
	Reenabled --revert...
	
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(parse_shared), (eazel_install_packagedata_to_xml_int):
	Tighter FILESIZE and BYTESIZE in xml.
	
	* components/services/install/lib/eazel-package-system-rpm3.c:
	(eazel_package_system_implementation):
	Spew root and DB when starting.
	
	* components/services/install/lib/eazel-package-system-types.c:
	* components/services/install/lib/eazel-package-system-types.h:	
	Authors stuff.
	* components/services/install/lib/eazel-package-system.c:
	(eazel_package_system_suggest_id):
	Committed patch from fcrozat@mandrakesoft.com to correctly set
	RPM4 for Mandrake 8.0

Mon Mar 26 01:39:43 2001  George Lebl <jirka@5z.com>

	This patch killed two people, but Seth says it's not that bad

	* components/help/hyperbola-nav-tree.c
	  (hyperbola_navigation_tree_new):  replace gtk_clist_columns_autosize
	  with gtk_clist_set_column_auto_resize.  The former is a one time
	  thing, whereas we want to do this all the time.  Fixes #7424

Sun Mar 25 17:02:17 2001  George Lebl <jirka@5z.com>

	Review dude: Maciej

	* components/music/id3_frame.c (id3_read_frame)
	  components/music/id3_frame_text.c (id3_get_text)
	  components/music/id3_frame_url.c (id3_get_url)
	  components/music/nautilus-music-view.c (sort_list)
	  (click_column_callback)
	  components/services/trilobite/libtrilobite/trilobite-root-helper.c
	  (trilobite_root_helper_destroy) (trilobite_root_helper_start)
	  libnautilus-extensions/nautilus-file.c
	  (nautilus_file_list_filter_hidden_and_bac):
	  Use GINT_TO_POINTER and GPOINTER_TO_INT when casting ints to/from
	  pointers to fix 64 bit issues

2001-03-24  Rebecca Schulman  <rebecka@eazel.com>

	* libnautilus-extensions/nautilus-medusa-support.c:
	(nautilus_medusa_check_cron_is_enabled):
	Add check for "cron" as well as "crond" so that cron will
	also be recognized on Debian.

2001-03-23  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	Fixed bug 2968 (Control-O insufficient for keyboard activation
	of selected files)

	Fixed bug 5688 (Context menu on the desktop shouldn't have
	"Open in New Window")

	In the new design, "Open" is always sensitive. It follows the user's
	preference, except if the user's preference is "use same window" and
	there are multiple items selected. "Open in New Window" is only
	available when the preference is "use same window". If the preference
	is "use new window", "Open in New Window" is replaced by "Open in
	This Window", which is enabled only if there is exactly one item
	selected (and which never launches an external application).

	"Open in New Window" and "Open in This Window" both have 
	Control-Shift-O as a keyboard equivalent (only one of them
	is visible at a time, of course).

	The desktop right-click menu only has "Open", which behaves the
	same way it does currently.

	I think the only slightly useful behavior that has been lost is
	the ability to specifically open an item in a new window via the
	menu item as opposed to opening it in a way that will find an
	existing window if there is one. Them's the breaks.

	* src/file-manager/nautilus-directory-view-ui.xml:
	Changed "OpenNew" to "OpenAlternate" for clarity;
	added Control-Shift-O as accelerator for OpenAlternate.
	
	* src/file-manager/nautilus-desktop-icon-view-ui.xml:
	Set hidden attribute on OpenAlternate command.

	* src/file-manager/fm-directory-view.c: 
	(open_callback): Changed to call the same code that hitting
	Enter calls, instead of only activating a single selected item.
	(open_alternate_callback): Renamed from open_in_new_window_callback, 
	checks new-window preference and handles selected items accordingly.
	(fm_directory_view_initialize): add preferences callback to update
	menus when new-window preference changes.
	(fm_directory_view_destroy): remove preferences callback.
	(real_merge_menus): updated for name changes.
	(real_update_menus): rework sensitivity and label logic for Open
	and Open in New/This Window menu items.

	(filtering_changed_callback): Check whether the filtering preferences
	have actually changed before deciding to reload the directory; this
	reduces redrawing when switching user levels. The preference callbacks
	are called when the user level changes even if the preference value
	hasn't actually changed. Other places could use similar checks, some of
	which I may do later if Ramiro doesn't fix the preference mechanism
	itself first.

2001-03-23  Darin Adler  <darin@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	More loose ends of the file copy and paste feature.

	* libnautilus-extensions/nautilus-directory-notify.h:
	Rename NautilusFileChangesQueuePositionSetting to
	NautilusFileChangesQueuePosition. Add a field so it can
	be used to set or remove a position. Rename
	nautilus_directory_schedule_position_setting to
	nautilus_directory_schedule_position_set.
	
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_schedule_position_set): Change name and also
	make it handle the case where we want to remove a position rather
	than setting it.
	
	* libnautilus-extensions/nautilus-file-changes-queue.h:
	* libnautilus-extensions/nautilus-file-changes-queue.c:
	(nautilus_file_changes_queue_schedule_position_set): Name change.
	(nautilus_file_changes_queue_schedule_position_remove): New
	function used to remove a position.
	(position_set_list_free): Name changes, added the new remove
	flavor where needed.
	(nautilus_file_changes_consume_changes): Updated SET case,
	added case for REMOVE.
	
	* libnautilus-extensions/nautilus-file-operations.c:
	(icon_position_iterator_get_next): New function, used to extract
	the next position out of the iterator.
	(apply_one_position): Simplified by using
	icon_position_iterator_get_next, and also changed so that the
	position is always either removed or set.

	* libnautilus-extensions/nautilus-file-operations.h: Fixed header.
	
	* libnautilus-extensions/nautilus-gtk-extensions.h:
	* libnautilus-extensions/nautilus-gtk-extensions.c:
	(event_get_time), (nautilus_get_current_event_time): Add new
	function to get the current event time. This is available in GTK
	2.0, so we can remove it when we move up.
	
	* libnautilus-extensions/nautilus-link.c:
	(nautilus_link_local_create): Updated for change to notify API.
	
	* libnautilus-extensions/nautilus-program-choosing.c:
	(nautilus_launch_application_from_command): Added FIXME.
	
	* src/file-manager/fm-directory-view.c: (copy_or_cut_files): Use
	new nautilus_get_current_event_time function. Put up a status
	string about the cut or copy. Since there's no other feedback this
	is especially important.
	(paste_files_callback): Use new nautilus_get_current_event_time
	function.
	(real_selection_clear_event): Erase the status string.
	(real_selection_received): Put up a status string if the paste
	does nothing. Since we can't desensitize the Paste Files command,
	this is the next best thing.

2001-03-23  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	* src/file-manager/fm-directory-view.c: (real_update_menus):
	* src/file-manager/nautilus-directory-view-ui.xml:
	Added underscore accelerator for Delete command (when it's
	visible) and put Cut/Copy/Paste into the right-click menu for
	files.

2001-03-23  John Sullivan  <sullivan@eazel.com>

	At Andy and Arlo's request, removed the icon from the
	Preferences menu and moved the Help menu after it. Andy
	is investigating another way for the current user level
	symbol to appear onscreen somewhere.

	* src/nautilus-shell-ui.xml: Moved Preferences submenu
	before Help; removed 'pixtype="filename"'
	
	* src/nautilus-window-menus.c: 
	(switch_to_user_level): Removed code to set menu title icon.
	(user_level_changed_callback), (update_user_level_menu_items):
	Removed these functions, which were only setting the menu title icon.
	(nautilus_window_initialize_menus_part_1): removed call to
	update_user_level_menu_items and callback setup for 
	user_level_changed_callback.

2001-03-23  John Sullivan  <sullivan@eazel.com>

	Fixed bug 7846: crash removing only bookmark in Bookmarks window.

	GtkCList is emitting a select_row signal on a non-existent row, 
	which caused a Nautilus parameter check to fail. Worked around 
	this in Nautilus. I don't know when this started happening in GTK,
	but I'm sure it didn't crash here when the bookmarks window
	was last tested. I've sent mail to gtk-devel-list about the
	GtkCList issue.

	* src/nautilus-bookmarks-window.c: (on_select_row):
	Bail out without doing anything if selected row is not
	a valid row number.

2001-03-23  John Sullivan  <sullivan@eazel.com>

	reviewed by: Pavel Cisler  <pavel@eazel.com>

	Make properties window show link target path for
	symbolic links (not for NautilusLinks yet; I'll do
	that separately). This shows "unknown" with old gnome-vfs;
	but will show the right result with the latest gnome-vfs
	(well, it will after Pavel checks in, which will be very
	soon).

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_string_attribute): Add support
	for "link_target"
	
	* src/file-manager/fm-properties-window.c:
	(should_show_link_target): returns TRUE if file is a
	symbolic link.
	(create_basic_page): Add "Link Target" field.

2001-03-22  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fix bug 6613 (no way to delete files without using trash) by
	integrating Maciej's patch to add an optional Delete command (with
	some fixes to the patch). There may still be some loose ends.
	
	Fix bug 2206 (No way to move or copy a file to a different
	directory from keyboard) by implementing Cut, Copy, and Paste for
	files, in a way that will be familiar to Windows users. The
	positioning of the new files is not right yet (they inherit their
	position from the old files), there is no feedback when you have
	cut some files (Arlo's idea, which I might implement, is to make
	them translucent to show they are "on the way out") or when you
	have copied some files, and I think there are some other loose
	ends.

	Fixed cut, copy, and paste within the file names when you do a
	rename. This wasn't working at all.

	Got rid of configure-time checks that were looking at the
	existence of some special system files.

	Fixed a few minor bugs discovered by code inspection.
	
	* libnautilus-extensions/nautilus-global-preferences.h:
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_install_descriptions),
	(global_preferences_install_defaults),
	(global_preferences_install_visibility),
	(global_preferences_create_dialog): Add expert preference to add a
	Delete command that bypasses the Trash.
	* src/file-manager/nautilus-directory-view-ui.xml: Add Delete, Cut
	Files, Copy Files, and Paste Files.
	* src/file-manager/fm-directory-view.c: (confirm_delete_directly),
	(delete_callback): Add delete code.
	(bonobo_menu_empty_trash_callback): Get rid of extraneous cast.
	(fm_directory_view_initialize): Track the delete preference. Set
	the flags properly to indicate we have our own X window. Add a
	target so GTK knows that we accept pastes of copied files.
	(forget_clipboard_contents): Helper for when we are no longer the
	clipboard owner.
	(fm_directory_view_destroy): Remove the delete preference
	callback. Free the clipboard contents.
	(offset_drop_points): Change so it handles NULL for the list of
	points.
	(trash_or_delete_files_common): Remove unneeded parameters.
	(get_current_event_time): New function, placeholder that just
	returned GDK_CURRENT_TIME. Perhaps we should get the real event
	time here for use in clipboard manipulation calls.
	(copy_or_cut_files): New function. Save the selection for later
	use in a paste.
	(copy_files_callback), (cut_files_callback): Call the new
	copy_or_cut_files function.
	(paste_files_callback): Do the clipboard convert that results in
	the paste operation.
	(real_selection_clear_event): Forget the clipboard contents.
	(real_selection_get): Convert the selection into the appropriate
	format and put it on the clipboard.
	(convert_lines_to_str_list): Helper function for decoding incoming
	pasted files.
	(real_selection_received): Handle pasted files by parsing and then
	triggering a file copy operation.
	(real_merge_menus): Add verbs for cut, copy, and paste.
	(enable_delete_changed_callback): Keep track of delete command
	status in a boolean.
	(real_update_menus): Show delete command if the preference is on
	and we are not showing "Delete from Trash". Update names of the
	Cut and Copy command depending on how many files are selected.
	Also desensitize them when none are selected.
	(fm_directory_view_select_file): Initialize an uninitialized field.
	(fm_directory_view_move_copy_items): Allow relative_item_points to
	be NULL.
	(real_realize): Create our own X window.
	(real_size_allocate): Trick GtkScrolledWindow into doing the right
	thing despite the fact that we have our own X window.
	(fm_directory_view_initialize_class): Moved down to the bottom so
	we don't need so many forward declaractions. Added code to set up
	some needed atoms and new default handlers.
	
	* libnautilus-extensions/nautilus-icon-text-item.c:
	(send_focus_event), (iti_stop_editing), (iti_start_editing): Add
	code to send the appropriate focus events to the fake off-screen
	GtkEntry. This makes the clipboard code that tracks focus-related
	signals work properly with this entry.
	(iti_event): Tweak the sequence and simplify the code a bit.
	* libnautilus/nautilus-clipboard.c:
	(set_paste_sensitive_if_clipboard_contains_data): Add more
	FIXMEs. This function is very far from useful, and it's not clear
	that it can be implemented efficiently under X.
	(nautilus_clipboard_set_up_editable): Get rid of silly
	"grab_focus" hack that was an attempt to address the problems with
	the NautilusIconTextItem. The real solution was to do focusing for
	that item too.
	(nautilus_clipboard_set_up_editable_in_control): Fix this so it
	works when called on an editable that is already focused.
	* src/file-manager/fm-icon-view.c: (renaming_icon_callback): Get
	rid of "grab_focus" workaround, which wasn't working.

	* acconfig.h:
	* configure.in:
	Remove all configure checks that were checking the existence of
	files.
	* libnautilus-extensions/nautilus-medusa-support.c:
	(nautilus_medusa_check_cron_is_enabled): Simplify logic so there's
	less room for confusion (I did this as a fix for the bug that was
	reported on the mailing list, but Rebecka checked in the small
	patch first). Also change it so we don't need a configure-time
	check for the existence of the process directory and fix it so we
	won't get a core dump if the file doesn't have a space character
	in it. Also change the logic so we don't leave the directory open
	when we do find the cron process.
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(nautilus_volume_monitor_initialize_class),
	(has_removable_mntent_options),	(get_removable_volumes),
	(volume_is_removable), (volume_is_read_only),
	(mount_volume_get_cdrom_name), (mount_volume_activate_cdda),
	(mount_volume_activate_cdrom), (build_volume_list_delta),
	(get_current_mount_list), (mount_lists_are_identical),
	(verify_current_mount_state), (mount_volume_floppy_add),
	(get_cdrom_type_solaris), (mount_volume_iso9660_add),
	(display_mount_status), (close_error_pipe),
	(nautilus_volume_monitor_mount_unmount_removable),
	(mount_volume_add_filesystem): Make changes throughout to get rid
	of dependence on configure-time file checks and do things at
	runtime instead. Also use typedefs to make less code conditional.
	Also fix the Solaris CD-ROM code which was casting a GString to
	a (char *) before, so it used absurd file names, and failed to open
	and returned FALSE all the time.
	
	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_start_renaming_selected_item): Send the
	renaming signal before setting up the rest of the icon. This
	change is not really needed, but it's a better order to do things.
		
	* libnautilus/nautilus-clipboard-ui.xml: Move tips into the
	commands instead of the menu items (for style mostly, no practical
	implications at the moment).
	* src/nautilus-shell-ui.xml: Remove tips from Cut, Copy, and Paste,
	since tips from insensitive items aren't used, and if we had tips,
	we'd put them on the command, not the menu item, anyway.
	
2001-03-22  John Harper  <jsh@eazel.com>

	Fixed bug 7366 (Smooth text layout cache checks take too long):

	* libnautilus-extensions/nautilus-smooth-text-layout-cache.c
	(nautilus_self_check_smooth_text_layout_cache): only do a small
	number of iterations by default. The
	NAUTILUS_LAYOUT_CACHE_TESTS environment variable can be used to
	set a larger value. Also, don't print any progress messages

2001-03-22  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	Fixed bug 7843 (Name changes to Home icon are lost when 
	user level changes)

	* src/file-manager/fm-desktop-icon-view.c:
	(update_link_and_delete_copies): Made name parameter of NULL
	mean "don't require name to match"; added comment.
	(update_home_link_and_delete_copies): pass NULL for name
	to update_link_and_delete_copies.

2001-03-22  Eskil Olsen  <eskil@eazel.com

	reviewed by: a donkey

	* components/services/install/lib/eazel-install-logic2.c:
	(get_package_info):
	changed a g_file_test into a access.
	
	* components/services/install/lib/eazel-package-system-rpm3.c:
	(err_monitor_func),
	(eazel_package_system_rpm3_packagedata_fill_from_header),
	(monitor_subcommand_pipe), (manual_rpm_command),
	(eazel_package_system_rpm3_execute):
	Read and flush stderr from rpm, should fix some of the RH70 glibc 2.1.9x problems.
	
	* nautilus-installer/src/installer.c: (check_system),
	(eazel_install_get_depends), (find_old_tmpdir),
	(eazel_installer_initialize):
	* nautilus-installer/src/main.c:
	Fixed so it compiles again.
	
	* nautilus-installer/src/prescript:
	Warn about the glibc, but don' exit

2001-03-22  John Harper  <jsh@eazel.com>

	reviewed by: Robin * Slomkowski  <rslomkow@eazel.com>

	* configure.in: require freetype version 2.0.1, library version
	6.1.0

2001-03-22  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	* src/nautilus-shell-ui.xml: Added underline accelerators 
	to items in Preferences menu; Changed "Preferences..." to
	"Edit Preferences..." so it has a different name than menu;
	improved tips for user level items.

2001-03-22  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	Fixed bug 1853 (Want preference for always sorting folders first)

	For now, this is a global preference. Making it
	per-window later is a possibility. Arlo is working on
	a design for directory view defaults that may incorporate
	this.

	* libnautilus-extensions/nautilus-file.h:
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_compare_for_sort_reversed): Eliminated this in
	favor of a parameter to nautilus_file_compare_for_sort.
	(nautilus_file_compare_for_sort): Add a parameter for reversed,
	and another for directories_first.
	(nautilus_file_compare_for_sort_internal): Former guts of
	nautilus_file_compare_for_sort moved here.
	(nautilus_self_check_file): Update compare_for_sort self-checks.

	* libnautilus-extensions/nautilus-global-preferences.h:
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_install_descriptions),
	(global_preferences_install_defaults),
	(global_preferences_install_visibility),
	(global_preferences_create_dialog): Install an "Always list
	folders before files" preference in the Icon and List Views
	section.
	
	* src/file-manager/fm-directory-view.h:
	(sort_directories_first_changed): New function pointer for
	subclasses to override.
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_should_sort_directories_first): New function 
	for subclasses to call.
	(sort_directories_first_changed_callback): Call virtual function
	when preference changes.
	(fm_directory_view_initialize): Store initial value of preference;
	install preference callback.
	(fm_directory_view_destroy): Remove preference callback.
	
	* src/file-manager/fm-desktop-icon-view.c:
	(desktop_icons_compare_callback): Respect preference
	setting.

	* src/file-manager/fm-icon-view.c:
	(icon_container_compare_icons_callback): Update to respect
	directories_first setting.
	(icon_container_compare_icons_by_name_callback): Update for API
	change only.
	(fm_icon_view_sort_directories_first_changed): Override virtual
	function; re-sort icon container if in auto-layout mode.
	(fm_icon_view_initialize_class): Install virtual function override.
	
	* src/file-manager/fm-list-view.c: 
	(fm_list_view_initialize_class): Install virtual function override.
	(list_view_compare_files_for_sort): New function, broken out of
	fm_list_view_compare_rows, and changed to respect directories_first
	setting.
	(fm_list_view_compare_rows): Break out list_view_compare_files_for_sort.
	(compare_rows_by_name): Update for API change only.
	(real_sort_directories_first_changed): Override virtual function;
	re-sort list.
	(fm_list_view_display_pending_files): Update code that sorts
	pending items before adding them to list.
	(fm_list_view_sort_items): Add comment.

2001-03-22  Ramiro Estrugo  <ramiro@eazel.com>

	* configure.in: Make the configure report a little easier to read
	and modify.

2001-03-21  Rebecca Schulman  <rebecka@eazel.com>
	Commit patch from Gianni Tedesco <gianni@ecsc.co.uk>

	* libnautilus-extensions/nautilus-medusa-support.c:
	(nautilus_medusa_check_cron_is_enabled):
	Fix possible infinite loop in the case where
	parts of proc may not be readable.

2001-03-21  Eskil Heyn Olsen  <eskil@eazel.com>

	This implements feature for bug 6960 - queries to softcat are now
	done for a variable number of packages at a time, radically
	speeding up dependency resolution.
	
	Also did a s/DistributionInfo/TrilobiteDistributionInfo/ for the
	Less Namespace Pollution Compaign 2001.

	* components/services/install/command-line/eazel-test-softcat.c:
	(main):
	Added a --funk=<int> which uses the new get_info_plural methods.

	* components/services/install/lib/eazel-install-logic2.c:
	(prune_failed_packages_helper), (post_check), (get_package_info),
	(dedupe_foreach_depends), (check_tree_helper),
	(check_no_two_packages_has_same_file), (install_packages):
	Moved a lot of code around to use the new
	eazel_softcat_get_info_plural  feature.

	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_initialize):
	Set packages pr query to a sane value (50 pr query)

	* components/services/install/lib/eazel-package-system-types.h:
	* components/services/install/lib/eazel-package-system-types.c:
	(eazel_install_package_provides_compare),
	(eazel_install_package_feature_compare),
	(eazel_install_package_name_compare),
	(eazel_install_package_id_compare):
	Added package_id_compare and package_feature_compare.
	Removed some debug output.
	
	* components/services/install/lib/eazel-softcat-private.h:
	* components/services/install/lib/eazel-softcat.c:
	(eazel_softcat_initialize), (eazel_softcat_set_packages_pr_query),
	(get_search_url_for_package), (warn_about_packages_failing),
	(eazel_softcat_query), (eazel_softcat_get_info),
	(split_by_multiple), (eazel_softcat_get_info_plural_helper),
	(eazel_softcat_get_info_plural):
	Added a packages_pr_query field to softcat->private.
	Voodoo to do the multiple packages pr. query. Pseudokode and
	stuff in comments.

	* components/services/install/lib/eazel-softcat.h:
	* components/services/inventory/eazel-inventory-collect-software.c:
	(eazel_inventory_collect_software):
	* components/services/trilobite/libtrilobite/trilobite-core-distrib
	ution.c: (determine_turbolinux_version),
	(determine_mandrake_version), (determine_suse_version),
	(determine_debian_version), (determine_redhat_version),
	(trilobite_get_distribution), (trilobite_get_distribution_name),
	(trilobite_get_distribution_arch),
	(trilobite_distribution_compare):
	* components/services/trilobite/libtrilobite/trilobite-core-distrib
	ution.h:
	* components/services/install/lib/eazel-package-system.c:
	(eazel_package_system_suggest_id):
	* components/services/install/lib/eazel-install-corba-types.c:
	(corba_packagedatastruct_fill_from_packagedata):
	s/DistributionInfo/TrilobiteDistributionInfo/	

2001-03-21  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	Fixed bug 7506 (Font preference has silly, overly-specific
	label)

	Fixed bug 4049 ("Other Application" is bad terminology when
	there are no applications listed)
	
	Fixed bug 6193 (Users confused by lack of title on "ski" menu)

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_install_descriptions): Changed wording
	for font choices.	

	* src/file-manager/fm-directory-view.c:
	(reset_bonobo_open_with_menu): Changed "Other Application..."
	to "An Application..." if there aren't any listed.
	
	* src/nautilus-shell-ui.xml: Add "Preferences" title to Preferences
	menu.


	Other changes

	* src/file-manager/fm-directory-view.h: Moved some #defines
	only used in fm-directory-view.c into that file.
	
	* src/nautilus-first-time-druid.c: (set_up_cron_information_page):
	Removed obsolete comment.	

2001-03-20  Maciej Stachowiak  <mjs@eazel.com>

	reviewed by: Ian McKellar  <ian@eazel.com>

	* Makefile.am, configure.in, nautilus-config.in, nautilus.spec.in,
	nautilusConf.sh.in, .cvsignore: Add nautilus-config and
	nautilusConf.sh so other modules can sensibly depend on
	libnautilus (this fix should make it into 1.0.2, I guess I should
	file a bug at some point).

2001-03-20  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: Pavel Cisler  <pavel@eazel.com>

	Fix a bunch of font bugs that dropped of the 1.0 plate.
	
	7371 - Fonts in font pickers are in no particular order 
	7387 - Font selection defaults to bold for some fonts 
	7421 - Font option menu in "Appearances" too long for screen
	7473 - Switching off "smooth graphics" leaves font family grouping
	7486 - Font style menu disabled when it shouldn't be
	7487 - Would be nice if font styles were submenus 
	7718 - 'cursor' font doesn't display 
	
	* libnautilus-extensions/nautilus-art-gtk-extensions.h:
	* libnautilus-extensions/nautilus-art-gtk-extensions.c:
	(nautilus_screen_get_dimensions): Fix a really silly typo.
	(nautilus_gtk_widget_get_dimensions): Make the documentation a
	little better.
	(nautilus_gtk_widget_get_preferred_dimensions): New function to
	get a widget's preferred dimensions.

	* libnautilus-extensions/nautilus-font-manager.c:
	(font_description_new): Use consistent variable names.  Set a
	'is_ignored' flag if the font is ignored.
	(font_description_free): Use consistent variable names.
	(font_description_table_find): Ignore black listed fonts.
	(font_description_table_for_each): Ignore black listed fonts.
	(font_directory_is_ignored): Put constants on top of file.
	(font_foundry_is_ignored), (font_family_is_ignored): New functions
	to check for specific black listed font foundries and/or families.
	(ensure_local_font_table): Rename to 'local' from 'global' - this
	is something i need for a future change where the font manager
	will be able to handle both 'local' and 'server' fonts.
	Move the font ignoring code from nautilus-font-picker.c here so
	that it is in one place.

	* libnautilus-extensions/nautilus-font-picker.h:
	Subclass it from GtkHBox instead of GtkVBox now that it is not as
	wide.
	* libnautilus-extensions/nautilus-font-picker.c:
	(option_menu_button_press_event), (menu_deactivate),
	(nautilus_font_picker_initialize), (nautilus_font_picker_destroy),
	(style_menu_item_activate_callback),
	(style_menu_item_button_release_event), (font_picker_add_item),
	(font_picker_populate), (font_make_name), (font_make_style_name),
	(font_slant_string_to_enum), (font_set_width_string_to_enum),
	(font_style_entry_new), (font_style_entry_free),
	(compare_font_entry), (global_font_list_get), (compare_int),
	(compare_style), (global_font_list_populate_callback),
	(nautilus_gtk_menu_shell_get_num_items),
	(font_picker_get_selected_style_entry),
	(font_picker_find_entries_for_font),
	(font_picker_get_index_for_entry), (nautilus_font_picker_new),
	(nautilus_font_picker_get_selected_font),
	(nautilus_font_picker_set_selected_font):
	Move the black listed font code into the font manager.  Use option
	menus directly instead of NautilusStringPickers.  Put the style
	choices in cascading submenus.  Deal with the case when too many
	choices dont fit on the screen.

	* test/test-nautilus-font-manager.c:
	* test/test-nautilus-font-picker.c:
	Update for font picker changes.
	
2001-03-20  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/Makefile.am:
	Readded the rpmview
	
	* components/rpmview/Makefile.am:
	Added XML_LDFLAGS/CFLAGS
	
	
	* components/services/install/lib/eazel-install-logic2.c:
	(dump_tree), (prune_failed_packages_helper),
	(prune_failed_packages), (add_to_dedupe_hash),
	(post_get_softcat_info), (get_softcat_info),
	(get_package_info_foreach), (get_package_info),
	(dedupe_foreach_depends), (dedupe_foreach), (dedupe),
	(is_satisfied_from_package_list), (check_dependencies_foreach),
	(check_dependencies), (do_dep_check_internal),
	(check_if_related_package),
	(check_update_for_no_more_file_conflicts),
	(check_for_no_more_missing_features), (check_tree_helper),
	(clean_up_dedupe_hash), (get_packages_with_mod_flag):
	Made a lot of changes so the packageslists carried around can
	contain both PackageData and PackageDependencies mixed up. This
	makes the softcat queries have the version/sense flags that the
	packages require.

	* components/services/install/lib/eazel-install-problem.c:
	(get_detailed_messages_foreach):
	Ported some changes from the 1.0 branch
	
	* components/services/install/lib/eazel-package-system-types.h:
	* components/services/install/lib/eazel-package-system-types.c:
	(packagedependency_finalize), (packagedependency_class_initialize),
	(packagedependency_initialize), (packagedependency_get_type),
	(packagedependency_new), (packagedependency_copy),
	(packagedata_finalize), (packagedata_fill_in_missing),
	(flatten_packagedata_dependency_tree):
	Turned PackageDependency into a proper gtk+ object

	* components/services/install/lib/eazel-install-xml-package-list.c:
	(parse_package):
	* components/services/install/lib/eazel-package-system-rpm3.c:
	(eazel_package_system_rpm3_packagedata_fill_from_header):
	* components/services/install/lib/eazel-softcat.c:
	(eazel_softcat_query), (eazel_softcat_get_info):
	(also imported the xml spam from 1.0)
	* components/services/install/lib/eazel-install-corba-types.c:
	(packagedata_tree_from_corba_packagedatastructlist):
	Changes to use PackageDependency as a gtk+ object

2001-03-20  John Sullivan  <sullivan@eazel.com>

	Fixed bug 4355: Built-in bookmarks icons change after first view

	Also reduced the number of times that refresh_bookmarks_menu
	is called since it was showing up in some profiling.

	* libnautilus-extensions/nautilus-bookmark.h:
	* libnautilus-extensions/nautilus-bookmark.c:
	(nautilus_bookmark_initialize_class), (nautilus_bookmark_set_name),
	(bookmark_file_changed_callback): Split the "changed" signal into
	"appearance_changed" and "content_changed". "appearance_changed" is
	emitted only if the name or icon change. "content_changed" is emitted
	if the URI changes.

	* src/nautilus-bookmark-list.c: (insert_bookmark_internal):
	Connect to both appearance_changed and content_changed.
	
	* src/nautilus-window-menus.c: (bookmark_holder_new):
	Refresh menu only on appearance_changed, not content_changed.

	* data/static_bookmarks.xml: Added "i-web" as icon name for
	all the built-in bookmarks, since this is the icon they will
	end up with after being visited. (Now, visiting a built-in
	bookmark will not cause a refresh of the bookmarks menu.)
	
2001-03-20  John Sullivan  <sullivan@eazel.com>

	* src/file-manager/fm-directory-view.c: (run_script_callback):
	shell-quote the script name. Fixes bug Robin found where scripts
	with spaces in their names didn't work.

2001-03-20  John Sullivan  <sullivan@eazel.com>

	reviewed by: Pavel Cisler  <pavel@eazel.com>

	Finished bug 4875 (design for running arbitrary scripts on
	selected items)

	There are lots of ways this could be improved, but I've
	finished the first pass at this feature. We'll need to get
	feedback before deciding how to improve it later. Please
	play with it -- hopefully it is self-explanatory. Start by
	selecting Scripts > Open Scripts Folder.

	* libnautilus-extensions/nautilus-file.h:
	* libnautilus-extensions/nautilus-file.c: 
	(compare_by_name_cover): Simple cover for compare_by_name
	that casts parameters.
	(nautilus_file_list_sort_by_name): New public function.

	* src/file-manager/nautilus-directory-view-ui.xml: Added name to
	separators before "Open Scripts Folder" so they can be referred
	to in code (shown/hidden)

	* src/file-manager/fm-directory-view.c: 
	(get_scripts_directory): Create Scripts directory if it doesn't 
	exist; mark name of scripts directory for localization.
	(add_numbered_menu_item): Add pixbuf parameter.
	(add_application_to_bonobo_menu),
	(add_component_to_bonobo_menu): pass NULL for pixbuf
	(get_file_names_as_parameter_string): Changed name from
	get_selected_file_names..., now takes file list as parameter.
	(get_file_paths_or_uris_as_newline_delimited_string): New function.
	(get_file_paths_as_newline_delimited_string),
	(get_file_uris_as_newline_delimited_string): New functions, simple
	covers for get_file_paths_or_uris...
	(set_script_environment_variables): New function, sets some environment
	variables up so scripts can use them.
	(unset_script_environment_variables): New function, unsets those same
	environment variables.
	(run_script_callback): set/unset environment variables around calling
	script.
	(add_script_to_menus): add pixbufs for files
	(reset_scripts_menu): sort scripts by name; hide separator after scripts
	if there are no scripts
	(notify_user_if_no_scripts_callback): Explain script behavior and
	special environment variables in Details part of dialog.
	(call_when_ready_on_scripts_directory): include attributes required to
	get icon for file.
	(open_scripts_folder_callback): Change error message for unexpected
	case where scripts folder is nonexistent.

2001-03-20  Robin * Slomkowski  <rslomkow@eazel.com>

	* configure.in: upped version 1.0.0 

2001-03-19  John Sullivan  <sullivan@eazel.com>
	
	More work on bug 4875 (design for running arbitrary
	scripts on selected items). 

	Mostly done with this first pass. I still need to 
	set a few environment variables for the scripts' sake, 
	and I still need to add	code to create the scripts folder 
	if it's missing. (To test at this point, create your own 
	directory named "scripts" in ~/Nautilus.)

	* src/file-manager/nautilus-directory-view-ui.xml: Renamed
	Run Script submenu to Scripts; added Open Scripts Folder to
	Scripts submenu.

	* src/file-manager/fm-directory-view.c:
	(get_scripts_directory): returns NULL if directory doesn't exist.
	(scripts_added_or_changed_callback): New function, marks
	scripts menu invalid and schedules menu update.
	(connect_script_handlers): new function, monitor scripts
	directory and connect to files_added and files_changed signals
	so we can notice when scripts have changed.
	(fm_directory_view_initialize): Call connect_script_handlers.
	(get_selected_file_names_as_parameter_string): New function,
	returns string of selected file names, each shell-quoted.
	(run_script_callback): Pass selected file names if directory
	is local (else pass nothing); add FIXMEs
	(reset_scripts_menu): Don't change sensitivity based on script
	non-zero count since there's always the Open Scripts Folder item.
	(any_valid_scripts): New helper routine to see if scripts folder
	contains any executables.
	(notify_user_if_no_scripts_callback): New function, puts up
	informative message if there are no executables in scripts folder.
	(call_when_ready_on_scripts_directory): New helper function,
	slightly generalized from schedule_reset_scripts_menu.
	(schedule_reset_scripts_menu): Now calls new helper function.
	(open_scripts_folder_callback): New function, displays the contents
	of the scripts folder and also presents informative message if
	it contains no executables.
	(real_merge_menus): Add open_scripts_folder_callback for verb; mark
	scripts submenu invalid rather than updating it here.
	(real_update_menus): reset scripts menu if it's marked invalid.
	(disconnect_scripts_directory_handler): New helper function to
	disconnect a signal handler on the scripts directory.
	(disconnect_script_handlers): disconnect all the stuff we connected.
	
2001-03-19  Pavel Cisler  <pavel@eazel.com>

	reviewed by: Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-glyph.c:
	(nautilus_glyph_draw_to_pixbuf):
	Speed up drag-selection a whole bunch by making this call
	4 x faster in the anti-aliased mode.

2001-03-19  Robin * Slomkowski  <rslomkow@eazel.com>

	* components/music/Makefile.am: added non-i386 files
	  to EXTRA_DISTS

2001-03-19  John Sullivan  <sullivan@eazel.com>

	Fixed bug 7817 (Launching mp3 files with mpg123 fails)

	* libnautilus-extensions/nautilus-program-choosing.c:
	(nautilus_launch_application): Code was comparing the
	uri-scheme to "file:" instead of "file".

2001-03-16  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/Makefile.am:
	One final tweak to get the cdparanoia checks right.
		
2001-03-16  Gene Z. Ragan  <gzr@eazel.com>

	* configure.in:	
	* libnautilus-extensions/Makefile.am:
	Add checks for cdparanoia to allow enabling of
	cd audio mounting on the desktop.
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	* libnautilus-extensions/nautilus-volume-monitor.h:
	Clean up build conditional audio CD handling and
	centralize the allocation of NautilusVolume structures.

2001-03-16  Darin Adler  <darin@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Fix bug 610, a small per-window storage leak.

	* src/nautilus-window.c: (unref_mini_icon): Free icon at quit
	time for leak checking purposes.
	(nautilus_window_initialize_class): Create the mini-icon here.
	(nautilus_window_realize): Use it here, instead of re-making
	it each time.

2001-03-16  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	First batch of work for bug 4875 (design for running arbitrary
	scripts on selected items). Only works locally, doesn't notice
	changes to scripts directory, doesn't pass selected items as
	parameters, many other details unfinished.

	* src/file-manager/nautilus-directory-view-ui.xml: Add "Run Script"
	submenus to File and context menus; add missing tip I happened to
	notice to Open With submenu.

	* src/file-manager/fm-directory-view.c:
	(script_launch_parameters_new), (script_launch_parameters_free):
	New helper functions to manage lifetime of parameters for script
	menu items.
	(get_scripts_directory): New function, returns NautilusDirectory
	object (or NULL) representing scripts directory.
	(fm_directory_view_initialize): Remember scripts directory in
	details struct.
	(fm_directory_view_destroy): clean up scripts directory stuff.
	(add_numbered_menu_item): renamed from add_open_with_program_menu_item
	with no other changes, since it was already exactly general enough
	for my new use.
	(add_application_to_bonobo_menu), (add_component_to_bonobo_menu):
	Update for name change.
	(change_to_view_directory): New function to change working
	directory to the one displayed.
	(run_script_callback): New function to actually execute the script;
	temporarily changes the working directory.
	(add_script_to_menus): New function, adds one script to the two
	Run Script menus.
	(reset_scripts_menu): New function, fills in the two Run Script
	menus from scratch.
	(reset_scripts_menu_callback): New call_when_ready callback, calls
	reset_scripts_menu.
	(disconnect_script_handlers): New function, cleans up pending callbacks.
	(schedule_reset_scripts_menu): New function, sets up a callback when
	the files in the scripts directory are sufficiently known.
	(real_merge_menus): Call schedule_reset_scripts_menu.
	

	Fixed bug 7232 (vague error message and console spam when
	refreshing a directory deleted outside of Nautilus)

	* src/file-manager/fm-error-reporting.c:
	(fm_report_error_loading_directory): Handle the NOT_FOUND
	case explicitly.

2001-03-16  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fix bug 7778 (Trash directory state not saved properly).

	* libnautilus-extensions/nautilus-trash-file.c:
	(is_delegated_attribute): Function that returns TRUE if it's passed
	one of the attributes that needs to be delegated to the individual
	directories that make up the trash.
	(is_delegated_attribute_predicate): Cover to use partition call on.
	(partition_attributes): Helper that partitions a list into a list
	of the delegated and non-delegated attributes.
	(real_monitor_add), (real_monitor_remove),
	(real_call_when_ready), (real_cancel_call_when_ready),
	(real_check_if_ready): Calls to be used for the trash itself for
	the non-delegated attributes.
	(trash_callback_destroy): Destroy both attribute lists.
	(monitor_add_file): Only monitor delegated attributes here.
	(trash_file_call_when_ready): Wait for the delegated attributes
	on the other files, the non-delegated attributes on this file.
	(trash_file_cancel_call_when_ready): Cancel the wait for both
	the main file and the other files.
	(trash_file_check_if_ready): Check for the delegated attributes
	on the other files, the non-delegated attributes on this file.
	(trash_file_monitor_add): Monitor the delegated attributes
	on the other files, the non-delegated attributes on this file.
	(trash_file_monitor_remove): Remove the monitor from both the
	main file and the other files.
	
	* libnautilus-extensions/nautilus-vfs-file.c: Formatting tweaks.

2001-03-16  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fix bug 6495 (Emacs-style keybindings not working in location bar
	and other NautilusEntry fields) by adding an expert preference to
	control whether the Emacs shortcuts or the ones in the menu bar
	take precedence. I started with Maciej's patch and did many
	refinements.

	Fix bug 1788 ("Select All" needs to be implemented for text): I
	had to add Select All so it won't do the icon view's Select All
	when you do a select all with the location bar focused.

	Fix bug 5612 (clicking to deselect causes incorrect menu
	sensitivity) by adding another signal handler for button clicks.

	Fix bug 7581 (When trying to restart Nautilus after crash from bug
	7579 I get a Segmentation Fault). I was just lucky enough to run
	into the problem on my machine.

	* libnautilus-extensions/nautilus-global-preferences.h:
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_install_descriptions),
	(global_preferences_install_defaults),
	(global_preferences_install_visibility),
	(global_preferences_create_dialog): Added the new Emacs-shortcut
	preference with the wording requested in the bug report.
	
	* libnautilus-extensions/nautilus-entry.h:
	* libnautilus-extensions/nautilus-entry.c:
	(emacs_shortcuts_preference_changed_callback): Track the
	preference.
	(nautilus_entry_initialize): Set up the callback to track the
	preference.
	(nautilus_entry_destroy): Tear down the callback to track the
	preference.
	(nautilus_entry_key_press): Allow the emacs shortcuts built into
	GtkEntry to work if the preference is set that way. Also, only
	emit the selection_changed signal if the key is actually handled.
	(nautilus_entry_motion_notify): Simplify the logic, since it's
	OK to send the selection_changed signal a little too often.
	(select_all_at_idle): Handle the case where the object is
	destroyed.
	(nautilus_entry_select_all_at_idle): Ref the object to handle the
	case where the object is destroyed before the idle happens.
	(nautilus_entry_button_press): Send a selection_changed message,
	since pressing the button can cause a selection change.
	(nautilus_entry_button_release): Send a selection_changed message,
	since pressing the button can cause a selection change.
	(nautilus_entry_initialize_class): Add new default handlers. Also,
	move to bottom of file so we don't need so many forward
	declarations.

	* libnautilus/nautilus-clipboard-ui.xml: Add a Select All Text
	command.
	* libnautilus/nautilus-clipboard.c: (select_all): New function to
	select all the text in a GtkEditable. Sadly it needs a special
	case for GtkText.
	(select_all_idle_callback): Callback used to select the text from
	idle.
	(select_all_callback): Callback that sets up the idle. Called from
	the bonobo verb.
	(initialize_clipboard_component_with_callback_data): Add the
	callback for Select All.
	
	* librsvg/rsvg.c: (rsvg_state_init): Initialize more fields,
	including font_size.
	(rsvg_text_handler_characters): Don't try to draw if the font
	size is 0 or negative.
	* librsvg/art_render_mask.c: (art_render_mask_render): Handle
	cases where x1 < x0. The old code would seg. fault. This was the
	reason we got a crash in bug 7581.
	
	* configure.in: Upped the required version of gnome-vfs.

2001-03-16  Robey Pointer  <robey@eazel.com>

	* nautilus-installer/src/main.c: (main):

	Fixed the old "--help" bug in the installer, finally.

2001-03-15  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fix bug 7763 (Makefile.am used to install xml data is wrong):
	
	* data/Makefile.am: Integrate build fix from fcrozat. Don't use
	the magic "info" name since it is used for special purposes on
	Mandrake and other systems.

	Other strings:
	
	* THANKS: Added some people who made recent contributions.
	* check-THANKS.pl: Add some more alternate names.

	* components/help/hyperbola-filefmt.c: (locale_score): Fix legal
	code that doesn't compile with some versions of gcc by adding a
	cast.
	
	* help/nautilus-user-manual/es/.cvsignore: Add
	nautilus-user-manual.junk.
	
	* libnautilus-extensions/nautilus-directory-async.c:
	(metafile_read_check_for_directory_callback),
	(metafile_read_done_callback),
	(metafile_write_failure_close_callback),
	(metafile_write_success_close_callback),
	(metafile_write_create_callback), (directory_load_callback),
	(directory_count_callback), (new_files_callback), (has_problem),
	(deep_count_callback), (mime_list_callback),
	(top_left_read_callback), (get_info_callback),
	(activation_uri_nautilus_link_read_callback),
	(activation_uri_gmc_link_read_callback),
	(cancel_activation_uri_for_file): Add ref/unref pairs that we need
	in callbacks that use NautilusDirectory objects but that also send
	out signals which might end up unref'ing them.
	
	* libnautilus-extensions/nautilus-file-operations.c:
	(nautilus_self_check_file_operations): Add tests to demonstrate
	bug 7701.
	
	* libnautilus-extensions/nautilus-smooth-text-layout-cache.c:
	(nautilus_self_check_smooth_text_layout_cache): Fix some destroys
	that should have been unrefs.
	
	* libnautilus-extensions/nautilus-string.c:
	(nautilus_self_check_string): Added tests for
	nautilus_str_get_after_prefix.

2001-03-14  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-icon-dnd.c:
	(drag_data_received_callback):
	Handle a case where Netscape submits duplicate drag data
	before the first instance of the data has been freed.
		
2001-03-14  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(icon_set_position):
	Fixed a minor annoying layout bug on the desktop. When icons were placed
	near the bottom of the desktop, they would sometimes jump
	partially offscreen.
	
2001-03-14  John Sullivan  <sullivan@eazel.com>

	Fixed bug 7696 ("Find" does nothing if location bar hidden)

	* src/nautilus-window-menus.c:
	(file_menu_toggle_find_mode_callback): Show location bar
	if it had been hidden. This is used by both Find/Browse menu
	item and Find button.

2001-03-14  John Sullivan  <sullivan@eazel.com>

	Fixed bug 7597 (Cut Text's underline accelerator changes
	to conflict with Copy Text's when a text field is focussed)

	* libnautilus/nautilus-clipboard-ui.xml: Changed _Cut Text
	to Cut _Text here, to match what it is when no text field
	is focussed.

2001-03-14  Ramiro Estrugo  <ramiro@eazel.com>

	* helper-scripts/nautilus-restore-settings-to-default.sh:
	Dont clobber any fonts that the user might have installed in
	~/.nautilus.  This is a bit of hack, but its very inconvenient to
	have these fonts be trashed when testing Nautilus in a "from
	scratch" environment.
	
	* nautilus.spec.in:
	Add the "restore settings to default" script to the package.
	
2001-03-13  Gene Z. Ragan  <gzr@eazel.com>

	I have been itching to check some code in for 1.2,
	so now I am doing it!
	
	This will enable drag support from Netscape to Nautilus.
	Only the desktop handles the drags for now. When I complete
	the async calls in NautilusFile, it will be safe to have the signal
	handled by other views such as FMDirectoryView.
	
	* libnautilus-extensions/nautilus-icon-container.c:
	* libnautilus-extensions/nautilus-icon-container.h:
	(nautilus_icon_container_initialize_class):
	Change name of signal create_nautilus_links
	to handle_uri_list.
		
	* libnautilus-extensions/nautilus-icon-dnd.c:
	(drag_data_received_callback), (receive_dropped_uri_list),
	(nautilus_icon_container_get_drop_action):
	Add more general logic to handle a drop of a list of URIs.
	Don't expect them to only contain only the paths to
	gmc desktop entries.
		
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize):
	Connect to changed signal name handle_uri_list.
	
	(icon_view_handle_uri_list):
	Use more generalized logic to handle a drop of a URI list.
	Determine what the list element contains and either convert from
	a DesktopEntry or create a link that contains a URI.

2001-03-13  Jason Leach  <jasonleach@usa.net>

	reviewed by: Darin Adler <darin@eazel.com>
	
	* libnautilus-extensions/nautilus-metafile-factory.h: builddir !=
	srcdir fix.

2001-03-12  Robey Pointer  <robey@eazel.com>

	reviewed by: Robin * Slomkowski  <rslomkow@eazel.com>

	* nautilus-installer/src/prescript:

	Tell RH70 users who don't have glibc 2.2 that they need to
	upgrade, and tell them a hacky way to do it.

2001-03-12  Robey Pointer  <robey@eazel.com>

	reviewed by: Eskil Heyn Olsen <eskil@eazel.com>

	* nautilus-installer/src/Makefile.am:
	* nautilus-installer/src/installer.c: (add_bullet_point_to_vbox),
	(is_toplevel_package), (report_unusual_errors), (install_failed):
	* nautilus-installer/src/main.c:

	Turn off the SEGV handlers, make --debug no longer the default,
	and point the installer at the production servers again.  Add a
	special-case error message to be displayed when Nautilus is
	already installed.

2001-03-12  Robin * Slomkowski  <rslomkow@eazel.com>

	* components/help/topleveldocs.xml: updated with 
	  changes from http://bugzilla/show_bug.cgi?id=7663

2001-03-12  Eric Fischer  <eric@eazel.com>

	Merge from 1.0 branch:

	reviewed by: Robin * Slomkowski <rslomkow@eazel.com>

	* configure.in:
	Change ammonite version checking to use the same logic as
	other version number checks, to fix the broken tinderbox

	* nautilus.spec.in:
	Inherit the required ammonite version number from configure.in

2001-03-12  John Sullivan  <sullivan@eazel.com>

	reviewed by: Ramiro Estrugo  <ramiro@eazel.com>

	Fixed bug 7666 (default user level should be Intermediate)

	* libnautilus-extensions/nautilus-preferences.c:
	(nautilus_preferences_get_user_level): Reworked function a
	little to support explicit default; made Intermediate the
	default.

2001-03-10  Robey Pointer  <robey@eazel.com>

	reviewed by: Eskil Heyn Olsen <eskil@eazel.com>

	* components/services/install/lib/eazel-install-logic2.c:
	(add_to_dedupe_hash), (post_get_softcat_info),
	(dedupe_foreach_depends), (check_if_related_package),
	(check_tree_helper), (clean_up_dedupe_hash):
	* components/services/install/lib/eazel-install-problem.c:
	(get_detailed_messages_foreach):

	Backport Eskil's dedupe changes to head, so we can build the
	installer here.  This fixes the "softcat is updating" bug (which
	turned out to have nothing to do with softcat).

2001-03-10  Robey Pointer  <robey@eazel.com>

	reviewed by: Eskil Heyn Olsen <eskil@eazel.com>
	(implicitly)

	Backport a few patches that appear to have only made it to the 1.0
	branch, so we can start building the installer on CVS head.

	* components/services/install/lib/eazel-install-logic2.c:
	(prune_failed_packages_helper):	

	That cancelled vs. already-installed bug, plus the "not deduping
	myself" patch.
	
	* components/services/install-view/callbacks.c:
	(nautilus_service_install_done):

	Remove the spurious "panic" warning.

2001-03-09  Maciej Stachowiak  <mjs@eazel.com>

	reviewed by: John Harper  <jsh@eazel.com>
	             Eskil Heyn Olsen  <eskil@eazel.com>
		     Robey Pointer  <robey@eazel.com>
	
	Fixed bugs 7411 (installer crashes, but successfully installs),
	7510 (tinderbox installer crashes 3 lines into gnome init) and
	7123 (Installer uses a question mark on black background in
	dialogs). These were all caused by the fact that Imlib is
	completely unusable linked statically. So to fix them I removed
	all dependency on imlib and gnome-libs from the bootstrap
	installer (since so many parts of gnome-libs, including
	gnome_init, make imlib calls).

	* components/services/install/lib/eazel-install-logic2.c:
	(get_softcat_info),
	(check_conflicts_against_already_installed_packages):
	* components/services/install/lib/eazel-install-metadata.c:
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_is_dir), (eazel_install_save_transaction_report):
	* components/services/install/lib/eazel-install-problem.c:
	* components/services/install/lib/eazel-install-protocols.c:
	(eazel_install_fetch_file):
	* components/services/install/lib/eazel-install-tests.c:
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(generate_xml_package_list):
	* components/services/install/lib/eazel-package-system-rpm3.c:
	* components/services/install/lib/eazel-package-system-rpm4.c:
	* components/services/install/lib/eazel-package-system-types.c:
	* components/services/install/lib/eazel-package-system-types.h:
	* components/services/install/lib/eazel-package-system.c:
	* components/services/install/lib/eazel-softcat.c:
	* components/services/trilobite/libtrilobite/Makefile.am:
	* components/services/trilobite/libtrilobite/trilobite-core-distribution.c: 
	(trilobite_get_distribution):
	* components/services/trilobite/libtrilobite/trilobite-core-distribution.h:
	* components/services/trilobite/libtrilobite/trilobite-core-network-slim.c:
	* components/services/trilobite/libtrilobite/trilobite-core-network.h:
	* components/services/trilobite/libtrilobite/trilobite-core-utils.c:
	* components/services/trilobite/libtrilobite/trilobite-i18n.h:
	* nautilus-installer/install-lib/Makefile.am:
	* nautilus-installer/libtrilobite/Makefile.am:
	Avoid depending on libgnome or libgnomeui in libeazelinstall or
	libtrilobite when building in static minimal mode.

	* nautilus-installer/src/Makefile.am: Don't link against gnome
	libraries or imlib.

	* nautilus-installer/src/callbacks.c,
	nautilus-installer/src/callbacks.h,
	nautilus-installer/src/installer.c,
	nautilus-installer/src/installer.h, nautilus-installer/src/main.c
	nautilus-installer/src/gtk-hackery.c: Minor tweaks to avoid GNOME
	and Imlib dependencies.

	* nautilus-installer/src/fake-stock.h,
	nautilus-installer/src/fake-stock.c:
	(fake_stock_pixmap_new_from_xpm_data, fake_stock_pixmap_button,
	fake_stock_or_ordinary_button): Some hacky code to allow replacing
	the real stock code.

	* nautilus-installer/src/gnome-dialog-util.c,
	nautilus-installer/src/gnome-dialog-util.h,
	nautilus-installer/src/gnome-dialog.c,
	nautilus-installer/src/gnome-dialog.h,
	nautilus-installer/src/gnome-druid-page.c,
	nautilus-installer/src/gnome-druid-page.h,
	nautilus-installer/src/gnome-druid.c,
	nautilus-installer/src/gnome-druid.h,
	nautilus-installer/src/gnome-messagebox.c,
	nautilus-installer/src/gnome-messagebox.h,
	nautilus-installer/src/gnome-types.h: Replace reliance on
	gnome-stock (and therefore imlib) with fake-stock calls.

	* nautilus-installer/src/nautilus-druid-page-eazel.h,
	nautilus-installer/src/nautilus-druid-page-eazel.c: Pruned and
	massively hacked to avoid depending on the canvas, etc.

	* nautilus-installer/src/package-tree.c, 
	nautilus-installer/src/nautilus-druid.c,
	nautilus-installer/src/nautilus-druid.h: Avoid GNOME and imlib
	dependencies.

2001-03-10  Mike Fleming  <mfleming@eazel.com>

	reviewed by: <rslomkow@eazel.com>

	Bug 6826: 

	Added --with-build-message to ./configure.  A build message will
	display in the about box if no EAZEL_TIMESTAMP (used by hourly builds)
	has been set.

	The default build message for CVS builds "Development Version"

	* acconfig.h:
	* configure.in:
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_get_build_message):
	* libnautilus-extensions/nautilus-file-utilities.h:
	* src/nautilus-window-menus.c: (help_menu_about_nautilus_callback):

2001-03-09  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>
                     Pavel Cisler <pavel@eazel.com>

	Fix bug 7609 (closing Show Properties window when new name
	conflicts leads to crash):

	* libnautilus-extensions/nautilus-stock-dialogs.c:
	(nautilus_run_simple_dialog), (create_message_box): Don't use
	an already-destroyed window as a parent.

2001-03-09  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fix bug 7587 (Copying text in Notes with menu item kills Notes
	[also Text viewer, etc]):

	* libnautilus/nautilus-clipboard.c: (do_with_fake_current_event):
	Function to set up a non-NULL event so the code in GtkEditable
	won't die.
	(cut_callback), (copy_callback), (paste_callback): Use the new
	function.

2001-03-09  John Sullivan  <sullivan@eazel.com>

	reviewed by: Rebecca Schulman  <rebecka@eazel.com>
	reviewed by: Darin Adler  <darin@eazel.com>

	Fixed bug 7615 (searching for "    " crashes)

	* src/nautilus-simple-search-bar.c:
	(nautilus_simple_search_criteria_to_search_uri):
	Change code that counts characters in search URI
	to use the same math as the code that appends
	to string.

2001-03-09  Dan Mueth  <dan@eazel.com>

	Updates to translated docs:

	Christian Rose <menthos@menthos.com>:	
	* help/nautilus-quick-reference/sv/index.html:

	Pablo del Campo <pablodc@mapfre.com.ar>:
	* help/nautilus-user-manual/es/nautilus-user-manual.sgml:

2001-03-09  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: John Harper  <jsh@eazel.com>

	Fix bug 7547 - Multi byte locales should default to non smooth
	graphics mode
	
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_install_defaults):
	Make multi byte locales default to non smooth mode, so that it
	works for more Japanese user most of the time.  Japanese users can
	still select smooth mode if they have the right scalable font in
	their system.

2001-03-09  Dan Mueth  <dan@eazel.com>

	reviewed by: Don Melton <don@eazel.com>

	Putting in Vera's updated Release Notes.
	Bug #: 7559, 7588

	* help/nautilus-release-notes/C/nautilus-release-notes.sgml:

	Putting in Vera's updated User Manual. (See TRACKED_CHANGES
	for details on what has changed.)
	Bug #: 7559, 7589

	* help/nautilus-user-manual/C/nautilus-user-manual.sgml:
	* help/nautilus-user-manual/C/TRACKED_CHANGES:

2001-03-08  John Sullivan  <sullivan@eazel.com>

	fix by: Andy Hertzfeld <andy@eazel.com>
	reviewed by: Darin Adler <darin@eazel.com>

	Fixed bug 7580 (Throbber flashing constantly when animating)

	* components/throbber/nautilus-throbber.c: (draw_throbber_image):
	Only clear the gdk window once per cycle, instead of for every frame.

2001-03-08  Robey Pointer  <robey@eazel.com>

	reviewed by: Eskil Heyn Olsen <eskil@eazel.com>

	* nautilus-installer/src/installer.c: (start_logging):

	Revert earlier logfile breakage by changing the perms check to
	match the perms mjs is using later on.

2001-03-08  John Harper  <jsh@eazel.com>

	reviewed by: Seth Nickell  <seth@eazel.com>

	Fixed bug 7557 (Nautilus does not automatically start on GNOME
	startup after installation):

	* src/nautilus-first-time-druid.c (set_up_gmc_transition_page):
	don't display the `add nautilus to session' option
	
2001-03-08  John Harper  <jsh@eazel.com>

	reviewed by: Robin * Slomkowski <rslomkow@eazel.com>

	Fixed bug 7550 (SOLARIS: text drawn incorrectly in anti-aliased
	mode): 

	* configure.in: added `AC_C_BIGENDIAN' check - this means that
	the WORDS_BIGENDIAN macro gets defined on big-endian systems.
	This is required by at least the librsvg/arg_rgba.c file

2001-03-08  Eric Fischer  <eric@eazel.com>

	reviewed by: Don Melton <don@eazel.com>

	* src/run-nautilus:
	Change ps options to something that should work on any POSIX system,
	and add workaround for 4.4BSD systems' incompatible ps.

2001-03-08  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed and checked in by: Darin Adler <darin@eazel.com>

	Fix bug 7549 - Should block bookman and symbols fonts in older
	RedHat systems
	
	* libnautilus-extensions/nautilus-font-picker.c:
	Add 2 more fonts to the black list.  There were already in the
	list, but older RedHat systems name these fonts differently.

2001-03-08  John Harper  <jsh@eazel.com>

	reviewed by: Pavel Cisler  <pavel@eazel.com>

	Tried to fix bug 7018 (Irreproducible segfaults in
	nautilus_tree_node_get_file): 

	* components/tree/nautilus-tree-view.c: add a reference to each
	NautilusTreeNode while in the unparented_tree_nodes lists
	(nautilus_tree_view_should_skip_file): skip the file if
	nautilus_file_is_gone () returns true

2001-03-08  Pavel Cisler  <pavel@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	Fixed 7500 (Dragging WebDAV file to Trash has no effect.)
	
	* libnautilus-extensions/nautilus-file-operations.c:
	* libnautilus-extensions/nautilus-file-operations.h:
	(nautilus_file_operations_move_to_trash):
	Got rid of the call.	

	* src/file-manager/fm-directory-view.c: (trash_callback),
	(fm_directory_view_can_move_uri_to_trash),
	(trash_or_delete_files_common),
	(fm_directory_view_trash_or_delete_files),
	(report_broken_symbolic_link),
	Got rid of callers to the eliminated nautilus_file_operations_move_to_trash,
	Rework the trash and move calls to all operate on uri strings rather than
	NautilusFile objects.
	
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_move_copy_items):
	Detect a move to Trash, handle it with trash_or_delete_files_common.
	
	* libnautilus-extensions/nautilus-file-operations.c:
	(nautilus_file_operations_copy_move),
	Added a FIXME.

2001-03-08  Maciej Stachowiak  <mjs@eazel.com>

	reviewed by: Adam Elman  <aelman@eazel.com>

	* nautilus-installer/package-list.xml.in: Put in some line breaks
	to fix bug 7543 (Text on installer does not wrap in completion
	window).

2001-03-08  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fix another part of bug 7494 (History sidebar component spews
	assertions when closing nautilus window [and sometimes crashes]):
	
	* libnautilus/nautilus-idle-queue.c: (execute_queued_functions):
	Change logic so that queued functions no longer execute once the
	caller destroys the queue.

	Fix bug 7564 (opening and quickly closing window in list view
	leads to core dump):

	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_destroy): Remove code to empty lists now that
	stop handles that.
	(load_error_callback): Added a FIXME about the fact that we throw
	away some pending files on an error.
	(fm_directory_view_stop): Don't display pending files any more.
	This is a problem when trying to destroy, and also the old code
	displayed only one "batch" of pending files, so it wasn't really
	making sure all the files were displayed anyway. If we re-add the
	code to display pending files here, we'll have to make sure it
	doesn't do this for the destroy case.
	* src/file-manager/fm-list-view.c: Added FIXME asking why the "add
	100 items at a time" logic is only needed for list view, and not
	for icon view. If both kinds of views had it, it could be done
	more simply at the FMDirectoryView level.

	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_get_icon_size_for_zoom_level): Fix this code so that it
	doesn't do a core dump if it gets a bad size. This is not the
	cause of the problem, but it's good to fix this too, because a
	core dump is overreacting to a bad parameter.

2001-03-08  Maciej Stachowiak  <mjs@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	* nautilus-installer/src/installer.c (start_logging): After
	creating log file and verifying safety (to avoid /tmp races), make
	it world-readable to fix bug 7544 (eazel-install.log created with
	read-only perms for root).

2001-03-08  Dan Mueth  <dan@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Updated required version of ScrollKeeper to 0.1.4

	* configure.in:

	Added Vera's new version of Nautilus Quick Reference doc text.
	- Updated info on fast searching
	- layout improvements	
	Bug #: 7532,7439 

	* help/nautilus-quick-reference/C/index.html:

	Added Vera's Nautilus 1.0 Release Notes document.
	Bug #: 6257, 5825

	* help/nautilus-release-notes/C/nautilus-release-notes.sgml:

	Adding Vera's new version of Nautilus User Manual text.
	- Remove mention of RPM view since it isn't in this release
	Bug #: 7442 

	* help/nautilus-user-manual/C/nautilus-user-manual.sgml:

2001-03-07  John Harper  <jsh@eazel.com>

	reviewed by: Maciej Stachowiak  <mjs@eazel.com>

	Fixed bug 7511 (Nautilus sometimes uses wrong home directory
	after going through druid):

	* src/nautilus-first-time-druid.c (druid_finished): move the
	call to set the user level preference to before the call that
	asks for the user's home URI

2001-03-07  Ramiro Estrugo  <ramiro@eazel.com>
 
 	reviewed by: John Sullivan <sullivan@eazel.com>
 
 	Fix bugs:
 
 	7349 - Sidebar tabs no longer display in a bold font
 	7477 - Sidebar tab labels don't update to new font when font is
 	changed
 	7492 - Font style regression on Sidebar title
 	
 	* libnautilus-extensions/nautilus-global-preferences.h:
 	* libnautilus-extensions/nautilus-global-preferences.c:
 	(nautilus_global_preferences_get_smooth_font): Add documentation
 	to clarify the fact that the result needs to be unrefed.
 	(nautilus_global_preferences_get_smooth_bold_font): New function
 	that returns a bold version of the user's preferred font.
 
 	* src/nautilus-sidebar-tabs.c:
 	(nautilus_sidebar_tabs_load_theme_data): Use the user's bold
 	preffered font instead of the default font. (bug 7349)
 	(smooth_font_changed_callback), (nautilus_sidebar_tabs_initialize),
 	(nautilus_sidebar_tabs_destroy): Listen for changes in the user's
 	preferred font and update the tabs accordingly (bug 7477)
 
 	* src/nautilus-sidebar-title.c: (smooth_font_changed_callback):
 	Use the user's bold preferred font instead of the plain one.  Also
 	unref the font when done to plug a tiny leak. (bug 7492)

2001-03-07  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fix bug 7494 (History sidebar component spews assertions when
	closing nautilus window (and sometimes crashes)):

	* components/history/nautilus-history-view.c: (update_history):
	Don't try to update the history list widget if it's already
	destroyed. Also handle the case where it's destroyed by an unref
	call coming in through CORBA inside the nautilus_bookmark_new
	function. This is a larger design problem, but this handles the
	case that's actually occurring.
	(nautilus_history_view_initialize): Ref the history list widget.
	(nautilus_history_view_destroy): Set the "destroyed" boolean if
	someone has connected one. Unref the history list widget.  Also,
	don't bother clearing it since it is going to be destroyed anyway.

	Fix bug 7514 (Intel/AMD branding on Hardware View CPU picture is
	not something we're authorized to use):

	* components/hardware/icons/cpu.png: Updated with new image from
	Arlo.
	
2001-03-07  John Harper  <jsh@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Fixed bug 7479 (Text for Intro Panel must be updated for 1.0):

	* src/nautilus-first-time-druid.c
	(nautilus_first_time_druid_show): updated the text on the first
	page

2001-03-07  Maciej Stachowiak  <mjs@eazel.com>

	reviewed by: Darin Adler  <darin@eazel.com>

	* components/services/summary/nautilus-summary-view.c:
	(update_header), (generate_eazel_news_entry_row): Update title
	from services page and remove date stamp and icon per marketing
	requirements (bug 7476).

2001-03-07  John Harper  <jsh@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Fixed bug 7472 (Nautilus behavior after leaving first run
	druid):

	* src/nautilus-first-time-druid.c (http_is_known_to_work): new
	global variable - only ever set true if we know for sure that
	http connections will work

	(finished_label, update_finished_label,
	nautilus_first_time_druid_show): since we only launch the
	services window when http requests are known to work, make the
	text in the `Finished' page be conditional on that

	(next_update_page_callback, download_callback): call update
	finished_label

	(download_callback): set http_is_known_to_work to true if the
	connection succeeded

2001-03-06  Ian McKellar  <ian@eazel.com>

	reviewed by: Maciej Stachowiak <mjs@eazel.com> 

	* components/services/install-view/nautilus-service-install-view.c:
	(nautilus_install_service_add_menu_launchers):
	Fix bug 7429 - don't try to print the menu path if one does not
	exist.

Wed Mar 07 00:35:04 2001  George Lebl <jirka@5z.com>

	Ramiro Estrugo <ramiro@eazel.com> said without this patch
	life as we know it will cease to exist.

	* libnautilus-extensions/nautilus-preferences-box.c
	  (category_list_select_row_callback):  When getting the
	  category name, get it out of the correct row.
	  Fixes #7482

2001-03-06  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: reviewed by: Darin Adler <darin@eazel.com>

	Workaround hack for the following bugs:

	7352 - Theme selector description labels missing in ja_JP locale.
	7354 - First time druid title doesnt properly display in the ja_JP
	locale.
	
	* libnautilus-extensions/nautilus-gdk-font-extensions.c:
	(nautilus_gdk_font_get_italic), (nautilus_gdk_font_get_bold),
	(nautilus_gdk_font_get_larger),
	(nautilus_gdk_font_get_largest_fitting):
	For multibyte locales, always return the source font.  This is a
	workaround for bug 7350.  We will fix 7350 properly in 1.2.

	* libnautilus-extensions/nautilus-glib-extensions.h:
	* libnautilus-extensions/nautilus-glib-extensions.c:
	(nautilus_dumb_down_for_multi_byte_locale_hack):
	New function to determine if we need to dumb down some things for
	multi byte locales.  Currently this is only limited to bold text
	and possible larger text in the sidebar, first time wizard and
	theme selector.

	* src/nautilus-first-time-druid.c: (new_title_label):
	For multibyte locales, dont force the label to be smooth so that
	it works in more systems.

2001-03-06  Ramiro Estrugo  <ramiro@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fix bug 7400 - Assertions in NON smooth font picker, and font
	doesn't change.
	
	* libnautilus-extensions/nautilus-preferences-item.c:
	(preferences_item_create_font_family),
	(font_family_item_changed_callback):
	Replace text_item_changed_callback with
	font_family_item_changed_callback and have the new callback deal
	with the string picker properly.  Im not sure where
	text_item_changed_callback came from, but it was assuming that the
	target was a NautilusCaption and not a NautilusStringPicker.

2001-03-06  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fix bug 7475 (No applications are offered in sidebar for local
	files):

	* libnautilus-extensions/nautilus-mime-actions.c:
	(application_supports_uri_scheme_strcmp_style): Renamed
	function so it's more clear how it relates to the existing
	one and share code with the existing one, because that
	one handles the "file" special case (and this one needs to).
	(nautilus_mime_has_any_applications_for_file): Change to
	use function by new name.
	(application_supports_uri_scheme): Use case-insensitive
	comparisons since URI schemes are case insensitive.

2001-03-06  John Harper  <jsh@eazel.com>

	Merged change from `nautilus-1' branch:

	reviewed by: Pavel Cisler <pavel@eazel.com>
	
	Fix 7455 (Intermittent crash when opening trash folder):

	* libnautilus-extensions/nautilus-trash-file.c:
	(trash_callback_check_done), (trash_file_call_when_ready):

	Added an "initializing" field to TrashCallback object. This
	is set while connecting the call_when_ready callbacks in
	trash_file_call_when_ready (). trash_callback_check_done ()
	checks this flag and only succeeds when it's false.

2001-03-06  Eric Fischer  <eric@eazel.com>

	reviewed by: Robin * Slomkowski <rslomkow@eazel.com>

	* nautilus-installer.spec.in:
	Also include uncompressed, unstripped eazel-installer.

	* nautilus-installer/src/Makefile.am:
	Install uncompressed, unstripped eazel-installer rather than
	discarding it.

	* nautilus-installer/src/create-eazel-installer.sh:
	Only strip the copy of the installer that is to be compressed.

2001-03-06  Pavel Cisler  <pavel@eazel.com>

	reviewed by: John Harper <jsh@eazel.com>

	Fix 7471 (Crash when drag selecting)
	* libnautilus-extensions/nautilus-icon-container.c:
	(rubberband_timeout_callback):
	Make the selection rectangle never be less than 1 pixel
	high and 1 pixel wide. This fixes the crash and looks better.

2001-03-06  Eskil Heyn Olsen  <eskil@eazel.com>	


	reviewed by: Robey Pointer <robey@eazel.com>

	Fixes 7215 (in the HEAD)
	
	* components/services/install/lib/eazel-install-logic2.c:
	(prune_failed_packages_helper):
	Fixed a logic error from yesterday (doh, need rest) that would
	cause unwanted pruning of packages. I should be spanked.
	
2001-03-06  Darin Adler  <darin@eazel.com>

	* README: Note that we now use gnome-vfs HEAD, not a branch
	any more.

2001-03-06  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fixed bug 7328 (info pages no longer work):
	
	* components/help/converters/gnome-info2html2/main.c: (main):
	Fixed broken logic for handling both bzip and gzip.

	Fixed case when you change "View As" before the view change is
	complete.
	
	* src/nautilus-window-manage-views.c:
	(nautilus_window_set_content_view): Stop the view change if you
	make a change with the "View As" menu.

Tue Mar 06 12:24:24 2001  George Lebl <jirka@5z.com>

	Darin <darin@eazel.com> said that while this patch causes fungal
	growth between the toes, it is ok to apply.

	* components/tree/nautilus-tree-view-dnd.c (do_get_data)
	  (nautilus_tree_view_drag_drop)
	  (nautilus_tree_view_ensure_drag_data)
	  libnautilus-extensions/nautilus-icon-dnd.c (do_get_data)
	  (nautilus_icon_container_ensure_drag_data)
	  (drag_drop_callback)
	  libnautilus-extensions/nautilus-list.c (do_get_data)
	  (nautilus_list_ensure_drag_data)
	  (nautilus_list_drag_drop):
	  When doing gtk_drag_get_data, first find a target we support rather
	  then just grabbing the first one.  We need to make a target list
	  and do some gtk voodoo.  At some later date, this should be more
	  generalized and stuffed somewhere in libnautilus-extentions.
	  Fixes #7312

	* libnautilus-extensions/nautilus-file-operations.c
	  (parse_previous_duplicate_name):  s/strdup/g_strdup/ as the
	  string will be later g_free'd
	  Fixes #7440

2001-03-06  Eric Fischer  <eric@eazel.com>

	reviewed by: Christian Meyer <chrisime@gnome.org>

	(Bug 7315.  Thanks to Christian Meyer for tracking down
	places where this needed to be fixed.)

	* components/help/converters/gnome-db2html2/Makefile.am:
	* components/help/converters/gnome-info2html2/Makefile.am:
	* cut-n-paste-code/widgets/e-paned/Makefile.am:
	* cut-n-paste-code/widgets/gimphwrapbox/Makefile.am:
	* cut-n-paste-code/widgets/nautilusclist/Makefile.am:
	* libnautilus-extensions/Makefile.am:
	In all of these, change GNOME_CFLAGS to GNOMEUI_CFLAGS so that
	they get the correct #include path for the GTK headers.

2001-03-06  Michael Engber  <engber@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	Added NAUTILUS_BONOBO_X_BOILERPLATE.

	* libnautilus-extensions/nautilus-directory-metafile-monitor.c:
	(nautilus_metafile_monitor_class_init),
	(nautilus_metafile_monitor_init):
	* libnautilus-extensions/nautilus-directory-metafile-monitor.h:
	* libnautilus-extensions/nautilus-metafile-factory.c:
	(nautilus_metafile_factory_class_init),
	(nautilus_metafile_factory_init):
	* libnautilus-extensions/nautilus-metafile-factory.h:
	* libnautilus-extensions/nautilus-metafile.c:
	(nautilus_metafile_class_init), (nautilus_metafile_init):
	* libnautilus-extensions/nautilus-metafile.h:
	Switched NautilusMetafile, MetafileMonitor, and Metafile factory
	to be based on BonoboXObject - this causes our corba object to
	get freed properly - bug 7335.

2001-03-06  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	Fixed bug 7435 (text view spews complaints whenever a text view is
	destroyed):

	* components/text/nautilus-text-view.c:
	(nautilus_text_view_initialize): Ref the widget that gets text so
	that we can notice if it's destroyed.
	(detach_file): Get rid of unneeded NULL check.
	(nautilus_text_view_destroy): Unref the widget.
	(file_read_callback): Don't insert any text if the widget is
	already destroyed. The widget can be destroyed before the
	NautilusView object is.
	(handle_service_menu_item): Add FIXME about sync. I/O.
	(nautilus_text_view_set_font): Add FIXME about strange font
	handling.

2001-03-06  Dan Mueth  <dan@eazel.com>

	reviewed by: Maciej Stachowiak <mjs@eazel.com> 

	Updating data file which determines which documents appear
	in the "Introductory Documents" section of the help sidebar.
	It now includes all locales of each doc.
	Bug#: 7267

	* components/help/topleveldocs.xml:

	Fixing font problem for titles.
	Bug#: 7210

	* help/nautilus-quick-reference/es/index.html:
	* help/nautilus-quick-reference/no/index.html:

	Fixing screenshots in Swedish version of Nautilus
	Quick Reference.  Now the links aren't broken at least.
	They still aren't localized though.
	Bug#: 7422

	* help/nautilus-quick-reference/sv/Makefile.am:
	* help/nautilus-quick-reference/sv/figures/colors_small.png:
	* help/nautilus-quick-reference/sv/figures/emblems.png:
	* help/nautilus-quick-reference/sv/figures/emblems_small.png:
	* help/nautilus-quick-reference/sv/figures/ff_small.png:
	* help/nautilus-quick-reference/sv/figures/find.png:
	* help/nautilus-quick-reference/sv/figures/find_small.png:
	* help/nautilus-quick-reference/sv/figures/full.png:
	* help/nautilus-quick-reference/sv/figures/full_small.png:
	* help/nautilus-quick-reference/sv/figures/locbar.png:
	* help/nautilus-quick-reference/sv/figures/locbar_small.png:
	* help/nautilus-quick-reference/sv/figures/menubar.png:
	* help/nautilus-quick-reference/sv/figures/menubar_small.png:
	* help/nautilus-quick-reference/sv/figures/music.png:
	* help/nautilus-quick-reference/sv/figures/music_small.png:
	* help/nautilus-quick-reference/sv/figures/navbar.png:
	* help/nautilus-quick-reference/sv/figures/navbar_small.png:
	* help/nautilus-quick-reference/sv/figures/patterns.png:
	* help/nautilus-quick-reference/sv/figures/sidebar.png:
	* help/nautilus-quick-reference/sv/figures/sidebar_small.png:
	* help/nautilus-quick-reference/sv/figures/themes.png:
	* help/nautilus-quick-reference/sv/figures/themes_small.png:
	* help/nautilus-quick-reference/sv/figures/viewmenu.png:

	--- end of what mjs reviewed

	Fixing these screenshots so they render correctly in some
	browsers.  Replacing a screenshot in a doc with another can't break
	Nautilus :)
	Bug#: 7434

	* help/nautilus-quick-reference/C/figures/music.png:
	* help/nautilus-quick-reference/C/figures/navbar.png:
	* help/nautilus-quick-reference/C/figures/softcat.png:
	* help/nautilus-quick-reference/C/figures/storage.png:

	Change one line of a doc to make it more correct.  Again,
	there is no way this can break anything, so I'm taking responsibility
	for this.

	* help/nautilus-quick-reference/sv/index.html:

2001-03-06  Darin Adler  <darin@eazel.com>

	* nautilus.spec.in: RPM view also has to be removed from the RPM
	spec file.

2001-03-06  Eskil Heyn Olsen  <eskil@eazel.com>

	reviewed by: Ian McKellar  <ian@eazel.com>

	* po/POTFILES.in:
	Woops, forgot to remove the rpmview from potfiles.

2001-03-05  Ian McKellar  <ian@eazel.com>

	* components/services/inventory/eazel-inventory-collect-software.c:
	(eazel_inventory_collect_software):
	Use shorter distribution name. (Fixing urgent stuff for the update
	service)

2001-03-05  Ian McKellar  <ian@eazel.com>

	reviewed by: Maciej Stachowiak  <mjs@eazel.com> who isn't even here or
	online...

	* components/services/inventory/eazel-inventory-utils.c:
	(eazel_create_configuration_metafile):
	Disable hardware inventory collection for 1.0. This fixes bug 7305.

2001-03-05  George Lebl <jirka@5z.com>

	Ian McKellar <ian@eazel.com> said this patch will end global
	hunger and bring about world peace.

	* components/help/hyperbola-filefmt.c (fmt_toplevel_add_doc):
	  g_strdup and not strdup if we're going to g_free.
	  Fixes #7414 

	* components/help/hyperbola-filefmt.c (locale_score)
	  (is_new_locale_better) (fmt_toplevel_parse_xml_tree)
	  (fmt_toplevel_populate_tree) (get_path_from_node):
	  When looking at the toplevels documents XML tree, score different
	  paths for a document according to the position of the locale in the
	  language list that was gotten from gnome_i18n_get_language_list.
	  fmt_toplevel_parse_xml_tree now returns TRUE/FALSE for better
	  detection of unparsable files then before.  Also check if the file
	  exists and is readable before adding it to the tree.
	  Fixes #7311, #7314

	* components/help/converters/gnome-info2html2/main.c (main):
	  the "bz" integer is only used when HAVE_LIBBZ2 is on, and it's
	  not for me, so put it into the HAVE_LIBBZ2 define protected code.
	  Fixes #7417

2001-03-05  Eskil Olsen  <eskil@eazel.com>

	reviewed by: Mike Fleming <mfleming@eazel.com> who almost feels
	bad about it...

	"Fixes" bug 7413
	
	* components/Makefile.am:
	Removed the rpmview from build.

2001-03-05  Eskil Olsen  <eskil@eazel.com>

	reviewed by: Robey Pointer <robey@eazel.com> who sez "yup".

	Fixed bug 7070.
	
	* components/rpmview/nautilus-rpm-view-install.c:
	(get_detailed_errors), 
	Flipped the meaning of the third argument.
	(nautilus_rpm_view_install_failed),
	s/TRUE/FALSE
	(nautilus_rpm_view_uninstall_failed),
	s/FALSE/TRUE
	(nautilus_rpm_view_dependency_check):
	use packagedata_get_readable_name instead of doing it myself.
	
	* components/services/install/lib/eazel-install-logic2.c:
	(prune_failed_packages_helper):
	
	Ugh, I did not traverse down down into ALREADY_INSTALLED packages,
	and I had flipped the change of status for suite_ids. So I added
	some enum logic so ALREADY_INSTALLED (hence also suite_id's) get
	their dependencies pruned.

	* components/services/install/lib/eazel-install-problem.c:
	(get_detailed_uninstall_messages_foreach):
	I committed the sin of changing an i18n string..

2001-03-05  Pavel Cisler  <pavel@eazel.com>

	reviewed by: Ramiro Estrugo  <ramiro@eazel.com>
	
	Fix 7404: Clicking on "Install" in Eazel services fails.

	* libnautilus-extensions/nautilus-font-manager.c:
	(gnome_vfs_init_if_needed), (nautilus_font_manager_for_each_font),
	(nautilus_font_manager_file_is_scalable_font):
	Add lazy GnomeVFS initialization because the nautilus font manager
	code now makes GnomeVFS calls.

2001-03-05  Brian Frank  <bfrank@eazel.com>

